Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 237572 - [science overlay] sci-mathematics/scilab-5.x
Summary: [science overlay] sci-mathematics/scilab-5.x
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal with 15 votes (vote)
Assignee: Gentoo Science Mathematics related packages
URL: http://www.scilab.org/download/
Whiteboard: Science overlay
Keywords: EBUILD, InOverlay
: 321541 (view as bug list)
Depends on: 300979 301048 253108 301049
Blocks: 339364
  Show dependency tree
 
Reported: 2008-09-13 14:53 UTC by Dmitriy Ugnichenko
Modified: 2020-02-04 17:27 UTC (History)
29 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
scilab-5.1.1.ebuild (scilab-5.1.1.ebuild,3.28 KB, text/plain)
2009-06-19 03:36 UTC, Guillaume Horel
Details
fix java configure checks (scilab-5.1.1-java-package-check.patch,1.71 KB, patch)
2009-06-19 03:38 UTC, Guillaume Horel
Details | Diff
fix pvm library configure macros (scilab-pvmbuild.patch,689 bytes, patch)
2009-06-19 03:39 UTC, Guillaume Horel
Details | Diff
scilab-5.1.1 ebuild (scilab-5.1.1.ebuild,4.33 KB, text/plain)
2009-06-22 02:41 UTC, Guillaume Horel
Details
scilab-5.1.1 ebuild (scilab-5.1.1.ebuild,4.31 KB, text/plain)
2009-06-25 02:29 UTC, Guillaume Horel
Details
error message (error_msg.txt,12.87 KB, text/plain)
2009-07-02 10:53 UTC, Daniel Pay
Details
scilab-5.1.1 ebuild (scilab-5.1.1.ebuild,4.37 KB, text/plain)
2009-07-08 01:02 UTC, Guillaume Horel
Details
Error log (hs_err_pid27013.log,53.96 KB, text/plain)
2009-07-08 12:18 UTC, Daniel Pay
Details
pvm config cleanup (scilab-5.1.1-pvmfix.patch,19.25 KB, patch)
2009-08-19 03:04 UTC, Guillaume Horel
Details | Diff
fix runtime error on amd64, see comment #35 (scilab-5.1.1-malloc.patch,4.83 KB, patch)
2009-08-19 03:06 UTC, Guillaume Horel
Details | Diff
scilab 5.1.1 ebuild (scilab-5.1.1.ebuild,4.46 KB, text/plain)
2009-08-19 03:07 UTC, Guillaume Horel
Details
error log (hs_err_pid26657.log,88.13 KB, text/plain)
2009-09-10 20:37 UTC, Artemii
Details
SCILIB Path fix (scilab-5.1.1-libpathfix.patch,376 bytes, patch)
2009-10-09 22:17 UTC, Christophe Paccolat
Details | Diff
Compile error and info (error.log,6.08 KB, text/plain)
2009-10-16 00:02 UTC, Andrzej Krentosz
Details
Compile error and info (error.log,6.08 KB, text/plain)
2009-10-16 00:03 UTC, Andrzej Krentosz
Details
Revdep-rebuild output (revdep-rebuild.output,3.60 KB, text/plain)
2009-10-16 07:47 UTC, Christophe Paccolat
Details
Disables exp10 wrapper. (scilab-5.1.1-exp10.patch,584 bytes, patch)
2009-11-26 22:36 UTC, Andrzej Krentosz
Details | Diff
scilab-5.2.0 ebuild (scilab-5.2.0.ebuild,4.75 KB, text/plain)
2010-01-14 13:52 UTC, Christophe Paccolat
Details
scilab-5.2.0.ebuild (scilab-5.2.0.ebuild,3.13 KB, text/plain)
2010-01-15 03:23 UTC, Guillaume Horel
Details
Doc generation error. (scilab-5.2.0-doc-gen-error.log,5.50 KB, text/plain)
2010-02-06 23:27 UTC, Andrzej Krentosz
Details
Increases java heap to 512M (scilab-java-heap.patch,438 bytes, patch)
2010-02-07 02:13 UTC, Andrzej Krentosz
Details | Diff
Should fix the detection of jeuclid. (bug_5496.diff,2.47 KB, patch)
2010-02-07 07:40 UTC, Sylvestre Ledru
Details | Diff
H5Read.java:56: cannot find symbol (scilab-5.2.0-hdf5-undef-symbol-error.log,802 bytes, text/plain)
2010-02-08 17:59 UTC, Andrzej Krentosz
Details
scilab-5.2.0-r2 build log (errors) (build.log,1.80 MB, text/plain)
2010-02-12 14:00 UTC, Ilyas LANDIKOV
Details
When --disable-build-help was given to the configure, some mandatory libraries (batik, fop & avalon framework) used by the graphic export feature were not checked. (disable-build-help-failed.diff,3.27 KB, patch)
2010-02-12 16:35 UTC, Sylvestre Ledru
Details | Diff
When --disable-build-help was given to the configure, some mandatory libraries (batik, fop, etc..) used by the graphic export feature were not checked. (disable-build-help-failed-2.diff,3.82 KB, text/plain)
2010-02-12 17:27 UTC, Sylvestre Ledru
Details
cannot find symbol.... from dev-java/jgraphx (build.log.bz2,126.20 KB, text/plain)
2010-02-15 19:09 UTC, Artemii
Details
sandbox access violation /root/flexdock (build.log.bz2,215.25 KB, text/plain)
2010-02-16 23:00 UTC, Artemii
Details
scilab-5.2.1.ebuild (scilab-5.2.1.ebuild,3.45 KB, text/plain)
2010-02-25 13:35 UTC, Guillaume Horel
Details
exp10 configure patch imported from upstream (scilab-5.2.1-no-redef-exp10.patch,2.08 KB, text/plain)
2010-02-25 13:36 UTC, Guillaume Horel
Details
change the scilib directory to also include /usr/lib/scilab (scilab-5.2.1-scilib-fix.patch,368 bytes, text/plain)
2010-02-25 13:37 UTC, Guillaume Horel
Details
do not check for jgraphx version (checked in the ebuild instead) (scilab-5.2.1-nojavacheckversion.patch,633 bytes, patch)
2010-02-25 13:46 UTC, Guillaume Horel
Details | Diff
ebuild error (scilab.log,27.34 KB, text/plain)
2010-05-03 06:34 UTC, shigubuhua
Details
Build failes due to link error with jogl (config.log,37.78 KB, text/plain)
2010-05-24 17:41 UTC, Ronny Moebius
Details
with #136 From G Reitsma 2010-09-11 modifications (scilab-5.2.1.ebuild,3.71 KB, text/plain)
2010-09-18 00:11 UTC, lalebarde
Details
with #134 From Jérôme Borme 2010-06-27 patch (scilab-5.2.1-configure.ac.patch,2.31 KB, patch)
2010-09-18 00:14 UTC, lalebarde
Details | Diff
(In reply to comment #141) (config.log,38.62 KB, text/plain)
2010-09-18 09:40 UTC, lalebarde
Details
experimental scilab 5.3.0 beta 3 ebuild (scilab-5.3.0_beta3.ebuild,3.92 KB, text/plain)
2010-09-19 21:44 UTC, Andrzej Krentosz
Details
(In reply to comment #149) (config.log,41.97 KB, text/plain)
2010-09-19 23:04 UTC, lalebarde
Details
Patch for detection of jhdf (for experimental 5.3.0_beta3) (jhdf5-configure.patch,696 bytes, patch)
2010-09-20 01:29 UTC, Andrzej Krentosz
Details | Diff
experimental scilab 5.3.0 beta 3 ebuild (scilab-5.3.0_beta3.ebuild,3.82 KB, text/plain)
2010-09-20 13:02 UTC, Andrzej Krentosz
Details
emerge fails because of hdf5 missing symbols or packages (error.log,59.34 KB, text/plain)
2010-09-20 22:13 UTC, lalebarde
Details
experimental scilab 5.3.0 beta 3 ebuild (scilab-5.3.0_beta3.ebuild,3.85 KB, text/plain)
2010-09-30 06:24 UTC, Andrzej Krentosz
Details
ebuild with patched for scilab-5.3.0 final release. (scilab-5.3.0.-final-ebuilds.tar.gz,2.70 KB, application/octet-stream)
2011-01-19 06:53 UTC, G Reitsma
Details
ebuild for jgraph-1.4.1.0, which is required for the scilab-5.3.0 final (jgraphx-1.4.1.0.ebuild,981 bytes, text/plain)
2011-01-19 06:55 UTC, G Reitsma
Details
scilab-5.3.2.ebuild (scilab-5.3.2.ebuild,3.67 KB, application/octet-stream)
2011-06-07 02:29 UTC, Guillaume Horel
Details
patch for bug 9268 from upstream (bug_9268.diff,1.21 KB, patch)
2011-06-07 02:31 UTC, Guillaume Horel
Details | Diff
/var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/ (config.log,51.71 KB, text/plain)
2012-05-29 14:38 UTC, Juergen Rose
Details
Patched scilab-5.3.3-r1.ebuild, works with all USE flags (doc gui xcos hdf5) (scilab-5.3.3-r1.ebuild,6.40 KB, text/plain)
2012-07-10 14:38 UTC, Norbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitriy Ugnichenko 2008-09-13 14:53:01 UTC
New version under GPL compatible(!) license has been released!

Reproducible: Always



Expected Results:  
ebuild
Comment 1 Markus Dittrich (RETIRED) gentoo-dev 2008-09-23 13:07:56 UTC
Thanks much for the note. This is a major update and it
will probably take a little bit for me to get things tested.

Best,
Markus
Comment 2 Vincent-Xavier JUMEL 2008-09-23 13:12:08 UTC
(In reply to comment #1)
> Thanks much for the note. This is a major update and it
> will probably take a little bit for me to get things tested.
> 
> Best,
> Markus
> 

If you need any help about testing this piece of software, feel free to e-mail me.
Comment 3 Markus Dittrich (RETIRED) gentoo-dev 2008-09-24 12:52:31 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Thanks much for the note. This is a major update and it
> > will probably take a little bit for me to get things tested.
> > 
> > Best,
> > Markus
> > 
> 
> If you need any help about testing this piece of software, feel free to e-mail
> me.
> 

Thank you very much for the offer! The new scilab uses java for the GUI
component and there is at least one required java support package 
(flexdock) that is currently not even in portage. Hence, it may be a good 
idea to get things started in the science overlay before we move 
everything into the main tree. I hope I can have a closer look at this
over the weekend.

Best,
Markus
Comment 4 Dmitriy Ugnichenko 2008-09-24 17:51:58 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Thanks much for the note. This is a major update and it
> > > will probably take a little bit for me to get things tested.
> > > 
> > > Best,
> > > Markus
> > > 
> > 
> > If you need any help about testing this piece of software, feel free to e-mail
> > me.
> > 
> 
> Thank you very much for the offer! The new scilab uses java for the GUI
> component and there is at least one required java support package 
> (flexdock) that is currently not even in portage. Hence, it may be a good 
> idea to get things started in the science overlay before we move 
> everything into the main tree. I hope I can have a closer look at this
> over the weekend.
> 
> Best,
> Markus
> 

Me is also ready to take an active part in testing of this really nice software. I'd like to write a portage, but I'm quite noobe in that all, and this peace of software is not easy for portage trainings =). So, as soon as you find some free time to write a portage - I'm ready to do some testings.

BTW, thx for your work beforhand.
Comment 5 Markus Dittrich (RETIRED) gentoo-dev 2008-09-30 12:56:18 UTC
I did quite a bit of testing of the new scilab-5 over the 
weekend. The following java packages needed for the GUI
are currently missing from portage

jogl
flexdock
rosetta

I was able to build scilab-5 and the no-GUI version works
fine AFAICT. However, the java GUI itself is pretty screwed
up. It fires up ok but is not interactive, i.e., I can neither
type nor select any of the options and it is therefore pretty
useless. Has anybody had success in building a working GUI?
I've so far only tried dev-java/sun-jdk-1.6.

Thank,
Markus
Comment 6 Markus Dittrich (RETIRED) gentoo-dev 2008-10-20 14:49:22 UTC
Has anybody managed to successfully build a working GUI?
I am still having trouble getting it to do anything beyond
just sitting there being all non-interactive.

cheers,
Markus
Comment 7 Guillaume Horel 2008-10-21 00:51:09 UTC
I managed to compile it by downloading the jar files for the packages that you mentioned (jogl, jrosetta, flexdock) and saving them in /usr/share/java (so that the configure script finds them)
Then everything compiled cleanly, and it runs fine as far as the gui is concerned. Plots don't work for me but my opengl setup is broken, which probably explains it...

my setup: gcc-4.3.2
          jdk-1.6.0.10

- jogl is already packaged in the java-overlay but the ebuild doesn't worked on my computer.
- flexdock seems pretty old and all the x11 libraries path are still based on X11R6 directories. I applied some patches from debian http://patch-tracking.debian.net/patch/debianonly/view/libflexdock-java/0.5.1-dfsg1-5, and it compiled fine after that.
- didn't try to compile jrosetta

I can help testing ebuild, patches, etc, if that helps...

Cheers,
Guillaume

(In reply to comment #6)
> Has anybody managed to successfully build a working GUI?
> I am still having trouble getting it to do anything beyond
> just sitting there being all non-interactive.
> 
> cheers,
> Markus
> 

Comment 8 Markus Dittrich (RETIRED) gentoo-dev 2008-11-08 11:50:55 UTC
Thanks much for the info. I hope and can have another
look at scilab-5 soon.

Best,
Markus
Comment 9 Sylvestre Ledru 2008-11-13 21:46:51 UTC
Hello,

I can help if needed. I am part of upstream and also the debian maintainer of Scilab's packages.
Markus, do you still have the same problems ?

Cheers
S


Comment 10 Markus Dittrich (RETIRED) gentoo-dev 2008-11-14 14:07:50 UTC
(In reply to comment #9)
> Hello,
> 
> I can help if needed. I am part of upstream and also the debian maintainer of
> Scilab's packages.
> Markus, do you still have the same problems ?
> 
> Cheers
> S
> 

Hi Sylvestre,

Thanks much for offering help and I will definitely take you up 
on that D) Due to other Gentoo related things I haven't had time to look 
at scilab-5 in a while. I'll take another stab at it next week and
will report back my progress.

Thanks,
Markus
Comment 11 shigubuhua 2008-11-17 07:05:11 UTC
scilab-5.0.3 released
http://www.scilab.org/
Comment 12 salvo 2008-12-11 20:21:58 UTC
Any updates on this one?

Thanks.
Comment 13 Nico Schlömer 2008-12-30 10:28:39 UTC
hi,

i just added an (experimental!) jrosetta ebuild on bugzilla, check it out on http://bugs.gentoo.org/show_bug.cgi?id=253108 .

i'll also continue to look into building scilab on gentoo and report success stories. -- right now it seems that the major problem is the jogl-gluegen thing, right?

cheers,
nico
Comment 14 justXi 2009-02-24 10:17:44 UTC
I found gogl and gluegen ebuilds in the java-overlay.

Is an ebuild for scilab 5.x available?
Comment 15 Nico Schlömer 2009-05-12 19:24:16 UTC
Since a week or so, the jogl ebuild from the overlay actually works. This is great because this is a big step towards addressing one big dependency of Scilab-5.x.x.

I compiled a list with other Gentoo (ebuild) bugs this bug should depend on, so reporter or assignee, please update the deps:

GUI/console:
266249 flexdock
253108 jrosetta
143019 jogl

documentation build:
200851 batik
202775 fop
269608 jeuclid

optional:
269598 matio

building:
269600 giws

Cheers,
Nico
Comment 16 Nico Schlömer 2009-05-12 21:35:30 UTC
Sylvestre just told me that giws is not really necessary to build Scilab as all the sources are already included into tarball. Hence, bug #269600 doesn't need to be added as a dependency to this one.
Comment 17 Thomas Weininger 2009-05-17 19:34:56 UTC
Will there ever be scilab 5 in portage? I'm not sure. What's the problem in updating the deps?
I'd really appreciate it if someone could create a working ebuild.
Comment 18 Eric Thibodeau 2009-05-19 19:07:09 UTC
Anyone can point me to the said test ebuild. I'm more than eager to try it and probably fix what I can to get it going.
Comment 19 Eric Thibodeau 2009-05-20 14:13:35 UTC
FWIW, I jsut downloaded the binary version and it seems to work fine. The only exception being some graphical corruption (buttons not showing up) but I suspect this has more to do with my NVIDIA driver that just got updated... (I'm getting API complaints in the console).

So... Maybe we could at least make a -bin package for the moment.
Comment 20 Sylvestre Ledru 2009-06-09 12:35:03 UTC
Btw, it has been packaged with success under Debian/Ubuntu and it should be pretty easy to create a gentoo package. 
The only problem is to package all the new dependencies...
I am pretty familiar with the packaging of most of them and I can help if needed.
Comment 21 Guillaume Horel 2009-06-19 03:36:07 UTC
Created attachment 195132 [details]
scilab-5.1.1.ebuild
Comment 22 Guillaume Horel 2009-06-19 03:38:08 UTC
Created attachment 195134 [details, diff]
fix java configure checks
Comment 23 Guillaume Horel 2009-06-19 03:39:39 UTC
Created attachment 195135 [details, diff]
fix pvm library configure macros
Comment 24 Guillaume Horel 2009-06-19 04:18:17 UTC
I believe all the java packages necessary to run scilab are now available either in java-overlay or java-experimental. This is a very preliminary ebuild for scilab-5.1.1

- I tried to fix the java package checks in the configure 
- the pvm fix is a backport from upstream (commit cdd230092e7cdcbdf24bd3c0206d8c1a21f46850)


caveats:
- generating the docs doesn't work yet (the dependency should be listed correctly though)
- when called from the ebuild, the makefile doesn't compile the macros, so that the menus are disabled in the gui. This the error message:
./bin/scilab -ns -nwni -f modules/functions/scripts/buildmacros/buildmacros.sce
/var/tmp/portage/sci-mathematics/scilab-5.1.1/work/scilab-5.1.1/.libs/scilab-bin: error while loading shared libraries: libjava.so: cannot open shared object file: No such file or directory

The fix around is to run "make macros" in the work directory manually and then rerun ebuild scilab-5.1.1 install; ebuild scilab-5.1.1.ebuild qmerge
Comment 25 Guillaume Horel 2009-06-22 02:41:33 UTC
Created attachment 195410 [details]
scilab-5.1.1 ebuild
Comment 26 Guillaume Horel 2009-06-22 02:44:02 UTC
Comment on attachment 195410 [details]
scilab-5.1.1 ebuild

couple of cleanups (license, moved it to EAPI e). The docs should build sucessfully as well now. Still haven't figured out how to make the macros build out of the box.
Comment 27 Sylvestre Ledru 2009-06-24 14:43:42 UTC
Hmm, 
A normal make builds the macros.
You can try to call the target by itself:
make macros
but it should not be necessary

If you are talking about
./bin/scilab -ns -nwni -f modules/functions/scripts/buildmacros/buildmacros.sce
/var/tmp/portage/sci-mathematics/scilab-5.1.1/work/scilab-5.1.1/.libs/scilab-bin:
error while loading shared libraries: libjava.so: cannot open shared object
file: No such file or directory

Scilab needs to know where the JVM library are (Scilab is loading them dynamically). In order to fix this issue, you will probably have to patch
bin/scilab and to add  the gentoo path to libjava.so, libjvm.so and libhpi.so to it. 
Usually, just adding the gentoo jvm path to JAVA_DEFAULT_DIR will do it.

Please let me know if you successed, I will add it upstream
Thanks for you work!
Comment 28 Guillaume Horel 2009-06-25 02:29:33 UTC
Created attachment 195719 [details]
scilab-5.1.1 ebuild

I fixed it by exporting the JAVA_HOME variable inside the ebuild. Now it compiles and install cleanly on my setup, macros included. Can anyone try it and report if it works for them?
Comment 29 Daniel Pay 2009-07-02 10:53:13 UTC
Created attachment 196337 [details]
error message

This is the error message that I get when trying to emerge. It looks like missing dependencies from the ebuild.
Comment 30 Guillaume Horel 2009-07-02 19:39:39 UTC
Did you disable the gui useflag? These packages should be installed as per the gui dependencies. I guess I need to fix the ebuild to make these sed statements conditional.
Comment 31 Daniel Pay 2009-07-03 03:21:34 UTC
This happens with no useflags enabled. It still asks for matio even with matio disabled.
Comment 32 Guillaume Horel 2009-07-08 01:02:18 UTC
Created attachment 197140 [details]
scilab-5.1.1 ebuild

This should fix the above error. The matio use flag is enabled by default, but if you disable it explicitly, it shouldn't require the matio package as a dependency.
Comment 33 Daniel Pay 2009-07-08 11:09:30 UTC
The new ebuild works. I've tested it with no use flags enabled but will test tomorrow with different combinations of useflags when i have a chance to track down all the java ebuilds not in portage.
Comment 34 Daniel Pay 2009-07-08 11:38:00 UTC
When trying t compile with the gui enabled I get this error
!!! ERROR: Package jgoodies-looks-2.0 was not found!
It looks like the dependency for jgoodies-looks needs to be changed to >=dev-java/jgoodies-looks-2.0
Comment 35 Daniel Pay 2009-07-08 12:16:01 UTC
I get this error message when trying to run scilab

daniel@localhost ~ $ scilab                                               
#                                                                         
# A fatal error has been detected by the Java Runtime Environment:        
#                                                                         
#  SIGSEGV (0xb) at pc=0x00007f47fabc8ff0, pid=24951, tid=139947341956880 
#                                                                         
# Java VM: OpenJDK 64-Bit Server VM (14.0-b08 mixed mode linux-amd64 )    
# Distribution: Custom build (Sat Apr 18 16:07:52 CEST 2009)              
# Problematic frame:                                                      
# C  [libc.so.6+0x7aff0]  strlen+0x30                                     
#                                                                         
# An error report file with more information is saved as:                 
# /home/daniel/hs_err_pid24951.log                                        
#                                                                         
# If you would like to submit a bug report, please include                
# instructions how to reproduce the bug and visit:                        
#   http://icedtea.classpath.org/bugzilla                                 
#                                                                         
/usr/bin/scilab: line 469: 24951 Aborted                 "$SCILABBIN" "$@"
daniel@localhost ~ $ scilab-bin                                           
scilab-bin: error while loading shared libraries: libjava.so: cannot open shared object file: No such file or directory

with icedtea6-bin and this message with sun-jdk-1.6

daniel@localhost ~ $ scilab
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f66bbae7fd0, pid=27013, tid=140079421998848
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (11.3-b02 mixed mode linux-amd64)
# Problematic frame:
# C  [libc.so.6+0x7afd0]  strlen+0x10
#
# An error report file with more information is saved as:
# /home/daniel/hs_err_pid27013.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#
/usr/bin/scilab: line 469: 27013 Aborted                 "$SCILABBIN" "$@"
Comment 36 Daniel Pay 2009-07-08 12:18:11 UTC
Created attachment 197167 [details]
Error log
Comment 37 Sylvestre Ledru 2009-07-16 12:47:11 UTC
(In reply to comment #36)
Could you try to rebuild Scilab with this patch ?
http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/debian/patches/malloc.diff?revision=35335&view=markup
Comment 38 Daniel Pay 2009-07-16 14:20:40 UTC
(In reply to comment #37)
> (In reply to comment #36)
> Could you try to rebuild Scilab with this patch ?
> http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/debian/patches/malloc.diff?revision=35335&view=markup
> 

Yes. Now it works. Thanks alot. I still get an error when running in a terminal = but scilab still works. 

scilab
Warning: Could not find Java package '/usr/share/scilab//modules/helptools/jar/org.scilab.modules.helptools.jar'.
Some problems during the loading of the Java libraries occured.
This could lead to inconsistent behaviours.
Please check SCI/etc/classpath.xml.
Comment 39 Sylvestre Ledru 2009-07-16 14:23:13 UTC
(In reply to comment #38)
Thanks for this very quick test!

Note that this patch has been included upstream.

About the error you get, it is because you didn't build Scilab help ;)
Comment 40 Nico Schlömer 2009-08-17 11:52:18 UTC
Hi,

with the patch, Scilab builds and executes fine here on amd64.

There's an issue, though, with plotting. Something as simple as

========================== *snip* ==========================
x = [0:0.01:3.14];
y = sin(x);
plot(x,y);
========================== *snap* ==========================

will open a window and not display anything in it, instead complaining on the command line:

========================== *snip* ==========================
An error occurred when Scilab tried to open a Canvas: no gluegen-rt in java.library.path
If an exception about java.lang.UnsatisfiedLinkError has been thrown, check if etc/librarypath.xml contains the path to gluegen and jogl libraries
========================== *snap* ==========================

dev-java/gluegen-20090509 and dev-java/jogl-1.1.1 from the Java overlay are installed.

Anyone else with this?

Cheers,
Nico
Comment 41 Sylvestre Ledru 2009-08-18 05:19:35 UTC
Nico, I probably due to a missing path i n librarypath.xml (which contains the path to the JNI libs)
Comment 42 Nico Schlömer 2009-08-18 09:44:33 UTC
Indeed, the file /usr/share/scilab/etc/librarypath.xml lists

<path value="/usr/lib/jni/"/>

which doesn't exist here. Might that be the problem?
Comment 43 Guillaume Horel 2009-08-19 03:04:54 UTC
Created attachment 201660 [details, diff]
pvm config cleanup
Comment 44 Guillaume Horel 2009-08-19 03:06:46 UTC
Created attachment 201663 [details, diff]
fix runtime error on amd64, see comment #35
Comment 45 Guillaume Horel 2009-08-19 03:07:26 UTC
Created attachment 201664 [details]
scilab 5.1.1 ebuild
Comment 46 Guillaume Horel 2009-08-19 03:10:09 UTC
I submitted a new ebuild with the patch from comment 38, a new pvm patch, and a fix for the librarypath.xml problem. Please let me know if this improves things, especially on amd64, since I cannot test it.
Comment 47 Nico Schlömer 2009-08-19 09:47:27 UTC
Alright, here (on amd64) things are running and plots are working nicely. Thanks for the fix Guillaume!
Comment 48 Justin Lecher gentoo-dev 2009-08-31 06:47:14 UTC
@Markus
Any progress getting this to the tree?
Comment 49 Markus Dittrich (RETIRED) gentoo-dev 2009-09-01 00:20:12 UTC
To be quite frank, I am way behind on many fronts
and haven't even had enough time to take an in depth
look at the current state of affairs. Is there any chance
we can add it to the science overlay first to give
it a bit more exposure?

Thanks,
Markus 
Comment 50 Artemii 2009-09-06 21:14:59 UTC
I use ~amd64. scilab compiles and works only with sun-jdk (icedtea failed both to compile and to execute).

Some detected errors:

1. Warning: Could not find Java package '/usr/share/scilab//modules/helptools/jar/org.scilab.modules.helptools.jar'. — in /usr/share/scilab/modules/helptools isn't "jar" subdirectory.


2. if I tried to start scicos simulation (for example demos), I recovered error

Impossible to load libsciscicos.so library: /usr/share/scilab//modules/scicos/.libs/libsciscicos.so: cannot open shared object file: No such file or director

 there isn't subdirectory ".libs" in /usr/share/scilab/modules/scicos, this library located in /usr/lib64/scilab

3. The same error is in OPTIMIZATION chapter of Scilab Demonstrations introduction:

Impossible to load libscioptimization.so library: /usr/share/scilab//modules/optimization/.libs/libscioptimization.so: cannot open shared object file: No such file or director

Are these paths hardcoded?
Comment 51 Sylvestre Ledru 2009-09-08 11:34:13 UTC
1) you have not probably build the help
(make doc)

2 & 3) these paths are not hardcoded. 
Could you add /usr/lib64/scilab to the variable SCILIB
in the file bin/scilab line 499

Thanks
Comment 52 Artemii 2009-09-10 20:37:46 UTC
Created attachment 203708 [details]
error log

1. if I set doc USE-flag there are problems with dependencies:
dev-lang/kaffe fail to build with alsa USE-flag enabled (bug 163801)
dev-lang/jdbc-mysql fail to build if no 1.4 jdk installed
dev-java/jeuclid-core required dev-java/xmlgraphics-commons-1.2, and fail to build with error "package net.jcip.annotations does not exist" but jcip-annotations is installed.

2. yes, this works, but nuber of line is 441

I found another bug: if I opened scicos demo "Bouncing_balls", run simulations, and tried to open menu "Help->Demo", scilab crashed (error log in attachment).
Comment 53 Guillaume Horel 2009-09-11 04:09:58 UTC
Building the docs is kind of tricky for this ebuild since they require quite a few java packages that are not in the tree, nor even in the various javas overlay. For this reason, I was thinking of having a doc and doc-build use flag. The doc use flag would just download the docs from the scilab website and doesn't require any of these java-packages. The doc-build use flag would actually compile the docs.

The docs build fine with this ebuild on my setup (~x86)
The ebuild doesn't pull kaffe nor jdbc-mysql for me,try to understand why it does it on yours, but they're certainly not needed to build the docs
I used jeuclid-core-3.1.5 ebuild from bug #224995, and I don't have any issue with jcip-annotations not recognized. If you still have the error, please follow up on the bug report for that ebuild.

I can confirm that changing the SCILIB variable fixes the bug with scicos, I will post a patch shortly. The bouncing ball demos works fine for me now. Your error log looks similar to bug #4139 from upstream: http://bugzilla.scilab.org/show_bug.cgi?id=4139 but no solution there. Could be a graphics card driver issue. Do you also have an nvidia card?
Comment 54 Artemii 2009-09-20 17:53:07 UTC
>The ebuild doesn't pull kaffe nor jdbc-mysql for me,try to understand why it
does it on yours, but they're certainly not needed to build the docs

this is becaose my global USE-flags...

>I used jeuclid-core-3.1.5 ebuild from bug #224995, and I don't have any issue
with jcip-annotations not recognized.

I tried jcip-annotaions from bug #236939, this works, but jeuclid-core fails to build with another error (see bug #224995 for details)

>Could be a graphics card driver issue. Do you also have an nvidia card?

Yes. I have GeForce 6600 and nvidia-drivers-185.18.31
Comment 55 Christophe Paccolat 2009-10-06 21:55:22 UTC
sci-mathematics/scilab-5.1.1  USE="fftw gui matio scicos tk umfpack -debug -doc (-pvm)" build successfully on x86_64,
but the ebuild seems to be missing some symlinks:

How to reproduce:
1. Start scicos
2. Try to add any block from palette->palettes (*)
3. Nothing happens, outputs error message:

"I recovered from the following error:
Impossible to load libsciscicos.so library: /usr/share/scilab//modules/scicos/.libs/libsciscicos.so: cannot open shared object file: No such file or directory
in Palettes_ action."

(*):or load a *.cos file

Workaround :
as per console error message:
ln -s /usr/lib64/scilab/libsciscicos.so /usr/share/scilab/modules/scicos/.libs/libsciscicos.so
Comment 56 Sylvestre Ledru 2009-10-06 22:11:52 UTC
C.Paccolat:
see comment #51
Comment 57 Christophe Paccolat 2009-10-07 18:07:17 UTC
(In reply to comment #56)
> C.Paccolat:
> see comment #51
sorry my bad, filling in comments late night without doing a quick search... 

Wouldn't then adding "/usr/lib/scilab" instead of "/usr/lib64/scilab" to the SCILIB variable be better/more generic to fix the issue on x86 also ?
Comment 58 Christophe Paccolat 2009-10-09 22:17:55 UTC
Created attachment 206592 [details, diff]
SCILIB Path fix

Fixes SCILIB path issues
Comment 59 Sylvestre Ledru 2009-10-13 17:54:02 UTC
(In reply to comment #58)
It is pretty much what I do in the Debian packaging:
http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/debian/patches/
librarypath.diff
Comment 60 Andrzej Krentosz 2009-10-16 00:02:58 UTC
Created attachment 207264 [details]
Compile error and info

Hi, i was trying to compile scilab-5.1.1 on amd64 and it's ended with:

/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol

Google knows nothing about it.
Comment 61 Andrzej Krentosz 2009-10-16 00:03:11 UTC
Created attachment 207266 [details]
Compile error and info

Hi, i was trying to compile scilab-5.1.1 on amd64 and it's ended with:

/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol

Google knows nothing about it.
Comment 62 Christophe Paccolat 2009-10-16 07:47:52 UTC
Created attachment 207281 [details]
Revdep-rebuild output

(In reply to comment #59)
> (In reply to comment #58)
> It is pretty much what I do in the Debian packaging:
> http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/debian/patches/
> librarypath.diff
> 
In both cases revdep-rebuild reports it as broken...
Comment 63 Sylvestre Ledru 2009-10-16 07:52:06 UTC
It is due to a missing option in the use of your tool.

Scilab needs to have access to libjava.so, libjvm.so &
libverify.so provided by the JVM.
The appropriate LD_LIBRARY_PATH are set by the bin/scilab script.
Comment 64 shigubuhua 2009-11-18 12:09:26 UTC
(In reply to comment #61)
> Created an attachment (id=207266) [details]
> Compile error and info
> 
> Hi, i was trying to compile scilab-5.1.1 on amd64 and it's ended with:
> 
> /usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as
> different kind of symbol
> 
> Google knows nothing about it.
> 

I got this error too.
Comment 65 Sylvestre Ledru 2009-11-18 12:14:17 UTC
I don't have it yet.
What is your version of the glibc ?

Could you copy / paste more lines ? (especially where it is coming from in Scilab ?)
Comment 66 shigubuhua 2009-11-22 09:02:47 UTC
(In reply to comment #65)
> I don't have it yet.
> What is your version of the glibc ?
> 
> Could you copy / paste more lines ? (especially where it is coming from in
> Scilab ?)
> 

the error log:

mv -f .deps/libscigui_la-sci_toprint.Tpo .deps/libscigui_la-sci_toprint.Plo
mv -f .deps/libscigui_la-sci_printfigure.Tpo .deps/libscigui_la-sci_printfigure.Plo
/bin/sh ../../libtool --tag=CXX   --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../modules/core/includes  -I/opt/sun-jdk-1.6.0.17/include -I/opt/sun-jdk-1.6.0.17/include/linux -I./includes/ -I./src/cpp/ -I./src/c/ -I./src/jni/ -I../../modules/jvm/includes/ -I../../modules/renderer/src/jni/ -I../../modules/renderer/includes/ -I../../modules/renderer/src/cpp/ -I../../modules/renderer/src/cpp/figureDrawing/ -I../../modules/graphic_export/includes/ -I../../libs/doublylinkedlist/includes/ -I../../modules/output_stream/includes -I../../modules/graphics/includes/ -I../../modules/graphics/src/c/getHandleProperty/ -I../../modules/graphic_export/includes/ -I../../modules/string/includes/   -march=core2 -O2 -pipe -fomit-frame-pointer -I../../modules/core/includes/ -I../../libs/MALLOC/includes/ -I../../modules/localization/includes/ -MT libscigui_la-sci_getinstalledlookandfeels.lo -MD -MP -MF .deps/libscigui_la-sci_getinstalledlookandfeels.Tpo -c -o libscigui_la-sci_getinstalledlookandfeels.lo `test -f 'sci_gateway/cpp/sci_getinstalledlookandfeels.cpp' || echo './'`sci_gateway/cpp/sci_getinstalledlookandfeels.cpp
/bin/sh ../../libtool --tag=CXX   --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../modules/core/includes  -I/opt/sun-jdk-1.6.0.17/include -I/opt/sun-jdk-1.6.0.17/include/linux -I./includes/ -I./src/cpp/ -I./src/c/ -I./src/jni/ -I../../modules/jvm/includes/ -I../../modules/renderer/src/jni/ -I../../modules/renderer/includes/ -I../../modules/renderer/src/cpp/ -I../../modules/renderer/src/cpp/figureDrawing/ -I../../modules/graphic_export/includes/ -I../../libs/doublylinkedlist/includes/ -I../../modules/output_stream/includes -I../../modules/graphics/includes/ -I../../modules/graphics/src/c/getHandleProperty/ -I../../modules/graphic_export/includes/ -I../../modules/string/includes/   -march=core2 -O2 -pipe -fomit-frame-pointer -I../../modules/core/includes/ -I../../libs/MALLOC/includes/ -I../../modules/localization/includes/ -MT libscigui_la-sci_getlookandfeel.lo -MD -MP -MF .deps/libscigui_la-sci_getlookandfeel.Tpo -c -o libscigui_la-sci_getlookandfeel.lo `test -f 'sci_gateway/cpp/sci_getlookandfeel.cpp' || echo './'`sci_gateway/cpp/sci_getlookandfeel.cpp
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../modules/core/includes -I/opt/sun-jdk-1.6.0.17/include -I/opt/sun-jdk-1.6.0.17/include/linux -I./includes/ -I./src/cpp/ -I./src/c/ -I./src/jni/ -I../../modules/jvm/includes/ -I../../modules/renderer/src/jni/ -I../../modules/renderer/includes/ -I../../modules/renderer/src/cpp/ -I../../modules/renderer/src/cpp/figureDrawing/ -I../../modules/graphic_export/includes/ -I../../libs/doublylinkedlist/includes/ -I../../modules/output_stream/includes -I../../modules/graphics/includes/ -I../../modules/graphics/src/c/getHandleProperty/ -I../../modules/graphic_export/includes/ -I../../modules/string/includes/ -march=core2 -O2 -pipe -fomit-frame-pointer -I../../modules/core/includes/ -I../../libs/MALLOC/includes/ -I../../modules/localization/includes/ -MT libscigui_la-sci_getinstalledlookandfeels.lo -MD -MP -MF .deps/libscigui_la-sci_getinstalledlookandfeels.Tpo -c sci_gateway/cpp/sci_getinstalledlookandfeels.cpp  -fPIC -DPIC -o .libs/libscigui_la-sci_getinstalledlookandfeels.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../modules/core/includes -I/opt/sun-jdk-1.6.0.17/include -I/opt/sun-jdk-1.6.0.17/include/linux -I./includes/ -I./src/cpp/ -I./src/c/ -I./src/jni/ -I../../modules/jvm/includes/ -I../../modules/renderer/src/jni/ -I../../modules/renderer/includes/ -I../../modules/renderer/src/cpp/ -I../../modules/renderer/src/cpp/figureDrawing/ -I../../modules/graphic_export/includes/ -I../../libs/doublylinkedlist/includes/ -I../../modules/output_stream/includes -I../../modules/graphics/includes/ -I../../modules/graphics/src/c/getHandleProperty/ -I../../modules/graphic_export/includes/ -I../../modules/string/includes/ -march=core2 -O2 -pipe -fomit-frame-pointer -I../../modules/core/includes/ -I../../libs/MALLOC/includes/ -I../../modules/localization/includes/ -MT libscigui_la-sci_getlookandfeel.lo -MD -MP -MF .deps/libscigui_la-sci_getlookandfeel.Tpo -c sci_gateway/cpp/sci_getlookandfeel.cpp  -fPIC -DPIC -o .libs/libscigui_la-sci_getlookandfeel.o
In file included from /usr/include/math.h:72,
                 from ../../modules/core/includes/core_math.h:17,
                 from ../../modules/core/includes/stack-c.h:22,
                 from sci_gateway/cpp/sci_setlookandfeel.cpp:20:
/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol
/usr/include/bits/mathcalls.h:101: error: previous declaration of ‘double exp(double)’
/usr/include/bits/mathcalls.h:121: error: expected primary-expression before ‘double’
/usr/include/bits/mathcalls.h:121: error: expected ‘)’ before ‘double’
sci_gateway/cpp/sci_setlookandfeel.cpp: In function ‘int sci_setlookandfeel(char*, long unsigned int)’:
sci_gateway/cpp/sci_setlookandfeel.cpp:43: warning: deprecated conversion from string constant to ‘char*’
sci_gateway/cpp/sci_setlookandfeel.cpp:61: warning: deprecated conversion from string constant to ‘char*’
sci_gateway/cpp/sci_setlookandfeel.cpp:72: warning: deprecated conversion from string constant to ‘char*’
make[3]: *** [libscigui_la-sci_setlookandfeel.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
In file included from /usr/include/math.h:72,
                 from ../../modules/core/includes/core_math.h:17,
                 from ../../modules/core/includes/stack-c.h:22,
                 from sci_gateway/cpp/sci_getinstalledlookandfeels.cpp:20:
/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol
/usr/include/bits/mathcalls.h:101: error: previous declaration of ‘double exp(double)’
/usr/include/bits/mathcalls.h:121: error: expected primary-expression before ‘double’
/usr/include/bits/mathcalls.h:121: error: expected ‘)’ before ‘double’
sci_gateway/cpp/sci_getinstalledlookandfeels.cpp: In function ‘int sci_getinstalledlookandfeels(char*, long unsigned int)’:
sci_gateway/cpp/sci_getinstalledlookandfeels.cpp:40: warning: deprecated conversion from string constant to ‘char*’
make[3]: *** [libscigui_la-sci_getinstalledlookandfeels.lo] Error 1
In file included from /usr/include/math.h:72,
                 from ../../modules/core/includes/core_math.h:17,
                 from ../../modules/core/includes/stack-c.h:22,
                 from sci_gateway/cpp/sci_getlookandfeel.cpp:21:
/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol
/usr/include/bits/mathcalls.h:101: error: previous declaration of ‘double exp(double)’
/usr/include/bits/mathcalls.h:121: error: expected primary-expression before ‘double’
/usr/include/bits/mathcalls.h:121: error: expected ‘)’ before ‘double’
sci_gateway/cpp/sci_getlookandfeel.cpp: In function ‘int sci_getlookandfeel(char*, long unsigned int)’:
sci_gateway/cpp/sci_getlookandfeel.cpp:40: warning: deprecated conversion from string constant to ‘char*’
make[3]: *** [libscigui_la-sci_getlookandfeel.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/sci-mathematics/scilab-5.1.1/work/scilab-5.1.1/modules/gui'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/sci-mathematics/scilab-5.1.1/work/scilab-5.1.1/modules/gui'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/sci-mathematics/scilab-5.1.1/work/scilab-5.1.1/modules'
make: *** [all-recursive] Error 1
 * ERROR: sci-mathematics/scilab-5.1.1 failed:
 *   emake failed
 * 
 * Call stack:
 *     ebuild.sh, line  49:  Called src_compile
 *   environment, line 4858:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed";
 * 
 * If you need support, post the output of 'emerge --info =sci-mathematics/scilab-5.1.1',
 * the complete build log and the output of 'emerge -pqv =sci-mathematics/scilab-5.1.1'.
 * This ebuild is from an overlay named 'my-overlay': '/usr/local/portage/my-overlay/'
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.17"
JAVACFLAGS="" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/tmp/portage/sci-mathematics/scilab-5.1.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-mathematics/scilab-5.1.1/temp/environment'.
 * S: '/var/tmp/portage/sci-mathematics/scilab-5.1.1/work/scilab-5.1.1'

the glibc:
# eix -e glibc
[I] sys-libs/glibc
     Available versions:  (2.2) [P]*2.2.5-r10!s [P]2.3.2-r12!s [P]2.3.5-r3!s [P]2.3.6-r4!s [P]2.3.6-r5!s 2.4-r4!s 2.5-r2!s 2.5-r3!s 2.5-r4!s **2.5.1!s (~)2.6!s 2.6.1!s (~)2.7-r2!s (~)2.8_p20080602!s 2.8_p20080602-r1!s (~)2.9_p20081201!s (~)2.9_p20081201-r1!s 2.9_p20081201-r2!s (~)2.9_p20081201-r3!s (~)2.10.1!s (~)2.10.1-r1!s (~)2.11!s
        {build crosscompile_opts_headers-only debug erandom gd glibc-compat20 glibc-omitfp hardened linuxthreads-tls multilib nls nptl nptlonly profile selinux userlocales vanilla}
     Installed versions:  2.11(2.2)!s(11:20:06 AM 11/08/2009)(multilib nls -crosscompile_opts_headers-only -debug -gd -glibc-omitfp -hardened -profile -selinux -vanilla)
     Homepage:            http://www.gnu.org/software/libc/libc.html
     Description:         GNU libc6 (also called glibc2) C library
Comment 67 Andrzej Krentosz 2009-11-26 22:36:50 UTC
Created attachment 211281 [details, diff]
Disables exp10 wrapper.

It seems that scilab uses some strange wrapper for exp10 function which is already defined in math.h. I've used cpp preprocessor on this file and indeed, it had two versions of exp10. Later I've discovered that this function is created by configure script, so I've made simple patch to disable this.

What is more, scilab doesn't compile with as-needed on my box, I've added  append-ldflags -Wl,--no-as-needed to pkg_setup().

Now it compiles, stability is the other thing. ;-)
Comment 68 shigubuhua 2009-11-28 10:26:09 UTC
(In reply to comment #67)
> Created an attachment (id=211281) [details]
> Disables exp10 wrapper.
> 
> It seems that scilab uses some strange wrapper for exp10 function which is
> already defined in math.h. I've used cpp preprocessor on this file and indeed,
> it had two versions of exp10. Later I've discovered that this function is
> created by configure script, so I've made simple patch to disable this.
> 
> What is more, scilab doesn't compile with as-needed on my box, I've added 
> append-ldflags -Wl,--no-as-needed to pkg_setup().
> 
> Now it compiles, stability is the other thing. ;-)
> 

Thanks. It is working now.
Comment 69 Sylvestre Ledru 2009-11-28 20:25:56 UTC
(In reply to comment #67)
> What is more, scilab doesn't compile with as-needed on my box, I've added 
> append-ldflags -Wl,--no-as-needed to pkg_setup().
Indeed, not sure that Scilab builds with as-needed. Patches are welcome (I will apply them upstream).
 
> Now it compiles, stability is the other thing. ;-)
What kind of stability issues do you have ?
Comment 70 Andrzej Krentosz 2009-11-30 17:47:16 UTC
Scilab command-line is stable, but general scicos experience is quite bad. It hangs randomly, windows are moving without any reason, dragging blocks from palette is a nightmare, etc, etc. Even after successful session, main scilab windows is flooded with error messages from scicos. Same is with -bin version, and any previous versions even under windows. Furtunately xcos, the new scicos replacement is comming. (http://www.scilab.org/xcos/)

(In reply to comment #69)
> What kind of stability issues do you have ?
> 

Comment 71 Sylvestre Ledru 2009-11-30 19:23:29 UTC
OK, thanks.
PS: I am part of upstream and I confirm that xcos is a very good solution ;)
Comment 72 Sébastien Fabbro (RETIRED) gentoo-dev 2010-01-13 17:28:49 UTC
If anyone interested in trying to package scilab-5.2 in our science overlay, let the sci-mathematics team know, or show up in #gentoo-science on irc. 
Thanks for the work!
Comment 73 Ilyas LANDIKOV 2010-01-14 13:13:04 UTC
(In reply to comment #72)
> If anyone interested in trying to package scilab-5.2 in our science overlay,
> let the sci-mathematics team know, or show up in #gentoo-science on irc. 
> Thanks for the work!
> 

I've actually tried two times but no one responded...
I successfully built scilab-5.1.1 on my amd64, look to work well, i will modify the ebuild in order to use all the patches.
I'm also trying to build scilab-5.2.0 but jgraphx is needed...http://bugs.gentoo.org/show_bug.cgi?id=300979
Comment 74 Christophe Paccolat 2010-01-14 13:33:06 UTC
I am currently trying to port the 5.1.1 ebuild to 5.2.0. Will probably post it some time tomorrow. It looks like will need an ebuild for the jgraphx dependency if we want to build the GUI. Haven't found any on the web...
-> http://www.jgraph.com/jgraphx.html
On a positive side, have managed a successful build without the new hdf5 support nor the gui, still need to adapt the patches...
Comment 75 Sylvestre Ledru 2010-01-14 13:40:04 UTC
A first step could be to have first Scilab 5.1.1 into Gentoo and once it is OK, upload the version 5.2

Other dependencies have been also introduced:
JLaTeXMath - http://forge.scilab.org/index.php/p/jlatexmath/

JHDF5 - http://www.hdfgroup.org/hdf-java-html/
http://svn.debian.org/viewsvn/debian-science/packages/jhdf/trunk/debian/patches/

They have been packaged under Debian. Reuse of the patches are welcome.


(if someone with enough privileges could a depends on the bug #300979, it would be nice
Comment 76 Christophe Paccolat 2010-01-14 13:52:54 UTC
Created attachment 216499 [details]
scilab-5.2.0 ebuild

Sorry Ilyas, was probably writing at the same time as you.
Anyway, here is the mockup ebuild for 5.2. should allow you to build it with USE="-gui -hdf5"...
I suppose upcoming version will still present the same issues with the java-package checking and the Scilab path on gentoo, so in my opinion patches should be named without "scilab-5.1.1-" and modified so they can applied directly in ../work/{P}/. Don't know if this is the official way though...
Comment 77 Ilyas LANDIKOV 2010-01-14 20:40:10 UTC
(In reply to comment #76)
> Created an attachment (id=216499) [details]
> scilab-5.2.0 ebuild
> 
> Sorry Ilyas, was probably writing at the same time as you.
> Anyway, here is the mockup ebuild for 5.2. should allow you to build it with
> USE="-gui -hdf5"...
> I suppose upcoming version will still present the same issues with the
> java-package checking and the Scilab path on gentoo, so in my opinion patches
> should be named without "scilab-5.1.1-" and modified so they can applied
> directly in ../work/{P}/. Don't know if this is the official way though...
> 
oh well it's ok then=)
I think you should adapt the patches only if 5.2.0 have the same issues
Comment 78 Christophe Paccolat 2010-01-14 23:47:58 UTC
(In reply to comment #77)
> I think you should adapt the patches only if 5.2.0 have the same issues
> 
I have added remarks beside the old patches, but from my test I can tell that 
- java-package-check.patch is needed (./configure doesn't find jni.h when building with hdf5)
- libpathfix.patch is needed as well (running scilab in console mode reports missing libraries in path)
As for :
- malloc,patch is not : has been included in the source code already (as per comment #39)
- exp10.patch : I could compile on amd64 without errors, maybe arch related ?
- pvm.patch : ?
Comment 79 Guillaume Horel 2010-01-15 03:23:23 UTC
Created attachment 216568 [details]
scilab-5.2.0.ebuild

I've been working on a new ebuild for scilab 5.2.0. I think it's a lot cleaner that the 5.1.1 one. Scilab 5.2.0 depends on a few more java packages compared to 5.1.1:
-jgraphx (bug #300979)
-jlatexmath (bug #301048)
-hdf-java (bug #301049)

Bug #5496 from upstream cause that you have to enable docs in order to build the gui. Writing a patch for that should be easy.

I cannot build xcos at the moment, so you should disable it for now (-scicos use flag) if you want to build the gui. Please report if you have more success than I do.
Comment 80 Guillaume Horel 2010-01-15 03:30:31 UTC
A few more comments. To disable scicos, you need to diable *both* hdf5 and scicos, the configure file is not very logical.
The patch for pvm is not needed since it has been applied upstream. However pvm is broken in the tree at the moment, and is stated for removal. We need to push pvm 3.4.6 into the tree asap.
Comment 81 Sylvestre Ledru 2010-01-15 07:01:44 UTC
I can do the upstream fix for bug 5496.
The upstream configure indeed lacks of dependencies management.

Don't bother for PVM. (Almost?) nobody uses it...
Comment 82 Ilyas LANDIKOV 2010-01-15 21:57:28 UTC
(In reply to comment #79)
> Created an attachment (id=216568) [details]
> scilab-5.2.0.ebuild
> 
> I've been working on a new ebuild for scilab 5.2.0. I think it's a lot cleaner
> that the 5.1.1 one. Scilab 5.2.0 depends on a few more java packages compared
> to 5.1.1:
> -jgraphx (bug #300979)
> -jlatexmath (bug #301048)
> -hdf-java (bug #301049)
> 
> Bug #5496 from upstream cause that you have to enable docs in order to build
> the gui. Writing a patch for that should be easy.
> 
> I cannot build xcos at the moment, so you should disable it for now (-scicos
> use flag) if you want to build the gui. Please report if you have more success
> than I do.
> 

ebuilds for these packages are ready.
i just compiled jgraphx and jlatexmath on my machine but hdf-java gives an error (http://bugs.gentoo.org/show_bug.cgi?id=301129)
anyway i tried to run ./configure --with-jdk=/opt/sun-jdk-1.6.0.17/ and got that

checking for javah... /opt/sun-jdk-1.6.0.17/bin/javah
checking for jar... /opt/sun-jdk-1.6.0.17/bin/jar
checking for jdb... /opt/sun-jdk-1.6.0.17/bin/jdb
checking for ant... /usr/bin/ant
checking jgraphx... no
configure: error: Could not find or use the Java package/jar jgraphx used by Diagram design (looking for package com.mxgraph.model.mxCell)

Comment 83 Christophe Paccolat 2010-01-18 20:52:33 UTC
With the newest 5.2 4 more (In reply to comment #75)
> A first step could be to have first Scilab 5.1.1 into Gentoo and once it is OK,
> upload the version 5.2

I'll second that, with 5.2 we have 4 more bugs this bug depends on; ie. :
hdf5 related : 301049 (build dependency), 301129 
gui related : 301048, 300979 : both are build dependencies
(btw could somebody make this bug depend on them also ? thanks)
With the speed things are going, It would make more sense to push the 5.1.1 ebuild to the science overlay since it seems we have a working ebuild (overlay-quality) and that the dependencies are already in the java/sci-overlay. As for 5.2, I suggest we open a new bug since the requirements are more and a complete build doesn't seem possible for now...
Comment 84 Sébastien Fabbro (RETIRED) gentoo-dev 2010-01-22 18:52:30 UTC
Hi,

I'm trying to give some momentum to this work, so I included scilab-5.2.0 and a few missing deps in the science overlay. You need both java-overlay and java-experimental overlays to work. I also hard masked it since it is still a bit rough:
* jgraphx, hdf-java, jlatexmath, jeuclid-core have been reworked and included.
* scilab-5.2.0.ebuild has been cleaned up.
* failed with gluegen, it seems an as-needed problem in the gluegen package

I won't have time to support it (mostly because I don't use scilab and can't really take care of all java deps). If Guillaume or anyone wants to improve/debug the ebuilds, please contact someone in #gentoo-science or #gentoo-java, or email us to get access to the overlay.

I also CC-ed the java team since it depends on a lot of packages in their overlays for scilab-5 to be included in the main tree.

Comment 85 shigubuhua 2010-01-24 10:03:53 UTC
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../modules/core/includes -I./includes/ -I./src/cpp/ -I../../modules/core/includes -I../../modules/call_scilab/includes -I../../libs/MALLOC/includes/ -I../../modules/localization/includes -I../../modules/output_stream/includes -I../../modules/string/includes -march=core2 -O2 -pipe -fomit-frame-pointer -I../../modules/core/includes/ -I../../libs/MALLOC/includes/ -I../../modules/localization/includes/ -MT libsciapi_scilab_la-api_boolean_sparse.lo -MD -MP -MF .deps/libsciapi_scilab_la-api_boolean_sparse.Tpo -c src/cpp/api_boolean_sparse.cpp  -fPIC -DPIC -o .libs/libsciapi_scilab_la-api_boolean_sparse.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../modules/core/includes -I./includes/ -I./src/cpp/ -I../../modules/core/includes -I../../modules/call_scilab/includes -I../../libs/MALLOC/includes/ -I../../modules/localization/includes -I../../modules/output_stream/includes -I../../modules/string/includes -march=core2 -O2 -pipe -fomit-frame-pointer -I../../modules/core/includes/ -I../../libs/MALLOC/includes/ -I../../modules/localization/includes/ -MT libsciapi_scilab_la-api_boolean.lo -MD -MP -MF .deps/libsciapi_scilab_la-api_boolean.Tpo -c src/cpp/api_boolean.cpp  -fPIC -DPIC -o .libs/libsciapi_scilab_la-api_boolean.o
In file included from /usr/include/math.h:72,
                 from ../../modules/core/includes/core_math.h:17,
                 from ../../modules/core/includes/stack-c.h:26,
                 from src/cpp/api_common.cpp:26:
/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol
/usr/include/bits/mathcalls.h:101: error: previous declaration of ‘double exp(double)’
/usr/include/bits/mathcalls.h:121: error: expected primary-expression before ‘double’
/usr/include/bits/mathcalls.h:121: error: expected ‘)’ before ‘double’
src/cpp/api_common.cpp: In function ‘SciErr getProcessMode(void*, int, int*, int*)’:
src/cpp/api_common.cpp:362: warning: deprecated conversion from string constant to ‘char*’
make[2]: *** [libsciapi_scilab_la-api_common.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /usr/include/math.h:72,
                 from ../../modules/core/includes/core_math.h:17,
                 from ../../modules/core/includes/stack-c.h:26,
                 from src/cpp/api_boolean_sparse.cpp:25:
/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol
/usr/include/bits/mathcalls.h:101: error: previous declaration of ‘double exp(double)’
/usr/include/bits/mathcalls.h:121: error: expected primary-expression before ‘double’
/usr/include/bits/mathcalls.h:121: error: expected ‘)’ before ‘double’
make[2]: *** [libsciapi_scilab_la-api_boolean_sparse.lo] Error 1
In file included from /usr/include/math.h:72,
                 from ../../modules/core/includes/core_math.h:17,
                 from ../../modules/core/includes/stack-c.h:26,
                 from src/cpp/api_boolean.cpp:26:
/usr/include/bits/mathcalls.h:121: error: ‘double exp’ redeclared as different kind of symbol
/usr/include/bits/mathcalls.h:101: error: previous declaration of ‘double exp(double)’
/usr/include/bits/mathcalls.h:121: error: expected primary-expression before ‘double’
/usr/include/bits/mathcalls.h:121: error: expected ‘)’ before ‘double’
make[2]: *** [libsciapi_scilab_la-api_boolean.lo] Error 1
make[2]: Leaving directory `/var/tmp/portage/sci-mathematics/scilab-5.2.0/work/scilab-5.2.0/modules/api_scilab'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/sci-mathematics/scilab-5.2.0/work/scilab-5.2.0/modules'
make: *** [all-recursive] Error 1
 * ERROR: sci-mathematics/scilab-5.2.0 failed:
 *   emake failed
 * 
 * Call stack:
 *     ebuild.sh, line  48:  Called src_compile
 *   environment, line 4681:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed";
 * 
 * If you need support, post the output of 'emerge --info =sci-mathematics/scilab-5.2.0',
 * the complete build log and the output of 'emerge -pqv =sci-mathematics/scilab-5.2.0'.
 * This ebuild is from an overlay named 'science': '/usr/local/portage/layman/science/'
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.18"
JAVACFLAGS="" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/tmp/portage/sci-mathematics/scilab-5.2.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-mathematics/scilab-5.2.0/temp/environment'.
 * S: '/var/tmp/portage/sci-mathematics/scilab-5.2.0/work/scilab-5.2.0'

>>> Failed to emerge sci-mathematics/scilab-5.2.0, Log file:

>>>  '/var/tmp/portage/sci-mathematics/scilab-5.2.0/temp/build.log'

 * Messages for package sci-mathematics/scilab-5.2.0:

 * ERROR: sci-mathematics/scilab-5.2.0 failed:
 *   emake failed
 * 
 * Call stack:
 *     ebuild.sh, line  48:  Called src_compile
 *   environment, line 4681:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed";
 * 
 * If you need support, post the output of 'emerge --info =sci-mathematics/scilab-5.2.0',
 * the complete build log and the output of 'emerge -pqv =sci-mathematics/scilab-5.2.0'.
 * This ebuild is from an overlay named 'science': '/usr/local/portage/layman/science/'
 * The complete build log is located at '/var/tmp/portage/sci-mathematics/scilab-5.2.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-mathematics/scilab-5.2.0/temp/environment'.
 * S: '/var/tmp/portage/sci-mathematics/scilab-5.2.0/work/scilab-5.2.0'
 * 
 * The following package has failed to build or install:
 * 
 *  ('ebuild', '/', 'sci-mathematics/scilab-5.2.0', 'merge'), Log file:
 *   '/var/tmp/portage/sci-mathematics/scilab-5.2.0/temp/build.log'
 * 
Comment 86 Andrzej Krentosz 2010-01-30 13:10:43 UTC
Bug above is somehow similar to exp10 bug I've described some time ago. Now it's complaining about exp function.
Comment 87 Sylvestre Ledru 2010-02-04 17:21:47 UTC
I wonder why this issue (exp & exp10) is only happening on Gentoo ?!
Comment 88 Andrzej Krentosz 2010-02-06 23:27:32 UTC
Created attachment 218759 [details]
Doc generation error.

I've tried to emerge scilab-5.2.0 from science overlay (*-r1.ebuild, it includes exp10 patch). It failed with --as-needed so I've modified ebuild to filter it out (*-r2.ebuild). Then it failed on doc generation with some strange error (out of memory? log in attachment). With USE="-doc" it fails with:
[javac] /var/tmp/portage/sci-mathematics/scilab-5.2.0-r2/work/scilab-5.2.0/modules/renderer/src/java/org/scilab/modules/renderer/textDrawing/MathMLObjectGL.java:28: package net.sourceforge.jeuclid does not exist,
which is strange because jeuclid-core is emerged. Old 5.1.1 ebuild contained some lines and even patches related to some java path issues, which are not present in 5.2.0 ebuild. (~amd64 here) The whole thing is strange because 'make doc' take place after successful 'make'. My first emerge failed during 'make doc' so 'make' was ok and there was no jeuclid-core error.
Comment 89 Sylvestre Ledru 2010-02-06 23:39:37 UTC
Andrzej, the problem is probably related to a limitation in the memory (              buildDoc: Error while building documentation: Java heap space.)

Update etc/jvm_options.xml and increase the following line <option value="-Xmx256m"/>
to 512. It should fix your problem. (please let me know)
Comment 90 Andrzej Krentosz 2010-02-07 02:13:49 UTC
Created attachment 218769 [details, diff]
Increases java heap to 512M

(In reply to comment #89)

Thanks, it worked! I've made trivial patch for that, maybe somebody will find it useful. For some reason 'make doc' generated english and french help and it took 1:17h. Pure code compilation took about 15 minutes. Now with USE="doc" everything is fine, strange jeuclid error remains, though.
Comment 91 Sylvestre Ledru 2010-02-07 07:40:01 UTC
Created attachment 218781 [details, diff]
Should fix the detection of jeuclid.

> Thanks, it worked! I've made trivial patch for that, maybe somebody will find
> it useful.
Thanks. Please note that with computers with less than 512 mo of Ram, this patch can cause issues (it is why it is not done upstream).

> For some reason 'make doc' generated english and french help and it
> took 1:17h. 
Upstream is working on it. It seems to be a problem with docbook stylesheets.

> Pure code compilation took about 15 minutes. Now with USE="doc"
> everything is fine, strange jeuclid error remains, though.
I think it is the bug:
http://bugzilla.scilab.org/show_bug.cgi?id=5496

I attached the patch which should work (not sure it applies against the 5.2.0). It needs an autoreconf.
Comment 92 Andrzej Krentosz 2010-02-08 16:17:36 UTC
(In reply to comment #91)

Patch is working but now fop is missing (I have it installed):
"package org.apache.fop.svg does not exist", probably next modification of configure script is required.
In ebuild, dev-java/fop should be moved from doc conditional to gui conditional in RDEPEND, maybe other packages from doc should be moved too? It would be easier if http://wiki.scilab.org/Dependencies_of_Scilab_5.X was up-to-date. I've also noticed that hdf5 USE flag is required to enable xcos. Unfortunately my scilab crashes on "x=0:0.1:1" with SIGSEGV, so I'll try to recompile it without evil cflags (those from graphite and -ftree-vectorize).
Comment 93 Sylvestre Ledru 2010-02-08 16:23:21 UTC
I updated the wiki page with your information:
http://wiki.scilab.org/Dependencies_of_Scilab_5.X?action=diff&rev2=123&rev1=122

About the "evil cflags", could you:
* provide a backtrace of the error 
* report it on http://bugzilla.scilab.org/
thx
Comment 94 Andrzej Krentosz 2010-02-08 17:59:47 UTC
Created attachment 218921 [details]
H5Read.java:56: cannot find symbol

Thanks for that! Now it looks like batik should be moved to gui? too.
I've tried to recompile scilab with hdf5 support to get xcos to work and it failed with "cannot find symbol" error, log attached.
Also, I'm certain that SIGSEGV is my box problem, so before I report any bugs I want to recompile it with xcos and without docs & my evil flags.
Comment 95 Sylvestre Ledru 2010-02-08 23:32:42 UTC
(In reply to comment #94)
> Created an attachment (id=218921) [details]
> H5Read.java:56: cannot find symbol
CF comment #75, 
Have a look to patch jhdf2.6.diff on http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/debian/patches/

> Thanks for that! Now it looks like batik should be moved to gui? too.
In fact, I am not sure. I have to check again here

> Also, I'm certain that SIGSEGV is my box problem, so before I report any bugs I
> want to recompile it with xcos and without docs & my evil flags.
yep but I am interested in having a bug report with the evil flags to fix it ;)
Comment 96 Sébastien Fabbro (RETIRED) gentoo-dev 2010-02-12 06:17:27 UTC
Hi,

I updated the science overlay ebuild for above suggestions and added completely blindly all the referred Debian patches. Please test and report. I will unmask it in a few days.
Anyone would like to look at conditional localization?

Thanks for testing and your contributions!
Comment 97 Ilyas LANDIKOV 2010-02-12 13:56:41 UTC
(In reply to comment #96)
> Hi,
> 
> I updated the science overlay ebuild for above suggestions and added completely
> blindly all the referred Debian patches. Please test and report. I will unmask
> it in a few days.
> Anyone would like to look at conditional localization?
> 
> Thanks for testing and your contributions!
> 

Emerges and runs fine without gui flag, got emerge errors with it. Attaching log
Comment 98 Ilyas LANDIKOV 2010-02-12 14:00:34 UTC
Created attachment 219327 [details]
scilab-5.2.0-r2 build log (errors)
Comment 99 Andrzej Krentosz 2010-02-12 14:09:03 UTC
I've managed to compile scilab without docs, and everything is ok. To do so I've created patch based on bug_5496.diff that fixes detection of all those libraries that are now listed in Scilab wiki page. I'm not using all of debian patches, it compiles and works. (no sigsegv now without evil cflags. ;-) You can check my "overlay" at http://air07.pl/gentoo/scilab/ It contains -r3 ebuild which is based on -r2 from science and my -r2, and patches I've used.
Xcos won't compile without hdf5 use flag, and gui is somehow incomplete without tk use flag.
To comment above: check my ebuild, fop error is fixed there.
Comment 100 Sylvestre Ledru 2010-02-12 14:10:57 UTC
> gui is somehow incomplete without tk use flag.
Do you have more details here ?
Comment 101 Andrzej Krentosz 2010-02-12 14:16:18 UTC
(In reply to comment #100)
> > gui is somehow incomplete without tk use flag.
> Do you have more details here ?
> 

Yup, plot editing tools doesn't work without tk support. I consider them part of gui. ;-)
Comment 102 Sylvestre Ledru 2010-02-12 16:35:32 UTC
Created attachment 219355 [details, diff]
When --disable-build-help was given to the configure, some mandatory       libraries (batik, fop & avalon framework) used by the graphic export feature were not checked. 

(In reply to comment #98)
Here is patch which should fix your problem
(needs an autoreconf)

It makes the patch bug_5496.diff obsolete.
Comment 103 Andrzej Krentosz 2010-02-12 16:54:46 UTC
Are you sure that's all? Commons-io and xmlgraphics-commons are dependencies of fop, aren't they required when fop is used? Patch I've used is here: http://air07.pl/gentoo/scilab/files/5.2.0/scilab-5.2.0-configure.patch
Comment 104 Sylvestre Ledru 2010-02-12 17:04:48 UTC
Hmmm. You might be right. I just tried build but this will probably fail on runtime. 
I will have a look
Comment 105 Sébastien Fabbro (RETIRED) gentoo-dev 2010-02-12 17:13:01 UTC
The science overlay ebuild now includes more patches from comment #99 and comment #102, and disable some of the debian ones, already applied.
The is some tentative for basic localization but I would like to see the LINGUAS being implemented.
Andrzej, are you interested in committing directly to the science overlay? Or may be send your differences to us with the "git patch" thingy, so it makes it easier to track development.
Could anyone really check the java deps?

One last comment: if as-needed does not work, Gentoo policy is not to disable it but to fix it, so I'd rather enabling it and wait for patches.

Thanks
Comment 106 Sylvestre Ledru 2010-02-12 17:27:42 UTC
Created attachment 219361 [details]
When --disable-build-help was given to the configure, some mandatory libraries (batik, fop, etc..) used by the graphic export feature were not checked. 

Same player try again. This one should do it (it was indeed causing issues at runtime)
Comment 107 Sylvestre Ledru 2010-02-12 17:33:01 UTC
(In reply to comment #105)
can someone tell me what is wrong with scilab with "as-needed" ? (I can tried to fix it)

Comment 108 Andrzej Krentosz 2010-02-12 18:38:36 UTC
(In reply to comment #107)
> (In reply to comment #105)
> can someone tell me what is wrong with scilab with "as-needed" ? (I can tried
> to fix it)
> 

Here you are:
http://bugzilla.scilab.org/show_bug.cgi?id=6593
Comment 109 Ilyas LANDIKOV 2010-02-12 18:45:53 UTC
(In reply to comment #105)
> The science overlay ebuild now includes more patches from comment #99 and
> comment #102, and disable some of the debian ones, already applied.
> The is some tentative for basic localization but I would like to see the
> LINGUAS being implemented.
> Andrzej, are you interested in committing directly to the science overlay? Or
> may be send your differences to us with the "git patch" thingy, so it makes it
> easier to track development.
> Could anyone really check the java deps?
> 
> One last comment: if as-needed does not work, Gentoo policy is not to disable
> it but to fix it, so I'd rather enabling it and wait for patches.
> 
> Thanks
> 

just emerged, works fine! thanks a lot! (amd64)

btw has anyone tried adding flexdock to an overlay? I wrote it in bugzilla but seems like nobody is there...
Comment 110 Artemii 2010-02-15 19:09:00 UTC
Created attachment 219811 [details]
cannot find symbol.... from dev-java/jgraphx

I tried to compile scilab-5.2.0-r3 from science overlay and it failed with errors "can not find symbol..." from dev-java/jgraphx. jgraphx compiled and installed without any problem. build.log in attachment.

emerge --info
Portage 2.2_rc62 (default/linux/amd64/10.0, gcc-4.4.3, glibc-2.11-r1, 2.6.32-gentoo-r5 x86_64)
=================================================================                             
System uname: Linux-2.6.32-gentoo-r5-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5200+-with-gentoo-2.0.1
Timestamp of tree: Sun, 14 Feb 2010 22:00:01 +0000                                                          
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p2
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1, 3.1.1-r1
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.0-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20
sys-devel/gcc:       4.4.3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.32
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -mtune=native -pipe -mmmx -msse3 -mfpmath=sse -ftree-vectorize -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -mtune=native -pipe -mmmx -msse3 -mfpmath=sse -ftree-vectorize -fomit-frame-pointer"
DISTDIR="/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O2 -Wl,--hash-style=gnu -Wl,--enable-new-dtags -Wl,--sort-common -Wl,-z,now -Wl,--as-needed"
LINGUAS="ru en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/science /usr/local/portage/layman/kde /usr/local/portage/layman/java-overlay /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
Comment 111 Sylvestre Ledru 2010-02-16 10:12:24 UTC
(In reply to comment #110)
You have to use the patch jgraphx-1.2.0.diff & jgraphx-save.diff from Debian package.
http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/debian/patches/

jgraphx devs break a lot the API (even the ABI which is pretty hard to do with Java)
Comment 112 Artemii 2010-02-16 23:00:51 UTC
Created attachment 219943 [details]
sandbox access violation /root/flexdock

I copied jgraphx-1.0.2.8 to local overlay and renamed it to jgraphx-1.2.0.10. Scilab compiled With disabled as-needed linker flag, but documentation failed to compile with sandbox access violation (build.log in attachment). flexdock-0.5.1 from #266249
Comment 113 Sylvestre Ledru 2010-02-16 23:06:50 UTC
(In reply to comment #112)
It is not Scilab's fault.

It is a problem with Flexdock. You should apply this patch to flexdock package:
http://svn.debian.org/viewsvn/pkg-java/trunk/libflexdock-java/debian/patches/loadOfTheNativeLibrary.patch?revision=8662&view=markup
Comment 114 Sylvestre Ledru 2010-02-18 09:50:59 UTC
FYI, the exp10 build issue (scilab-5.1.1-exp10.patch) is now fixed upstream:
http://gitweb.scilab.org/?p=scilab;a=commitdiff;h=3e49809eec2c1ab73b1e55723b7bfcb3d5a3b601
This won't be released with the version 5.2.1 but the 5.2.2 or 5.3.0
However, the patch will apply perfectly on the upcoming 5.2.1 (which is going to be released very soon)
Comment 115 Sylvestre Ledru 2010-02-18 11:54:52 UTC
Version 5.2.1 of Scilab has been released. http://www.scilab.org/

It fixes some issues highlighted in this bug report (like the jgraphx one or the various conflicts/failing configure options).

Comment 116 Andrzej Krentosz 2010-02-18 13:18:47 UTC
So it should compile with exp10, scilib and java heap patches only? How about hdf-java patch? I will try it soon.
Comment 117 Sylvestre Ledru 2010-02-18 14:28:44 UTC
You still need the hdf patch. We haven't dumped the version of jhdf.
Comment 118 Guillaume Horel 2010-02-25 13:35:24 UTC
Created attachment 221133 [details]
scilab-5.2.1.ebuild
Comment 119 Guillaume Horel 2010-02-25 13:36:20 UTC
Created attachment 221135 [details]
exp10 configure patch imported from upstream
Comment 120 Guillaume Horel 2010-02-25 13:37:24 UTC
Created attachment 221137 [details]
change the scilib directory to also include /usr/lib/scilab
Comment 121 Guillaume Horel 2010-02-25 13:46:28 UTC
Created attachment 221139 [details, diff]
do not check for jgraphx version (checked in the ebuild instead)
Comment 122 Guillaume Horel 2010-02-25 13:49:17 UTC
I installed scilab 5.2.1 fine with the attached ebuild and patches on both x86 and amd64. The cleaned up flexdock ebuild should fix the sandbox error when building docs. I think =jgraphx-1.2.0.7 (1.2.0.8 seems to have an api change) is necessary to build xcos, a new ebuild has been submitted as well.
Comment 123 Sébastien Fabbro (RETIRED) gentoo-dev 2010-02-25 17:39:12 UTC
Thanks Guillaume, I applied your changes in the science overlay. scilab-5.2.1 is now unmasked. I also removed blind application of the Debian patches. However it would be nice if someone reviews them to see whether we could benefit from it.

Comment 124 Artemii 2010-02-26 16:55:24 UTC
please, somebody regenrate manifest for scilab in science overlay.
Comment 125 Thomas Capricelli 2010-03-20 07:21:58 UTC
I have this error when trying to emerge it
emerge: there are no ebuilds to satisfy "dev-java/jrosetta".

I use the science overlay..... i need something else ? 
Comment 126 Sylvestre Ledru 2010-03-20 08:12:33 UTC
I am no gentoo expert but I think you need the java overlay ;)
Comment 127 Sylvestre Ledru 2010-04-29 10:13:04 UTC
There is a new upstream version (5.2.2) which fixes some issues reported here.
Comment 128 shigubuhua 2010-05-03 06:34:50 UTC
Created attachment 230115 [details]
ebuild error

emerge scilab-5.2.1 is fail.
Comment 129 Sylvestre Ledru 2010-05-03 07:26:10 UTC
(In reply to comment #128)
This is due to a missing -lblas / -llapack

Comment 130 Andrzej Krentosz 2010-05-03 12:59:25 UTC
I think it's caused by -Wl,--as-needed.
shigubuhua, remove it from LDFLAGS temporarily an try again.

I know that disabling it in ebuild is not gentoo policy, but this one may never be fixed upstream (http://bugzilla.scilab.org/show_bug.cgi?id=6593)
Comment 131 Sylvestre Ledru 2010-05-03 13:11:03 UTC
Well, it will be fixed but I don't know when. 
Comment 132 shigubuhua 2010-05-05 09:14:25 UTC
(In reply to comment #130)
> I think it's caused by -Wl,--as-needed.
> shigubuhua, remove it from LDFLAGS temporarily an try again.
> 
> I know that disabling it in ebuild is not gentoo policy, but this one may never
> be fixed upstream (http://bugzilla.scilab.org/show_bug.cgi?id=6593)
> 

Thanks. It's work now.
Comment 133 Ronny Moebius 2010-05-24 17:41:41 UTC
Created attachment 232755 [details]
Build failes due to link error with jogl

emerge --info =sci-mathematics/scilab-5.2.1
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop/gnome, gcc-4.3.4, glibc-2.10.1-r1, 2.6.33-gentoo-r1 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.33-gentoo-r1-x86_64-Intel-R-_Core-TM-_i3_CPU_M_330_@_2.13GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 24 May 2010 15:20:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.5-r2
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA skype-eula Broadcom googleearth"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -msse4 -mcx16 -msahf -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -msse4 -mcx16 -msahf -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://de-mirror.org/distro/gentoo/ http://gentoo.mirror.pw.edu.pl/ "
LANG="de_DE.UTF-8@euro"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/x11 /usr/local/portage/layman/zugaina /usr/local/portage/layman/suka /usr/local/portage/layman/sunrise /usr/local/portage/layman/science /usr/local/portage/layman/java-overlay"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apm berkdb bitmap-fonts bluetooth branding bzip2 cairo cdr cleartype cli consolekit corefonts cracklib crypt cups cxx dbus dhcpcd dri dts dvb dvbplayer dvd dvdr eds emacs emboss encode evo exif fam firefox flac font-server fortran gdbm gdu gif gnome gnome-keyring gpm graphics gstreamer gtk hal iconv ipv6 jpeg kde lcms ldap libnotify lm_sensors lua mad mbox mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 readline reflection sdl session sharedmem spell spl sqlite sse sse2 sse3 sse4 ssl ssse3 startup-notification svg sysfs tcpd threads tiff tk truetype truetype-fonts type1 type1-fonts unicode usb vorbis x264 xcb xft xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

emerge -pqv =sci-mathematics/scilab-5.2.1
[ebuild  N    ] sci-mathematics/scilab-5.2.1  USE="gui matio nls tk umfpack -doc -fftw -hdf5 -xcos"

emerge -pqv jogl
[ebuild   R   ] dev-java/jogl-1.1.1  USE="-cg -doc -source"
Comment 134 Jérôme Borme 2010-06-27 11:29:37 UTC
People at opensuse wrote a patch to fix the jogl problem.

http://lists.opensuse.org/opensuse-java/2010-03/msg00005.html
Comment 135 Sylvestre Ledru 2010-06-27 14:48:39 UTC
@jerome, this patch has been applied upstream for the next 5.3.0 version.
Comment 136 G Reitsma 2010-09-11 18:16:52 UTC
I ran into the same issue, and couldn't get in compiled, because of the "--as-needed" flag. So I altered the ebuild, and added the "flag-o-matic" to the inherit line, and added the following line to the pkg_setup section:

filter-ldflags -Wl,--as-needed --as-needed

Now it compiles and installs!

Despite the as-needed patch, it's still required.
Comment 137 lalebarde 2010-09-18 00:11:52 UTC
Created attachment 247735 [details]
with #136 From G Reitsma 2010-09-11 modifications

Does not work for me (the same libjogl issue) : 
configure: error: "libjogl: Library missing (Cannot find symbol glTexParameterf).
Comment 138 lalebarde 2010-09-18 00:14:42 UTC
Created attachment 247737 [details, diff]
with #134 From Jérôme Borme 2010-06-27 patch

This patch I have adapted to fix the jogl problem does not work for me. Still the same libjogl issue : 
configure: error: "libjogl: Library missing (Cannot find symbol
glTexParameterf).
Comment 139 Sylvestre Ledru 2010-09-18 06:42:28 UTC
(In reply to comment #138)
What is the error displayed in the config.log ?

Comment 140 lalebarde 2010-09-18 08:00:59 UTC
error in the config.log :
----------------------------------------------------------------------------
conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
conftest.c:23:28: error: ac_nonexistent.h: No such file or directory

1 error
configure: failed program was:
// #line 10043 "configure"
import gnu.java.io.EncodingManager;

public class conftest {
    public static void main(String[] argv) {

    }
}
configure: CLASSPATH was 
configure:10083: result: jdk
configure:10094: checking java API version
/opt/sun-jdk-1.5.0.22/bin/javac -g conftest.java
yes

configure:12070: error: "libjogl: Library missing (Cannot find symbol glTexParameterf). Check if libjogl - C/Java (JNI) interface for JOGL - or libGL are installed and if the version is correct. Note that you might have to update etc/librarypath.xml to provide the actual path the the JNI libraries."
------------------------------------------------------------------------------

Here is my emerge info :
------------------------------------------------------------------------------
# emerge --info scilab
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.11.2-r0, 2.6.30-tuxonice-r6 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.30-tuxonice-r6-x86_64-Intel-R-_Core-TM-_i7_CPU_860_@_2.80GHz-with-gentoo-1.12.13
Timestamp of tree: Fri, 17 Sep 2010 22:45:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -msse4 -mcx16 -msahf -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -msse4 -mcx16 -msahf -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=8 --load-average=8.0 --with-bdeps y"
FEATURES="assume-digests ccache distcc distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userfetchi"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://mirror.ovh.net/gentoo-distfiles/ http://gentoo.modulix.net/gentoo/ http://ftp.club-internet.fr/pub/mirrors/gentoo/ http://mirror.ovh.net/gentoo-distfiles/ http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="fr_FR.UTF-8"
LC_ALL="C"
LDFLAGS="-Wl,-O1"
LINGUAS="fr fr_FR en"
MAKEOPTS="-j9 --load-average=8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/pro-audio /usr/local/portage/layman/java-overlay /usr/local/portage/layman/science /usr/local/portage/layman/kde-sunset /usr/local/portage/mesEbuilds /usr/local/portage /usr/local/portage/mesEbuilds"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 apm bash-completion bcmath berkdb bluetooth branding bzip2 calendar cdparanoia cdr clamav cli consolekit cracklib crypt cups cxx dbus dga dri dts dv dvb dvd dvdr encode exif fam fbcon fftw firefox flac fortran ftp gd gdbm gif ginac gphoto2 gpm graphviz gtk hal hardened iconv icq idn ieee1394 imagemagick imap imlib ipv6 jack javascript joystick jpeg jpeg2k kerberos krb4 lcms ldap libnotify libwww lirc lm_sensors mad mhash midi mikmod mjpeg mmx mng modules mp3 mp4 mpeg msn mudflap multilib mysql mysqli nas ncurses nls nocd nptl nptlonly nsplugin nvidia ofx ogg openal opengl openmp pam pango pcre pda pdf perl plotutils png portaudio posix ppds pppd profile python qt3support readline reflection samba scanner sdl session sharedmem slang slp source spell sse sse2 ssl startup-notification svg sysfs tcpd test tetex thunar tiff tokenizer truetype unicode usb v4l v4l2 vcd videos vorbis x264 xcb xinerama xml xorg xscreensaver xulrunner xv xvid xvmc yahoo zlib" ALSA_CARDS="hdsp" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr fr_FR en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vga nvidia nv v4l v4l2" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sci-mathematics/scilab-4.1.2-r1 was built with the following:
USE="gtk java (multilib) test -Xaw3d -debug -ocaml" 
-----------------------------------------------------------------------
Comment 141 Sylvestre Ledru 2010-09-18 09:09:22 UTC
Could you attach your config.log ? Your information are not relevant here.
Comment 142 Ilyas LANDIKOV 2010-09-18 09:27:27 UTC
(In reply to comment #138)
> Created an attachment (id=247737) [details]
> with #134 From Jérôme Borme 2010-06-27 patch
> 
> This patch I have adapted to fix the jogl problem does not work for me. Still
> the same libjogl issue : 
> configure: error: "libjogl: Library missing (Cannot find symbol
> glTexParameterf).
> 

Had the same porblem. Solved by adding hfd5 to use flags
Comment 143 lalebarde 2010-09-18 09:40:09 UTC
Created attachment 247761 [details]
(In reply to comment #141)

(In reply to comment #140)
Found that about "error: ac_nonexistent.h: No such file or directory" : https://forums.gentoo.org/viewtopic-p-6381396.html?sid=330bac0cfe73cafdb4ff520a2434d1fe

So I did :
# /usr/sbin/libpng-1.4.x-update.sh 
 * Fixing broken libtool archives (.la)
# emerge -1 cairo pango gtk+ libglade
# revdep-rebuild
* Dynamic linking on your system is consistent... All done.

Nothing changed.

(In reply to comment #141)
config.log attached.
Comment 144 Sylvestre Ledru 2010-09-18 09:58:11 UTC
> # /usr/sbin/libpng-1.4.x-update.sh 
>  * Fixing broken libtool archives (.la)
> # emerge -1 cairo pango gtk+ libglade
> # revdep-rebuild
Scilab and its dependencies don't use this packages.

The ac_nonexistent is a "normal" error (the configure does many of this things).
It does not trigger the blocking error.

The actual issue is:
configure:12031: checking for glTexParameterf in -ljogl 
configure:12056: x86_64-pc-linux-gnu-gcc -o conftest -march=native -msse4 -mcx16 -msahf -O2 -pipe -DNDEBUG -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/  -L/usr/lib/jni -L/usr/lib64/jni/ -L./thirdparty/ -L./bin/ 		-L/usr/lib64/gluegen 		-L 		-L/usr/lib64/jogl conftest.c -ljogl  -lGL  >&5
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -ljogl


This is due to the libjogl.so (the JOGL JNI interface) lib not available in the -L arguments.


Are you sure libjogl is correctly built on your machine ?
Comment 145 Thomas Kahle (RETIRED) gentoo-dev 2010-09-18 12:46:11 UTC
*** Bug 321541 has been marked as a duplicate of this bug. ***
Comment 146 lalebarde 2010-09-18 13:43:46 UTC
(In reply to comment #142)
> Had the same porblem. Solved by adding hfd5 to use flags

I did it. After some issues with dev-java/hdf-java solved here : http://bugs.gentoo.org/show_bug.cgi?id=301049, my situation has evolved a bit. I have moved to another problem :

-------------------------------------------------------------------------------
configure: error: Could not find or use the Java package/jar fop used by XML to PDF Translator (fop) (looking for package org.apache.fop.pdf.PDFInfo)

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/config.log
 * ERROR: sci-mathematics/scilab-5.2.1 failed:
 *   econf failed
 * 
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 5128:  Called econf '--disable-rpath' '--without-pvm' '--disable-build-help' '--enable-nls' '--enable-build-localization' '--with-fftw' '--with-gui' '--with-javasci' '--with-hdf5' '--with-matio' '--with-umfpack' '--without-tk' '--without-scicos'
 *     ebuild.sh, line  544:  Called die
 * The specific snippet of code:
 *   			die "econf failed"
 * 
 * If you need support, post the output of 'emerge --info =sci-mathematics/scilab-5.2.1',
 * the complete build log and the output of 'emerge -pqv =sci-mathematics/scilab-5.2.1'.
 * This ebuild is from an overlay: '/usr/local/portage/mesEbuilds/'
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.5.0.22"
JAVACFLAGS="" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/log/portage/sci-mathematics:scilab-5.2.1:20100918-143041.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-mathematics/scilab-5.2.1/temp/environment'.
 * S: '/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1'
-----------------------------------------------------------------------------

In the config.log :
-----------------------------------------------------------------------------
configure:10018: result: yes
Using JAVAC=/opt/sun-jdk-1.5.0.22/bin/javac
Java found in /opt/sun-jdk-1.5.0.22
configure:10037: checking type of jvm
/opt/sun-jdk-1.5.0.22/bin/javac -g conftest.java
conftest.java:2: package gnu.java.io does not exist
import gnu.java.io.EncodingManager;
                   ^
1 error
configure: failed program was:
// #line 10043 "configure"
import gnu.java.io.EncodingManager;

public class conftest {
    public static void main(String[] argv) {

    }
}
configure: CLASSPATH was 
configure:10083: result: jdk
configure:10094: checking java API version
/opt/sun-jdk-1.5.0.22/bin/javac -g conftest.java
yes
/opt/sun-jdk-1.5.0.22/bin/javac -g conftest.java
yes
---------------------------------------------------------------------------

(In reply to comment #144)
jogl seems happy now :
---------------------------------------------------------------------------
configure:11879: checking jogl
/opt/sun-jdk-1.5.0.22/bin/javac -g conftest.java
yes
configure:11915: result: /usr/share/jogl/lib/jogl.jar
configure:11984: checking for glTexParameterf in -ljogl
configure:12009: x86_64-pc-linux-gnu-gcc -o conftest -march=native -msse4 -mcx16 -msahf -O2 -pipe -DNDEBUG -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/  -L/usr/lib/jni -L/usr/lib64/jni/ -L./thirdparty/ -L./bin/ 		-L/usr/lib64/gluegen 		-L/usr/lib64/hdf-java 		-L/usr/lib64/jogl conftest.c -ljogl   >&5
configure:12009: $? = 0
configure:12018: result: yes
configure:12080: checking gluegen-rt
/opt/sun-jdk-1.5.0.22/bin/javac -g conftest.java
yes
configure:12116: result: /usr/share/gluegen/lib/gluegen-rt.jar
configure:12187: checking for Java_com_sun_gluegen_runtime_UnixDynamicLinkerImpl_dlclose__J in -lgluegen-rt
configure:12212: x86_64-pc-linux-gnu-gcc -o conftest -march=native -msse4 -mcx16 -msahf -O2 -pipe -DNDEBUG -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/  -L/usr/lib/jni -L/usr/lib64/jni/ -ldl -L./thirdparty/ -L./bin/ 		-L/usr/lib64/gluegen 		-L/usr/lib64/hdf-java 		-L/usr/lib64/jogl conftest.c -lgluegen-rt -ldl  >&5
configure:12212: $? = 0
configure:12222: result: yes
----------------------------------------------------------------------------

I re-emerged it to be sure. Re-emerge is ok, and the emerge of scilab behave the same. So I assume the jogl isue is solved for me.
Comment 147 lalebarde 2010-09-18 14:14:24 UTC
(In reply to comment #146)
I have the -doc USE flag. But the dependency to dev-java/fop is required anyway. In the ebuild, it is conditionned by the USE flag doc.

# emerge -auv1 dev-java/fop
needs manual fetch. Then it emerges and this issue is solved.

New issue : 
-----------------------------------------------------------------------------
checking jhdf5... no
configure: error: Could not find or use the Java package/jar jhdf5 used by HDF5 Java library (looking for package ncsa.hdf.hdf5lib.HDF5Constants)

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/config.log
 * ERROR: sci-mathematics/scilab-5.2.1 failed:
 *   econf failed
 * 
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 5128:  Called econf '--disable-rpath' '--without-pvm' '--disable-build-help' '--enable-nls' '--enable-build-localization' '--with-fftw' '--with-gui' '--with-javasci' '--with-hdf5' '--with-matio' '--with-umfpack' '--without-tk' '--without-scicos'
 *     ebuild.sh, line  544:  Called die
 * The specific snippet of code:
 *   			die "econf failed"
 * 
 * If you need support, post the output of 'emerge --info =sci-mathematics/scilab-5.2.1',
 * the complete build log and the output of 'emerge -pqv =sci-mathematics/scilab-5.2.1'.
 * This ebuild is from an overlay: '/usr/local/portage/mesEbuilds/'
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.5.0.22"
JAVACFLAGS="" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/log/portage/sci-mathematics:scilab-5.2.1:20100918-145906.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-mathematics/scilab-5.2.1/temp/environment'.
 * S: '/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1'
------------------------------------------------------------------------------

Thought :
--------------------------------------------------------------------------------
# eix -A hdf
[D] dev-java/hdf-java [1]
     Available versions:  (~)2.6 {doc elibc_FreeBSD examples hdf source}
     Installed versions:  2.6.1(16:23:24 18/09/2010)(source -doc -elibc_FreeBSD -examples -hdf)
     Homepage:            http://www.hdfgroup.org/hdf-java-html/index.html
     Description:         Java interface to the HDF5 library

# equery files dev-java/hdf-java
--- Invalid atom in /etc/portage/package.license: virtualbox-ose-additions
!!! Invalid PORTDIR_OVERLAY (not a dir): '/usr/portage/local/layman/pok3d'
[ Searching for packages matching dev-java/hdf-java... ]
* Contents of dev-java/hdf-java-2.6.1:
/usr
/usr/lib64
/usr/lib64/hdf-java
/usr/lib64/hdf-java/libjhdf5.so
/usr/share
/usr/share/hdf-java
/usr/share/hdf-java/lib
/usr/share/hdf-java/lib/jhdf5.jar
/usr/share/hdf-java/package.env
-----------------------------------------------------------------------------

So it should find jhdf5

Comment 148 lalebarde 2010-09-18 23:36:56 UTC
(In reply to comment #99)
I tried Andrzej Krentosz's overlay (scilab-5.2.0-r3), the one in the science overlay (scilab-5.2.1), and mine. For me, every one lead to :

checking jhdf5... no
configure: error: Could not find or use the Java package/jar jhdf5 used by HDF5 Java library (looking for package ncsa.hdf.hdf5lib.HDF5Constants)
Comment 149 Sylvestre Ledru 2010-09-19 19:24:42 UTC
Once more, as it said  in error message:
> !!! Please attach the following file when seeking support:
> !!! /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/config.log


Anyway, I don't know what you did with your system but if you rebuild java-hdf, it should fix your problem just like with jogl.
Comment 150 Andrzej Krentosz 2010-09-19 21:44:10 UTC
Created attachment 248048 [details]
experimental scilab 5.3.0 beta 3 ebuild

Hi!
This is my 5.3.0 beta 3 ebuild, to use it you will need to create jgraphx-1.4.0.2.ebuild simply by renaming current one. It compiles and runs fine, I haven't tested doc generation (USE="-doc") but it should be ok.
I had to fix some issues with hdf5 - something is messed up in configure scripts, because they don't use librarypath.xml pathes when searching for hdf-java. I've added correct path to configure script and used --with-hdf5-library but I feel that this solution is somehow wrong.
Comment 151 Sylvestre Ledru 2010-09-19 22:18:52 UTC
(In reply to comment #150)
> I had to fix some issues with hdf5 - something is messed up in configure
> scripts, because they don't use librarypath.xml pathes when searching for
> hdf-java. I've added correct path to configure script and used
> --with-hdf5-library but I feel that this solution is somehow wrong.
Indeed, the configure does NOT use librarypath.xml. I could change this.

What kind of problems did you have ?
A missing path for the JNI lib ?

Anyway, thanks for doing the beta3 port. Only minor changes will be made on the final release.
Do you think this could be finally included in the official Gentoo distribution ?
Comment 152 lalebarde 2010-09-19 23:04:17 UTC
Created attachment 248050 [details]
(In reply to comment #149)

I rebuild java-hdf. But it has changed nothing.
Comment 153 lalebarde 2010-09-19 23:32:34 UTC
(In reply to comment #151)
Hi, could you please add your ebuild for flexdock-0.5.2 with the updated patches here : http://bugs.gentoo.org/show_bug.cgi?id=266249 ?

Comment 154 Andrzej Krentosz 2010-09-19 23:34:54 UTC
(In reply to comment #151)
> Indeed, the configure does NOT use librarypath.xml. I could change this.
>
> What kind of problems did you have ?
> A missing path for the JNI lib ?

1st:
configure: error: libjhdf5: Library missing (Cannot find symbol h5JNIFatalError).
LDFLAGS for jogl detection:
LDFLAGS="-L/usr/lib/jni -L/usr/lib64/jni/ -L$SCI_SRCDIR/thirdparty/ -L$SCI_SRCDIR/bin/ -L/usr/lib64/gluegen -L/usr/lib64/hdf-java -L/usr/lib64/jogl"
Three last paths are from librarypath.xml, they are not present in LDFLAGS for h5JNIFatalError detection.
2nd:
java.lang.UnsatisfiedLinkError: no jhdf5 in java.library.path
It happends when version of hdf5 is checked. I've fixed this by puting --with-hdf5-library=`java-config -i hdf-java`" in configure command.

> Anyway, thanks for doing the beta3 port.

You're welcome. :-) (It's far from prefect though)

> Do you think this could be finally included in the official Gentoo distribution?

Well, I wish as gentoo user. Unfortunatelly some dependencies of scilab are not yet in official portage tree.

(In reply to comment #152)
> I rebuild java-hdf. But it has changed nothing

bad class file: /usr/share/hdf-java/lib/jhdf5.jar(ncsa/hdf/hdf5lib/HDF5Constants.class)
class file has wrong version 50.0, should be 49.0

"Means the class file was compiled using java 1.5 and you are trying to run the class on a java 1.4 environment"
(http://forums.sun.com/thread.jspa?messageID=10067086#10067086)
Configure was using 1.5.0.22-r1, but if that's your vm how hdf-java could be compiled with 1.6?
Comment 155 Andrzej Krentosz 2010-09-20 00:04:14 UTC
(In reply to comment #153)
> Hi, could you please add your ebuild for flexdock-0.5.2 with the updated
> patches here : http://bugs.gentoo.org/show_bug.cgi?id=266249 ?

Sorry, I forgot that also new flexdock is needed. For some reason I've just renamed old ebuild that I had in my own overlay (and changed SRC_URI).(http://bugs.gentoo.org/attachment.cgi?id=210371).
I'll look into it.


Comment 156 Andrzej Krentosz 2010-09-20 01:29:52 UTC
Created attachment 248071 [details, diff]
Patch for detection of jhdf (for experimental 5.3.0_beta3)

(In reply to comment #153)
I've added flexdock-0.5.2 ebuild and patches in http://bugs.gentoo.org/show_bug.cgi?id=266249

Don't forget to copy and rename scilab-5.2.1-java-heap.patch and scilab-5.2.1-scilib-fix.patch
Comment 157 Sylvestre Ledru 2010-09-20 05:00:53 UTC
@Andrzej
FYI, jgraphx ABI is regularly broken. I advice you to use the same version as specified on the wiki
http://wiki.scilab.org/Dependencies_of_Scilab_5.X

About HDF5, when changing the version, you need to update also java-hdf5
Comment 158 lalebarde 2010-09-20 09:03:11 UTC
(In reply to comment #154)
> (In reply to comment #152)
> "Means the class file was compiled using java 1.5 and you are trying to run the
> class on a java 1.4 environment"
> (http://forums.sun.com/thread.jspa?messageID=10067086#10067086)
> Configure was using 1.5.0.22-r1, but if that's your vm how hdf-java could be
> compiled with 1.6?
> 
Thanks a lot Andrzej. I switched to sun-jdk-1.6 and now it builds fine. Thought, scilab is unstable. When I run examples, it crashes often.
Comment 159 Sylvestre Ledru 2010-09-20 09:10:37 UTC
What kind of crashes are you experiencing ?
Usually, when Scilab crashes a lot, it is because your graphic drivers are too old.
Comment 160 lalebarde 2010-09-20 11:01:49 UTC
(In reply to comment #156)
> (In reply to comment #153)
> I've added flexdock-0.5.2 ebuild and patches in
> http://bugs.gentoo.org/show_bug.cgi?id=266249

Thanks. BTW, do you have the same for jlatexmath ? Because I get :
----------------------------------------------------------------------------
checking minimal version (0.9.2) of jlatexmath... configure: error: Wrong version of jlatexmath. Expected at least 0.9.2. Found 
----------------------------------------------------------------------------

I tried to make an ebuild but the package type has been changed by upstream. cf http://bugs.gentoo.org/show_bug.cgi?id=301048
Comment 161 lalebarde 2010-09-20 11:16:08 UTC
(In reply to comment #159)
> What kind of crashes are you experiencing ?
First, my situation has improved when I updated jgraphx from 1.3.0.2 to 1.4.0.2.
But still, for example, scilab closes completely when I go to the demo/Simulation/ODE'S/ODE 1D vestor field (just click to enter the demo), or demo/Simulation/Chemical Process (stiif) then ok button,
Or in the ATOM Manager, when I click on CUTEr or GROCER.

Comment 162 Andrzej Krentosz 2010-09-20 13:02:51 UTC
Created attachment 248157 [details]
experimental scilab 5.3.0 beta 3 ebuild

New ebuild with correct version of jlatexmath in RDEPEND.
(new jlatexmath: http://bugs.gentoo.org/show_bug.cgi?id=301048)

Also, demos you mentioned work well for me. You can tray to run scilab from console and see if it throws any error when it crashes.

@Sylvestre
Ok, so we have to stick with jgraphx-1.4.0.2 and hdf5-1.8.4.
BTW, scilab wiki suggest that jlatexmath version should be greater than 0.6, but as you can see scilab 5.3 wants 0.9.2. ;-)
Comment 163 Sylvestre Ledru 2010-09-20 14:38:28 UTC
(In reply to comment #162)
> @Sylvestre
> Ok, so we have to stick with jgraphx-1.4.0.2 and hdf5-1.8.4.
Indeed :/
Sorry about that. Upstream are regularly breaking their API.

> BTW, scilab wiki suggest that jlatexmath version should be greater than 0.6,
> but as you can see scilab 5.3 wants 0.9.2. ;-)
OK, thanks. I just updated the wiki page.
Comment 164 lalebarde 2010-09-20 22:13:52 UTC
Created attachment 248213 [details]
emerge fails because of hdf5 missing symbols or packages

emerge fails for me because of hdf5 missing symbols or packages. I tried sci-libs/hdf with/without the useflag netcdf (cf http://bugs.gentoo.org/show_bug.cgi?id=311231), with a re-build of dev-java/hdf-java each time after. When emerging scilab, I have these two kinds of errors :
  - [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/hdf5/src/java/org/scilab/modules/hdf5/jhdf5load.java:14: package ncsa.hdf.hdf5lib does not exist
  - [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/hdf5/src/java/org/scilab/modules/hdf5/read/H5Read.java:14: package ncsa.hdf.hdf5lib does not exist
  - /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/hdf5/src/java/org/scilab/modules/hdf5/read/H5Read.java:58: cannot find symbol
  - /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/hdf5/src/java/org/scilab/modules/hdf5/read/H5ReadScilabBoolean.java:15: package ncsa.hdf.hdf5lib does not exist
  - /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/hdf5/src/java/org/scilab/modules/hdf5/read/H5ReadScilabCommonList.java:17: package ncsa.hdf.hdf5lib does not exist
  -  /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/hdf5/src/java/org/scilab/modules/hdf5/read/H5ReadScilabDouble.java:15: package ncsa.hdf.hdf5lib does not exist
  - /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/hdf5/src/java/org/scilab/modules/hdf5/read/H5ReadScilabInteger.java:15: package ncsa.hdf.hdf5lib does not exist
Comment 165 Andrzej Krentosz 2010-09-20 23:03:44 UTC
(In reply to comment #164)
"hdf" use flag for hdf-java is not needed
sci-libs/hdf5-1.8.4-r2  USE="cxx fortran szip threads zlib -examples -mpi"
dev-java/hdf-java-2.6.1  USE="-doc -examples -hdf -source"

Also, please check contents of /usr/share/hdf-java/lib/jhdf5.jar (you should be able to open it as zip archive). Is it similar to http://tinyurl.com/37yzpeq ? 
Comment 166 lalebarde 2010-09-21 09:48:56 UTC
(In reply to comment #165)
I changed my USE flags to have the same than you, and rebuilt sci-libs/hdf5 and dev-java/hdf-java. I checked my /usr/share/hdf-java/lib/jhdf5.jar. It is the same than yours (tree, names, sizes). I re-emerged scilab : same result.
I added -L/usr/lib64/ -L/lib64/ in the jhdf5-configure.patch and checked in the log that it is applied. But the result is the same :
  - "ncsa.hdf.hdf5lib does not exist"
  - "cannot find symbol" for several HDF5symbols

Comment 167 lalebarde 2010-09-21 10:14:40 UTC
(In reply to comment #166)
Without the USE flag hdf5, it builds.
Comment 168 lalebarde 2010-09-21 10:21:09 UTC
(In reply to comment #162)
> Also, demos you mentioned work well for me. You can tray to run scilab from
> console and see if it throws any error when it crashes.
> 
Here is what I obtain with several runs after crash :
-------------------------------------------------------------------------------
At line 43 of file src/fortran/formatnumber.f
Internal Error: printf is broken
-------------------------------------------------------------------------------
At line 148 of file sci_gateway/fortran/intwrite.f
Internal Error: printf is broken
-------------------------------------------------------------------------------
At line 94 of file src/fortran/xerrwv.f
Internal Error: printf is broken
-------------------------------------------------------------------------------
At line 43 of file src/fortran/formatnumber.f
Internal Error: printf is broken
-------------------------------------------------------------------------------

It seems I have a problem with my fortran setup. Here are my fortran packages :
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$ eix -SI fortran
[I] dev-lang/cfortran
     Available versions:  4.4-r2 {examples}
     Installed versions:  4.4-r2(14:56:58 20/09/2010)(-examples)
     Homepage:            http://www-zeus.desy.de/~burow/cfortran/
     Description:         Header file allowing to call Fortran routines from C and C++

[I] sci-libs/lapack-reference
     Available versions:  3.1.1-r1 ~3.2.1 ~3.2.1-r1 {debug doc}
     Installed versions:  3.1.1-r1(00:27:25 19/03/2010)(-debug -doc)
     Homepage:            http://www.netlib.org/lapack/index.html
     Description:         FORTRAN reference implementation of LAPACK Linear Algebra PACKage

[I] virtual/blas
     Available versions:  1.0
     Installed versions:  1.0(00:24:34 19/03/2010)
     Description:         Virtual for FORTRAN 77 BLAS implementation

[I] virtual/lapack
     Available versions:  3.0 3.1
     Installed versions:  3.1(14:51:37 20/09/2010)
     Description:         Virtual for Linear Algebra Package FORTRAN 77 (LAPACK) implementation
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Is it ok ?
Comment 169 Sylvestre Ledru 2010-09-21 11:28:43 UTC
(In reply to comment #168)
-------------------------------------------------------------------------------
> At line 43 of file src/fortran/formatnumber.f
> Internal Error: printf is broken
> -------------------------------------------------------------------------------
> At line 148 of file sci_gateway/fortran/intwrite.f
> Internal Error: printf is broken
> -------------------------------------------------------------------------------
> At line 94 of file src/fortran/xerrwv.f
> Internal Error: printf is broken
> -------------------------------------------------------------------------------
> At line 43 of file src/fortran/formatnumber.f
> Internal Error: printf is broken

Could you report a bug on the Scilab bug tracker ?
http://bugzilla.scilab.org/

Please provide: the name of the demo failing, the version of gfortran, etc.

thanks
Comment 170 lalebarde 2010-09-21 11:41:25 UTC
Trying to have scilab-5.3.0_beta3 with doc. It claims for jlatexmath-fop :
-------------------------------------------------------------------------------
checking jlatexmath-fop... no
configure: error: Could not find or use the Java package/jar jlatexmath-fop used by LaTex Rendering - FOP plugin (looking for package org.scilab.forge.jlatexmath.fop.JLaTeXMathObj)
--------------------------------------------------------------------------------
I have not managed to make a plugin for it. What I have understood is that it is a plugin for jlatexmath and not a replacement. I fetch it with :
SRC_URI="http://forge.scilab.org/index.php/p/jlatexmath/downloads/131/get/ -> ${PN}-src-${PV}.jar"
My ebuild name is : jlatexmath-fop-0.9.3.ebuild
It produces .class files : 
-------------------------------------------------------------------------------
# ls -lR /var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/
/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/:
total 8
drwxr-xr-x 3 root root 4096 30 août  22:13 META-INF
drwxr-xr-x 3 root root 4096 30 août  22:13 org

/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/META-INF:
total 8
-rw-r--r-- 1 root root  106 30 août  22:13 MANIFEST.MF
drwxr-xr-x 2 root root 4096 30 août  22:13 services

/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/META-INF/services:
total 8
-rw-r--r-- 1 root root 56 30 août  22:13 org.apache.fop.fo.ElementMapping
-rw-r--r-- 1 root root 53 30 août  22:13 org.apache.fop.render.XMLHandler

/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/org:
total 4
drwxr-xr-x 3 root root 4096 30 août  22:13 scilab

/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/org/scilab:
total 4
drwxr-xr-x 3 root root 4096 30 août  22:13 forge

/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/org/scilab/forge:
total 4
drwxr-xr-x 3 root root 4096 30 août  22:13 jlatexmath

/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/org/scilab/forge/jlatexmath:
total 4
drwxr-xr-x 2 root root 4096 30 août  22:13 fop

/var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/org/scilab/forge/jlatexmath/fop:
total 36
-rw-r--r-- 1 root root 2119 30 août  22:13 Graphics2DImagePainterJLaTeXMath.class
-rw-r--r-- 1 root root 5413 30 août  22:13 JLaTeXMathElement.class
-rw-r--r-- 1 root root  287 30 août  22:13 JLaTeXMathElementMapping$1.class
-rw-r--r-- 1 root root 1369 30 août  22:13 JLaTeXMathElementMapping.class
-rw-r--r-- 1 root root 1357 30 août  22:13 JLaTeXMathElementMapping$JLMEMaker.class
-rw-r--r-- 1 root root 1350 30 août  22:13 JLaTeXMathElementMapping$JLMMaker.class
-rw-r--r-- 1 root root  723 30 août  22:13 JLaTeXMathObj.class
-rw-r--r-- 1 root root 2008 30 août  22:13 JLaTeXMathXMLHandler.class
-------------------------------------------------------------------------------
As I don't know java, I don't know how to finalize the ebuild to plug in these "into" jlatexmath.
Can someone provides the ebuild ?
Comment 171 Dmitry S. Kulyabov 2010-09-21 12:09:51 UTC
jlatexmath-fop-0.9.3.ebuild
http://bugs.gentoo.org/show_bug.cgi?id=301048
Comment 172 lalebarde 2010-09-21 14:50:27 UTC
(In reply to comment #171)
> jlatexmath-fop-0.9.3.ebuild
Thanks. Then I have the help working now. That's great.
I built scilab with also the xcos USE flag and it has emerged right :
------------------------------------------------------------------------
# emerge -uaNv scilab
[ebuild   R   ] sci-mathematics/scilab-5.3.0_beta3  USE="doc* fftw gui matio nls tk umfpack xcos* -hdf5" 0 kB [?=>1]
Total: 1 package (1 reinstall), Size of downloads: 0 kB
Would you like to merge these packages? [Yes/No] y
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) sci-mathematics/scilab-5.3.0_beta3 from unknown repo
>>> Installing (1 of 1) sci-mathematics/scilab-5.3.0_beta3
>>> Jobs: 1 of 1 complete                           Load avg: 2.15, 1.68, 1.47
>>> Auto-cleaning packages...
>>> No outdated packages were found on your system.
-------------------------------------------------------------------------------

But when I run scilab, I get this in the console :
-------------------------------------------------------------------------------
$ scilab
Attention: Ne peut pas trouver le package Java '/usr/share/scilab//modules/hdf5/jar/org.scilab.modules.hdf5.jar'.
Attention: Ne peut pas trouver le package Java '/usr/share/scilab//modules/xcos/jar/org.scilab.modules.xcos.jar'.
Des problÚmes sont apparus pendant le chargement des bibliothÚques Java.
Cela peut amener un comportement inconsistant de Scilab.
Vérifier le fichier SCI/etc/classpath.xml.
Error parsing gtk-icon-sizes string: ''
-------------------------------------------------------------------------------
The hdf5 message is normal since I suppressed it in my USE flags. But it is not normal it cannot find the xcos library.
Comment 173 Sylvestre Ledru 2010-09-21 15:04:48 UTC
(In reply to comment #172)
> The hdf5 message is normal since I suppressed it in my USE flags. But it is not
> normal it cannot find the xcos library.
Since Xcos is based on hdf5, it is expected ...
Comment 174 lalebarde 2010-09-21 16:03:16 UTC
(In reply to comment #169)
> Could you report a bug on the Scilab bug tracker ?
Done : http://bugzilla.scilab.org/show_bug.cgi?id=8072
Comment 175 Andrzej Krentosz 2010-09-30 06:24:55 UTC
Created attachment 249041 [details]
experimental scilab 5.3.0 beta 3 ebuild

Updated ebuild, tested with doc USE flag.
Comment 176 Sylvestre Ledru 2010-10-02 05:28:31 UTC
FYI, the beta4 has been released. Beside an upgrade of the jgraphx lib to the (exact) version 1.4.1.0, it should be easy to update!
Comment 177 Juergen Rose 2010-10-06 15:51:11 UTC
I tried the scilab-5.3.0_beta3.ebuild, created overlays for 
flexdock and jgraphx, copied all patches, but then 'emerge  -vuDN scilab' fails with:

libtool: link: mpif77 -shared  .libs/libsciarnoldi_la-dsconv.o .libs/libsciarnoldi_la-dsortc.o .libs/libsciarnoldi_la-dsaup2.o .libs/libsciarnoldi_la-dneigh.o .libs/libsciarnoldi_la-znaupd.o .libs/libsciarnoldi_la-dsesrt.o .libs/libsciarnoldi_la-zneupd.o .libs/libsciarnoldi_la-smout.o .libs/libsciarnoldi_la-znaitr.o .libs/libsciarnoldi_la-zngets.o .libs/libsciarnoldi_la-second.o .libs/libsciarnoldi_la-znapps.o .libs/libsciarnoldi_la-zlarnv.o .libs/libsciarnoldi_la-dsortr.o .libs/libsciarnoldi_la-zmout.o .libs/libsciarnoldi_la-dseigt.o .libs/libsciarnoldi_la-zgetv0.o .libs/libsciarnoldi_la-znaup2.o .libs/libsciarnoldi_la-icnteq.o .libs/libsciarnoldi_la-icopy.o .libs/libsciarnoldi_la-zneigh.o .libs/libsciarnoldi_la-zsortc.o .libs/libsciarnoldi_la-dstatn.o .libs/libsciarnoldi_la-dlaruv.o .libs/libsciarnoldi_la-dstqrb.o .libs/libsciarnoldi_la-cvout.o .libs/libsciarnoldi_la-dvout.o .libs/libsciarnoldi_la-dstats.o .libs/libsciarnoldi_la-dlaqrb.o .libs/libsciarnoldi_la-ivout.o .libs/libsciarnoldi_la-dnaupd.o .libs/libsciarnoldi_la-dneupd.o .libs/libsciarnoldi_la-dsaupd.o .libs/libsciarnoldi_la-svout.o .libs/libsciarnoldi_la-dnaitr.o .libs/libsciarnoldi_la-iswap.o .libs/libsciarnoldi_la-zstatn.o .libs/libsciarnoldi_la-dseupd.o .libs/libsciarnoldi_la-dngets.o .libs/libsciarnoldi_la-dnapps.o .libs/libsciarnoldi_la-dsaitr.o .libs/libsciarnoldi_la-dlarnv.o .libs/libsciarnoldi_la-cmout.o .libs/libsciarnoldi_la-dnconv.o .libs/libsciarnoldi_la-zvout.o .libs/libsciarnoldi_la-dmout.o .libs/libsciarnoldi_la-dsgets.o .libs/libsciarnoldi_la-dgetv0.o .libs/libsciarnoldi_la-dnaup2.o .libs/libsciarnoldi_la-dsapps.o .libs/libsciarnoldi_la-sci_dseupd.o .libs/libsciarnoldi_la-sci_zneupd.o .libs/libsciarnoldi_la-gw_arnoldi.o .libs/libsciarnoldi_la-sci_dnaupd.o .libs/libsciarnoldi_la-sci_dneupd.o .libs/libsciarnoldi_la-sci_dsaupd.o .libs/libsciarnoldi_la-sci_znaupd.o    -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/core/.libs -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /usr/lib64/scilab -L/usr/lib64/lapack/atlas -L/usr/lib64/blas/threaded-atlas /usr/lib64/lapack/atlas/liblapack.so -L-L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/gcc/x86_64-pc-linux-gnu/4.4.3/libgfortran.la64 -L64 -L/usr/lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3 /usr/lib64/blas/threaded-atlas/libblas.so /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4/libgfortran.so /usr/lib64/blas/threaded-atlas/libcblas.so /usr/lib64/libatlas.so -lpthread ../../modules/core/.libs/libscicore.so /usr/lib64/libxml2.so -lz /usr/lib64/libmpi_cxx.so /usr/lib64/libmpi.so /usr/lib64/libopen-rte.so /usr/lib64/libopen-pal.so -ldl -lcurses -lm  -m64 -O1   -pthread -soname libsciarnoldi.so.5 -o .libs/libsciarnoldi.so.5.0.3
x86_64-pc-linux-gnu-gfortran: /usr/lib64/scilab: No such file or directory
x86_64-pc-linux-gnu-gfortran: libsciarnoldi.so.5: No such file or directory
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-soname'
make[2]: *** [libsciarnoldi.la] Error 1

Any hint is appreciated.
Comment 178 Juergen Rose 2010-10-06 15:54:42 UTC
BTW., why tries libtool to access /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3?
I have gcc-4.4.4 and there is no directory /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3
only /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4.
Comment 179 Thomas Kahle (RETIRED) gentoo-dev 2010-10-06 16:14:55 UTC
Targets are moving quickly here. I'm now trying to bump to 5.3.0_beta4. I will try look at your linking failures, but first bumping auf java packages. Adding bugs of needed java packages. Please hold the line.
Comment 180 Sylvestre Ledru 2010-10-06 21:41:26 UTC
(In reply to comment #177)
> libtool: link: mpif77 -shared  .libs/libsciarnoldi_la-dsconv.o
mpif77 is likely to be the cause...
Comment 181 Juergen Rose 2010-10-10 18:13:12 UTC
I reemerged openmpi (because of mpif77) and tried again to emerge scilab-5.3.0_beta3, but it fails with a similar error:
...
../../modules/core/includes/stack3.h:25: note: #pragma message: Using stack3.h is deprecated. Please use api_scilab instead (try 'help api_scilab'). Note the stack3.h API will be removed after Scilab 6.0.
mv -f .deps/libsciarnoldi_la-sci_znaupd.Tpo .deps/libsciarnoldi_la-sci_znaupd.Plo
/bin/sh ../../libtool --tag=F77   --mode=link mpif77 -I./src/arpack/ -DNDEBUG -m64 -fPIC -I../../modules/core/includes/ -version-info 5:3:0 -L/usr/lib64/lapack/atlas -L/usr/lib64/blas/threaded-atlas -llapack -lblas -lpthread -lcblas -latlas   -Wl,-O1 -o libsciarnoldi.la -rpath /usr/lib64/scilab libsciarnoldi_la-dsconv.lo libsciarnoldi_la-dsortc.lo libsciarnoldi_la-dsaup2.lo libsciarnoldi_la-dneigh.lo libsciarnoldi_la-znaupd.lo libsciarnoldi_la-dsesrt.lo libsciarnoldi_la-zneupd.lo libsciarnoldi_la-smout.lo libsciarnoldi_la-znaitr.lo libsciarnoldi_la-zngets.lo libsciarnoldi_la-second.lo libsciarnoldi_la-znapps.lo libsciarnoldi_la-zlarnv.lo libsciarnoldi_la-dsortr.lo libsciarnoldi_la-zmout.lo libsciarnoldi_la-dseigt.lo libsciarnoldi_la-zgetv0.lo libsciarnoldi_la-znaup2.lo libsciarnoldi_la-icnteq.lo libsciarnoldi_la-icopy.lo libsciarnoldi_la-zneigh.lo libsciarnoldi_la-zsortc.lo libsciarnoldi_la-dstatn.lo libsciarnoldi_la-dlaruv.lo libsciarnoldi_la-dstqrb.lo libsciarnoldi_la-cvout.lo libsciarnoldi_la-dvout.lo libsciarnoldi_la-dstats.lo libsciarnoldi_la-dlaqrb.lo libsciarnoldi_la-ivout.lo libsciarnoldi_la-dnaupd.lo libsciarnoldi_la-dneupd.lo libsciarnoldi_la-dsaupd.lo libsciarnoldi_la-svout.lo libsciarnoldi_la-dnaitr.lo libsciarnoldi_la-iswap.lo libsciarnoldi_la-zstatn.lo libsciarnoldi_la-dseupd.lo libsciarnoldi_la-dngets.lo libsciarnoldi_la-dnapps.lo libsciarnoldi_la-dsaitr.lo libsciarnoldi_la-dlarnv.lo libsciarnoldi_la-cmout.lo libsciarnoldi_la-dnconv.lo libsciarnoldi_la-zvout.lo libsciarnoldi_la-dmout.lo libsciarnoldi_la-dsgets.lo libsciarnoldi_la-dgetv0.lo libsciarnoldi_la-dnaup2.lo libsciarnoldi_la-dsapps.lo libsciarnoldi_la-sci_dseupd.lo libsciarnoldi_la-sci_zneupd.lo libsciarnoldi_la-gw_arnoldi.lo libsciarnoldi_la-sci_dnaupd.lo libsciarnoldi_la-sci_dneupd.lo libsciarnoldi_la-sci_dsaupd.lo libsciarnoldi_la-sci_znaupd.lo ../../modules/core/libscicore.la -ldl -lcurses  -lm
libtool: link: mpif77 -shared  .libs/libsciarnoldi_la-dsconv.o .libs/libsciarnoldi_la-dsortc.o .libs/libsciarnoldi_la-dsaup2.o .libs/libsciarnoldi_la-dneigh.o .libs/libsciarnoldi_la-znaupd.o .libs/libsciarnoldi_la-dsesrt.o .libs/libsciarnoldi_la-zneupd.o .libs/libsciarnoldi_la-smout.o .libs/libsciarnoldi_la-znaitr.o .libs/libsciarnoldi_la-zngets.o .libs/libsciarnoldi_la-second.o .libs/libsciarnoldi_la-znapps.o .libs/libsciarnoldi_la-zlarnv.o .libs/libsciarnoldi_la-dsortr.o .libs/libsciarnoldi_la-zmout.o .libs/libsciarnoldi_la-dseigt.o .libs/libsciarnoldi_la-zgetv0.o .libs/libsciarnoldi_la-znaup2.o .libs/libsciarnoldi_la-icnteq.o .libs/libsciarnoldi_la-icopy.o .libs/libsciarnoldi_la-zneigh.o .libs/libsciarnoldi_la-zsortc.o .libs/libsciarnoldi_la-dstatn.o .libs/libsciarnoldi_la-dlaruv.o .libs/libsciarnoldi_la-dstqrb.o .libs/libsciarnoldi_la-cvout.o .libs/libsciarnoldi_la-dvout.o .libs/libsciarnoldi_la-dstats.o .libs/libsciarnoldi_la-dlaqrb.o .libs/libsciarnoldi_la-ivout.o .libs/libsciarnoldi_la-dnaupd.o .libs/libsciarnoldi_la-dneupd.o .libs/libsciarnoldi_la-dsaupd.o .libs/libsciarnoldi_la-svout.o .libs/libsciarnoldi_la-dnaitr.o .libs/libsciarnoldi_la-iswap.o .libs/libsciarnoldi_la-zstatn.o .libs/libsciarnoldi_la-dseupd.o .libs/libsciarnoldi_la-dngets.o .libs/libsciarnoldi_la-dnapps.o .libs/libsciarnoldi_la-dsaitr.o .libs/libsciarnoldi_la-dlarnv.o .libs/libsciarnoldi_la-cmout.o .libs/libsciarnoldi_la-dnconv.o .libs/libsciarnoldi_la-zvout.o .libs/libsciarnoldi_la-dmout.o .libs/libsciarnoldi_la-dsgets.o .libs/libsciarnoldi_la-dgetv0.o .libs/libsciarnoldi_la-dnaup2.o .libs/libsciarnoldi_la-dsapps.o .libs/libsciarnoldi_la-sci_dseupd.o .libs/libsciarnoldi_la-sci_zneupd.o .libs/libsciarnoldi_la-gw_arnoldi.o .libs/libsciarnoldi_la-sci_dnaupd.o .libs/libsciarnoldi_la-sci_dneupd.o .libs/libsciarnoldi_la-sci_dsaupd.o .libs/libsciarnoldi_la-sci_znaupd.o    -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/core/.libs -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /usr/lib64/scilab -L/usr/lib64/lapack/atlas -L/usr/lib64/blas/threaded-atlas /usr/lib64/lapack/atlas/liblapack.so -L-L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/gcc/x86_64-pc-linux-gnu/4.4.3/libgfortran.la64 -L64 -L/usr/lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3 /usr/lib64/blas/threaded-atlas/libblas.so /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4/libgfortran.so /usr/lib64/blas/threaded-atlas/libcblas.so /usr/lib64/libatlas.so -lpthread ../../modules/core/.libs/libscicore.so /usr/lib64/libxml2.so -lz /usr/lib64/libmpi_cxx.so /usr/lib64/libmpi.so /usr/lib64/libopen-rte.so /usr/lib64/libopen-pal.so -ldl -lcurses -lm  -m64 -O1   -pthread -soname libsciarnoldi.so.5 -o .libs/libsciarnoldi.so.5.0.3
x86_64-pc-linux-gnu-gfortran: /usr/lib64/scilab: No such file or directory
x86_64-pc-linux-gnu-gfortran: libsciarnoldi.so.5: No such file or directory
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-rpath'
x86_64-pc-linux-gnu-gfortran: unrecognized option '-soname'
make[2]: *** [libsciarnoldi.la] Error 1
Comment 182 Sylvestre Ledru 2010-10-10 18:18:59 UTC
(In reply to comment #181)
Do not use MPI (mpif77) to build Scilab ... 
it is not a bug of Scilab here
Comment 183 Juergen Rose 2010-10-10 20:06:53 UTC
What means "do not use MPI"? It seems me that scilab does recognize a mpi USE flag:

root@orca:/root(2)# emerge -pvD scilab
These are the packages that would be merged, in order:
Calculating dependencies... done!
[ebuild  N    ] sci-mathematics/scilab-5.3.0_beta3  USE="doc fftw gui hdf5 matio nls tk umfpack -xcos" 0 kB [1]

Packages depending on mpi USE flag are:

dev-libs/boost (doc eselect icu mpi python tools)
dev-util/valgrind (mpi)
sci-biology/mrbayes (mpi readline)
sci-chemistry/gromacs (X bash-completion blas doc fftw gsl lapack mpi single-precision threads xml)
sci-libs/fftw (doc fortran mpi openmp threads)
sci-libs/hdf5 (cxx examples fortran mpi szip threads zlib)
sci-libs/vtk (R boost cg doc examples ffmpeg java mpi mysql odbc patented postgres python qt4 tcl theora threads tk)
sci-visualization/paraview (boost cg doc examples gui mpi mysql odbc overview plugins postgres python)

What should I do?
Comment 184 Fatih 2010-10-16 11:49:28 UTC
I have successfully emerged scilab-5.2.1 on x86 with scilab-5.2.1.ebuild by Reitsma #136 and scilab-5.2.1-configure.ac.patch by Borme #134. Thanks. 

Someone please merge them to the overlay.


[I] sci-mathematics/scilab
     Available versions:  4.1.2-r1 ~4.1.2-r2 (~)5.2.1{tbz2}[1] {Xaw3d debug doc elibc_FreeBSD examples fftw gtk +gui hdf5 java +matio nls ocaml tk +umfpack xcos}
     Installed versions:  5.2.1{tbz2}[1](11:56:00 AM 10/16/2010)(doc fftw gui hdf5 matio nls tk umfpack xcos -elibc_FreeBSD)
Comment 185 Juergen Rose 2010-11-01 16:44:05 UTC
Two weeks later - any news?
Comment 186 Juergen Rose 2010-11-24 09:14:42 UTC
Further three weeks later, I can't emerge neither scilab-5.3.0_beta3 (it fails with :

libtool: link: mpif77 -shared   .libs/libsciarnoldi_la-dsconv.o .libs/libsciarnoldi_la-dsortc.o .libs/libsciarnoldi_la-dsaup2.o .libs/libsciarnoldi_la-dneigh.o .libs/libsciarnoldi_la-znaupd.o .libs/libsciarnoldi_la-dsesrt.o .libs/libsciarnoldi_la-zneupd.o .libs/libsciarnoldi_la-smout.o .libs/libsciarnoldi_la-znaitr.o .libs/libsciarnoldi_la-zngets.o .libs/libsciarnoldi_la-second.o .libs/libsciarnoldi_la-znapps.o .libs/libsciarnoldi_la-zlarnv.o .libs/libsciarnoldi_la-dsortr.o .libs/libsciarnoldi_la-zmout.o .libs/libsciarnoldi_la-dseigt.o .libs/libsciarnoldi_la-zgetv0.o .libs/libsciarnoldi_la-znaup2.o .libs/libsciarnoldi_la-icnteq.o .libs/libsciarnoldi_la-icopy.o .libs/libsciarnoldi_la-zneigh.o .libs/libsciarnoldi_la-zsortc.o .libs/libsciarnoldi_la-dstatn.o .libs/libsciarnoldi_la-dlaruv.o .libs/libsciarnoldi_la-dstqrb.o .libs/libsciarnoldi_la-cvout.o .libs/libsciarnoldi_la-dvout.o .libs/libsciarnoldi_la-dstats.o .libs/libsciarnoldi_la-dlaqrb.o .libs/libsciarnoldi_la-ivout.o .libs/libsciarnoldi_la-dnaupd.o .libs/libsciarnoldi_la-dneupd.o .libs/libsciarnoldi_la-dsaupd.o .libs/libsciarnoldi_la-svout.o .libs/libsciarnoldi_la-dnaitr.o .libs/libsciarnoldi_la-iswap.o .libs/libsciarnoldi_la-zstatn.o .libs/libsciarnoldi_la-dseupd.o .libs/libsciarnoldi_la-dngets.o .libs/libsciarnoldi_la-dnapps.o .libs/libsciarnoldi_la-dsaitr.o .libs/libsciarnoldi_la-dlarnv.o .libs/libsciarnoldi_la-cmout.o .libs/libsciarnoldi_la-dnconv.o .libs/libsciarnoldi_la-zvout.o .libs/libsciarnoldi_la-dmout.o .libs/libsciarnoldi_la-dsgets.o .libs/libsciarnoldi_la-dgetv0.o .libs/libsciarnoldi_la-dnaup2.o .libs/libsciarnoldi_la-dsapps.o .libs/libsciarnoldi_la-sci_dseupd.o .libs/libsciarnoldi_la-sci_zneupd.o .libs/libsciarnoldi_la-gw_arnoldi.o .libs/libsciarnoldi_la-sci_dnaupd.o .libs/libsciarnoldi_la-sci_dneupd.o .libs/libsciarnoldi_la-sci_dsaupd.o .libs/libsciarnoldi_la-sci_znaupd.o    -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/core/.libs -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /usr/lib64/scilab -L/usr/lib64/lapack/atlas -L/usr/lib64/blas/threaded-atlas /usr/lib64/lapack/atlas/liblapack.so -L-L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/gcc/x86_64-pc-linux-gnu/4.4.3/libgfortran.la64 -L64 -L/usr/lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3 /usr/lib64/blas/threaded-atlas/libblas.so /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.5/libgfortran.so /usr/lib64/blas/threaded-atlas/libcblas.so /usr/lib64/libatlas.so -lpthread ../../modules/core/.libs/libscicore.so /usr/lib64/libxml2.so -lz /usr/lib64/libmpi_cxx.so /usr/lib64/libmpi.so /usr/lib64/libopen-rte.so /usr/lib64/libopen-pal.so -ldl -lcurses -lm  -m64 -O1   -pthread -soname libsciarnoldi.so.5 -o .libs/libsciarnoldi.so.5.0.3
x86_64-pc-linux-gnu-gfortran: /usr/lib64/scilab: No such file or directory
x86_64-pc-linux-gnu-gfortran: libsciarnoldi.so.5: No such file or directory

) nor scilab-5.2.1 ( it still fails with;

libtool: link: mpif77 -shared   .libs/libscicore_la-inffic.o .libs/libscicore_la-cs2st.o .libs/libscicore_la-tmpdir.o .libs/libscicore_la-intmacr2tree.o .libs/libscicore_la-run.o .libs/libscicore_la-InitScilab.o .libs/libscicore_la-getval.o .libs/libscicore_la-md5.o .libs/libscicore_la-inisci-c.o .libs/libscicore_la-IsAScalar.o .libs/libscicore_la-texmacs.o .libs/libscicore_la-sciquit.o .libs/libscicore_la-stack1.o .libs/libscicore_la-realmain.o .libs/libscicore_la-stack3.o .libs/libscicore_la-str2sci.o .libs/libscicore_la-getmodules.o .libs/libscicore_la-setgetSCIpath.o .libs/libscicore_la-getmemory.o .libs/libscicore_la-Funtab.o .libs/libscicore_la-csignal.o .libs/libscicore_la-callinterf.o .libs/libscicore_la-scimem.o .libs/libscicore_la-banier.o .libs/libscicore_la-isanan.o .libs/libscicore_la-parse.o .libs/libscicore_la-timer.o .libs/libscicore_la-stack2.o .libs/libscicore_la-xscion.o .libs/libscicore_la-SetScilabEnvironment.o .libs/libscicore_la-hashtable_core.o .libs/libscicore_la-returnanan.o .libs/libscicore_la-LoadFunctionsTab.o .libs/libscicore_la-with_module.o .libs/libscicore_la-loadversion.o .libs/libscicore_la-version.o .libs/libscicore_la-stackinfo.o .libs/libscicore_la-scirun.o .libs/libscicore_la-SCIHOME.o .libs/libscicore_la-warningmode.o .libs/libscicore_la-InitializeCore.o .libs/libscicore_la-TerminateCore.o .libs/libscicore_la-coretable.o .libs/libscicore_la-returnProperty.o .libs/libscicore_la-returnPropertyList.o .libs/libscicore_la-scilabmode.o .libs/libscicore_la-GetXmlFileEncoding.o .libs/libscicore_la-islittleendian.o .libs/libscicore_la-terme.o .libs/libscicore_la-ifexpr.o .libs/libscicore_la-expr.o .libs/libscicore_la-getcommandlineargs.o .libs/libscicore_la-syncexec.o .libs/libscicore_la-callFunctionFromGateway.o .libs/libscicore_la-getvariablesname.o .libs/libscicore_la-commandwords.o .libs/libscicore_la-freeArrayOfString.o .libs/libscicore_la-getstaticdebuginfo.o .libs/libscicore_la-getdynamicdebuginfo.o .libs/libscicore_la-callDynamicGateway.o .libs/libscicore_la-gw_dynamic_generic.o .libs/libscicore_la-dynamic_gateways.o .libs/libscicore_la-readGateway.o .libs/libscicore_la-comparehandles.o .libs/libscicore_la-setPrecisionFPU.o .libs/libscicore_la-LaunchScilabSignal.o .libs/libscicore_la-getos.o .libs/libscicore_la-mode_exec.o .libs/libscicore_la-predef.o .libs/libscicore_la-transposeMatrix.o .libs/libscicore_la-recursionFunction.o .libs/libscicore_la-typename.o .libs/libscicore_la-inittypenames.o .libs/libscicore_la-funcprot.o .libs/libscicore_la-scimem64.o .libs/clunit.o .libs/getlin.o .libs/allowptr.o .libs/isany.o .libs/hmcreate.o .libs/nextj.o .libs/setgetmode.o .libs/showstack.o .libs/misops.o .libs/iseye.o .libs/chkvar.o .libs/setippty.o .libs/compil.o .libs/funnam.o .libs/isnum.o .libs/cmdstr.o .libs/logops.o .libs/atome.o .libs/hndlops.o .libs/cmplxt.o .libs/skpins.o .libs/folhp.o .libs/cvname.o .libs/funs.o .libs/fact.o .libs/inibrk.o .libs/typ2cod.o .libs/prompt.o .libs/intstr.o .libs/createref.o .libs/btof.o .libs/matzs.o .libs/getnum.o .libs/btofm.o .libs/getsym.o .libs/findequal.o .libs/stackg.o .libs/find.o .libs/israt.o .libs/setlnb.o .libs/mrknmd.o .libs/stackgl.o .libs/allops.o .libs/mname.o .libs/command.o .libs/ref2val.o .libs/namstr.o .libs/stack.o .libs/isbrk.o .libs/majmin.o .libs/xerbla.o .libs/dtosci.o .libs/bexec.o .libs/varfunptr.o .libs/getfun.o .libs/savlod.o .libs/error.o .libs/cvdm.o .libs/tradsl.o .libs/mkindx.o .libs/whatln.o .libs/errmgr.o .libs/defmat.o .libs/mklist.o .libs/sigbas.o .libs/indxg.o .libs/matz.o .libs/istrue.o .libs/inisci.o .libs/ptover.o .libs/getfunction.o .libs/stackp.o .libs/dbasin.o .libs/macro.o .libs/extlarg.o .libs/getstr.o .libs/cvwm.o .libs/storeglobal.o .libs/lst2vars.o .libs/basnms.o .libs/matc.o .libs/ptrback.o .libs/getch.o .libs/ftob.o .libs/seteol.o .libs/basin.o .libs/clause.o .libs/compcl.o .libs/termf.o .libs/expsum.o .libs/eqid.o .libs/copyvar.o .libs/putid.o .libs/itosci.o .libs/stackr2d.o .libs/stacki2d.o .libs/stackc2i.o .libs/isinstring.o .libs/relocstack.o .libs/libscicore_la-sci_stacksize.o .libs/libscicore_la-sci_resume.o .libs/libscicore_la-sci_mtlb_mode.o .libs/libscicore_la-sci_banner.o .libs/libscicore_la-sci_where.o .libs/libscicore_la-sci_errcatch.o .libs/libscicore_la-sci_getos.o .libs/libscicore_la-sci_format.o .libs/libscicore_la-sci_getmemory.o .libs/libscicore_la-sci_havewindow.o .libs/libscicore_la-sci_delbpt.o .libs/libscicore_la-sci_macr2lst.o .libs/libscicore_la-sci_isdef.o .libs/libscicore_la-sci_isglobal.o .libs/libscicore_la-sci_who.o .libs/libscicore_la-sci_errclear.o .libs/libscicore_la-sci_global.o .libs/libscicore_la-sci_funcprot.o .libs/libscicore_la-sci_newfun.o .libs/libscicore_la-sci_warning.o .libs/libscicore_la-sci_dispbpt.o .libs/libscicore_la-sci_intppty.o .libs/libscicore_la-sci_ieee.o .libs/libscicore_la-sci_gstacksize.o .libs/libscicore_la-sci_lasterror.o .libs/libscicore_la-sci_funptr.o .libs/libscicore_la-sci_return.o .libs/libscicore_la-sci_exists.o .libs/libscicore_la-sci_getmd5.o .libs/libscicore_la-sci_clear.o .libs/libscicore_la-sci_clearfun.o .libs/libscicore_la-sci_setbpt.o .libs/libscicore_la-sci_getmodules.o .libs/libscicore_la-sci_what.o .libs/libscicore_la-sci_predef.o .libs/libscicore_la-sci_clearglobal.o .libs/libscicore_la-sci_arg.o .libs/libscicore_la-sci_type.o .libs/libscicore_la-sci_typename.o .libs/libscicore_la-sci_mode.o .libs/libscicore_la-sci_macr2tree.o .libs/libscicore_la-sci_iserror.o .libs/libscicore_la-sci_getversion.o .libs/libscicore_la-sci_getdebuginfo.o .libs/libscicore_la-sci_debug.o .libs/libscicore_la-gw_core.o .libs/libscicore_la-gw_user.o .libs/libscicore_la-gw_user2.o .libs/libscicore_la-sci_error.o .libs/libscicore_la-sci_sciargs.o .libs/libscicore_la-sci_with_module.o .libs/libscicore_la-sci_islittleendian.o .libs/libscicore_la-sci_getscilabmode.o .libs/libscicore_la-sci_getvariablesonstack.o .libs/libscicore_la-sci_readgateway.o .libs/libscicore_la-sci_comp.o .libs/libscicore_la-sci_exit.o .libs/sci_errclear.o .libs/sci_global.o .libs/sci_mtlb_mode.o .libs/sci_resume.o .libs/sci_dispbpt.o .libs/sci_useascommand.o .libs/sci_intppty.o .libs/sci_ieee.o .libs/sci_macrovar.o .libs/sci_exists.o .libs/sci_errcatch.o .libs/sci_clear.o .libs/sci_argn.o .libs/sci_setbpt.o .libs/sci_clearglobal.o .libs/sci_delbpt.o .libs/where.o .libs/sci_iserror.o .libs/sci_debug.o .libs/sci_comp.o .libs/sci_isglobal.o    /usr/lib64/libxml2.so -lz -Wl,--as-needed -ldl -lcurses -lm  -m64 -O1   -soname libscicore.so.5 -o .libs/libscicore.so.5.0.2
x86_64-pc-linux-gnu-gfortran: libscicore.so.5: No such file or directory
x86_64-pc-linux-gnu-gfortran: unrecognized option '-soname'
make[2]: *** [libscicore.la] Error 1
)
Comment 187 Sylvestre Ledru 2010-11-24 22:10:39 UTC
Your problem is caused by mpif77. Use gfortran to build Scilab.
Comment 188 Juergen Rose 2010-11-26 16:10:33 UTC
gfortran and mpif77 are installed on my PC, gfortran by  gcc-4.5.1-r1 and mpif77 by openmpi-1.4.3. What can I do that gfortran is used for the compilation of scilab? Should I remove the mpi USE flag, or have I to deinstall openmpi?
Comment 189 Sylvestre Ledru 2010-11-26 16:13:58 UTC
Scilab does not use MPI (yet).

I am not familiar enough with gentoo but, it you were working in the  configure, it would be something like F77=gfortran
Comment 190 Jérôme Borme 2010-11-26 17:17:21 UTC
(In reply to comment #188)
> gfortran and mpif77 are installed on my PC, gfortran by  gcc-4.5.1-r1 and

(In reply to comment #189)
> in the configure, it would be something like F77=gfortran

That translates to 

# EXTRA_ECONF="F77=gfortran" emerge scilab
(this parameter will then be passed like ./configure F77=gfortran)

The ebuild mentions that mpif77 is used when USE="hdf5" is set. Did you set it? Could you try USE="-hdf5" ?

(I am not a dev, just a gentoo and scilab user)
Comment 191 Juergen Rose 2010-11-26 19:50:19 UTC
If I set in /etc/portage/package.use:

sci-mathematics/scilab -hdf5 ,

"emerge scilab-5.2.1" fails with:
...
 * Applying scilab-5.2.1-nojavacheckversion.patch ...              [ ok ]
!!! ERROR: Package hdf-java was not found!
...
configure: WARNING: Could not link against -ljogl. Will try against -ljogl -lGL
checking for glTexParameterf in -ljogl ... no
configure: error: "libjogl: Library missing (Cannot find symbol glTexParameterf). Check if libjogl - C/Java (JNI) interface for JOGL - or libGL are installed and if the version is correct. Note that you might have to update etc/librarypath.xml to provide the actual path the the JNI libraries."

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/config.log
 * ERROR: sci-mathematics/scilab-5.2.1 failed:


and "emerge scilab-5.3.0_beta3' fails, because dev-java/jlatexmath-fop-0.9.3 is not build with:


buildJar:
     [copy] Copying 2 files to /var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/plugin/fop/bin/META-INF

      [jar] Building jar: /var/tmp/portage/dev-java/jlatexmath-fop-0.9.3/work/plugin/fop/dist/jlatexmath-fop-0.9.3.jar

BUILD FAILED
Target "doc" does not exist in the project "jlatexmath-fop". 

Total time: 2 seconds
 * ERROR: dev-java/jlatexmath-fop-0.9.3 failed:



If I remove again the line 
sci-mathematics/scilab -hdf5

from /etc/portage/packagte.use and try to emerge scilab-5.3.0_beta3 with:
'EXTRA_ECONF="F77=gfortran" emerge -vuDN scilab', it fails with:

libtool: link: gfortran -shared   .libs/libsciarnoldi_la-dsconv.o .libs/libsciarnoldi_la-dsortc.o .libs/libsciarnoldi_la-dsaup2.o .libs/libsciarnoldi_la-dneigh.o .libs/libsciarnoldi_la-znaupd.o .libs/libsciarnoldi_la-dsesrt.o .libs/libsciarnoldi_la-zneupd.o .libs/libsciarnoldi_la-smout.o .libs/libsciarnoldi_la-znaitr.o .libs/libsciarnoldi_la-zngets.o .libs/libsciarnoldi_la-second.o .libs/libsciarnoldi_la-znapps.o .libs/libsciarnoldi_la-zlarnv.o .libs/libsciarnoldi_la-dsortr.o .libs/libsciarnoldi_la-zmout.o .libs/libsciarnoldi_la-dseigt.o .libs/libsciarnoldi_la-zgetv0.o .libs/libsciarnoldi_la-znaup2.o .libs/libsciarnoldi_la-icnteq.o .libs/libsciarnoldi_la-icopy.o .libs/libsciarnoldi_la-zneigh.o .libs/libsciarnoldi_la-zsortc.o .libs/libsciarnoldi_la-dstatn.o .libs/libsciarnoldi_la-dlaruv.o .libs/libsciarnoldi_la-dstqrb.o .libs/libsciarnoldi_la-cvout.o .libs/libsciarnoldi_la-dvout.o .libs/libsciarnoldi_la-dstats.o .libs/libsciarnoldi_la-dlaqrb.o .libs/libsciarnoldi_la-ivout.o .libs/libsciarnoldi_la-dnaupd.o .libs/libsciarnoldi_la-dneupd.o .libs/libsciarnoldi_la-dsaupd.o .libs/libsciarnoldi_la-svout.o .libs/libsciarnoldi_la-dnaitr.o .libs/libsciarnoldi_la-iswap.o .libs/libsciarnoldi_la-zstatn.o .libs/libsciarnoldi_la-dseupd.o .libs/libsciarnoldi_la-dngets.o .libs/libsciarnoldi_la-dnapps.o .libs/libsciarnoldi_la-dsaitr.o .libs/libsciarnoldi_la-dlarnv.o .libs/libsciarnoldi_la-cmout.o .libs/libsciarnoldi_la-dnconv.o .libs/libsciarnoldi_la-zvout.o .libs/libsciarnoldi_la-dmout.o .libs/libsciarnoldi_la-dsgets.o .libs/libsciarnoldi_la-dgetv0.o .libs/libsciarnoldi_la-dnaup2.o .libs/libsciarnoldi_la-dsapps.o .libs/libsciarnoldi_la-sci_dseupd.o .libs/libsciarnoldi_la-sci_zneupd.o .libs/libsciarnoldi_la-gw_arnoldi.o .libs/libsciarnoldi_la-sci_dnaupd.o .libs/libsciarnoldi_la-sci_dneupd.o .libs/libsciarnoldi_la-sci_dsaupd.o .libs/libsciarnoldi_la-sci_znaupd.o    -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /var/tmp/portage/sci-mathematics/scilab-5.3.0_beta3/work/scilab-5.3.0-beta-3/modules/core/.libs -rpath /usr/lib64/lapack/atlas -rpath /usr/lib64/blas/threaded-atlas -rpath /usr/lib64/scilab -L/usr/lib64/lapack/atlas -L/usr/lib64/blas/threaded-atlas /usr/lib64/lapack/atlas/liblapack.so -L-L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/gcc/x86_64-pc-linux-gnu/4.4.3/libgfortran.la64 -L64 -L/usr/lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3 /usr/lib64/blas/threaded-atlas/libblas.so /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.1/libgfortran.so /usr/lib64/blas/threaded-atlas/libcblas.so /usr/lib64/libatlas.so -lpthread ../../modules/core/.libs/libscicore.so /usr/lib64/libxml2.so -lz /usr/lib64/libmpi_cxx.so /usr/lib64/libmpi.so /usr/lib64/libopen-rte.so /usr/lib64/libopen-pal.so -ldl -lcurses -lm  -m64 -O1   -pthread -soname libsciarnoldi.so.5 -o .libs/libsciarnoldi.so.5.0.3
gfortran: /usr/lib64/scilab: No such file or directory
gfortran: libsciarnoldi.so.5: No such file or directory
gfortran: unrecognized option '-rpath'
gfortran: unrecognized option '-rpath'
gfortran: unrecognized option '-rpath'
gfortran: unrecognized option '-rpath'
gfortran: unrecognized option '-rpath'
gfortran: unrecognized option '-rpath'
gfortran: unrecognized option '-soname'
make[2]: *** [libsciarnoldi.la] Error 1

Any further hint is deeply appreciated.
Comment 192 G Reitsma 2011-01-19 06:53:10 UTC
Created attachment 260226 [details]
ebuild with patched for scilab-5.3.0 final release.

Based on the scilab-5.3.0_beta3 ebuild, I made this one. And for me it works!
Comment 193 G Reitsma 2011-01-19 06:55:44 UTC
Created attachment 260228 [details]
ebuild for jgraph-1.4.1.0, which is required for the scilab-5.3.0 final

For some reason Scilab-5.3.0 requires exactly the 1.4.1.0, not the newer release.
Comment 194 G Reitsma 2011-01-19 07:01:43 UTC
Final version of scilab 5.3.0 works for me!!! I've uploaded the ebuild with patches, for those of you who want to give it a try. I used A. Krentosz's ebuild to create an ebuild for the final release.
The final does require exactly version 1.4.1.0 of jgraphx, nothing older or newer. Since that's not in the portage or science overlay, I added that ebuild as well. Hope it works for most of you as well.

George
Comment 195 Sylvestre Ledru 2011-01-19 12:12:40 UTC
Exact version of jgraphx (1.4.1.0) has been set because jgraphx had some API breakages even between minor releases.
Comment 196 Juergen Rose 2011-02-01 16:05:31 UTC
'emerge scilab' with scilab-5.3.0 fails for me now with:

root@orca:/usr/local/portage/sci-mathematics/scilab(20)# emerge -pvD scilab

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] sci-mathematics/scilab-5.2.1  USE="doc fftw gui hdf5 matio nls tk umfpack -xcos" 53,570 kB [1]

Total: 1 package (1 new), Size of downloads: 53,570 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/science

!!! The following update has been skipped due to unsatisfied dependencies:

sci-mathematics/scilab:0

emerge: there are no ebuilds to satisfy "=dev-java/jgraphx-1.4.1.0".
(dependency required by "sci-mathematics/scilab-5.3.0" [ebuild])


'emerge -pvD jgraphx' wants to install jgraphx-1.4.1.2 :

root@orca:/usr/local/portage/sci-mathematics/scilab(18)# emerge -pvD jgraphx

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] dev-java/jgraphx-1.4.1.2 [1.4.0.2] USE="doc examples -source" 4,051 kB [?=>1]

 [1] /var/lib/layman/science
Comment 197 G Reitsma 2011-02-01 18:43:24 UTC
(In reply to comment #196)
> sci-mathematics/scilab:0
> 
> emerge: there are no ebuilds to satisfy "=dev-java/jgraphx-1.4.1.0".
> (dependency required by "sci-mathematics/scilab-5.3.0" [ebuild])
> 
> 
> 'emerge -pvD jgraphx' wants to install jgraphx-1.4.1.2 :

Hi Juergen,

1) 
Yes, that is correct. Scilab requires exactly version 1.4.1.0 and not a newer or older version. That's why I added a 1.4.1.0 ebuild above. Please make your own "/usr/local/portage" overlay, that you include from "/etc/make.conf" in the same way it's done for the other overlays. 
E.g. add a line like 
PORTDIR_OVERLAY="${PORTDIR_OVERLAY} /usr/local/portage/"

Add the jraphx-1.4.1.0 ebuild from above. And make sure your folder structure is like portage expect it. Thus place the ebuild in "/usr/local/portage/dev-java/jgraphx/jgraphx-1.4.1.0.ebuild".
Nowadays portage expects a name for your local overlay. So you have to create a text file "/usr/local/portage/profiles/repo_name" and add a name for your overlay in that file. Any name will work.
Next you need to build the "manifest" file with this command: 
"ebuild /usr/local/portage/dev-java/jgraphx/jgraphx-1.4.1.0.ebuild digest"

Finally you need to make sure that it only builds that version, by adding a line "=dev-java/jgraphx-1.4.1.0" to your /etc/package.keywords file or folder.

Now everything should compile without a problem.

2) Just a tip. If I were you, I would enable the "xcos" use flag for scilab. It builds for me without a problem. "xcos" is comparable to matlab's simulink. It's a pretty neat tool.

Hope you get it working!
Comment 198 Sylvestre Ledru 2011-02-13 16:21:53 UTC
Any ETA for an official inclusion in gentoo ?
Comment 199 Jérôme Borme 2011-02-13 18:16:48 UTC
One suggestion for the ebuild. If USE=gui, a warning should be issued if the user uses neither of x11-drivers/nvidia-drivers or x11-drivers/ati-drivers. There is a known issue with the 5.x branch: the graphics are ok only with proprietary ati and nvidia drivers (not good with intel and not good with any open-source drivers available). See http://wiki.scilab.org/Graphical_issues_with_Scilab_5.0 for the details.
Comment 200 Guillaume Horel 2011-02-13 20:51:01 UTC
I don't think this page on the wiki is accurate. I use the i915 intel drivers, and pbuffer work fine for me, even if the drivers might not advertise it (I can enable usecanvas(%F) in scilab and the uicontrols2 gui demo works perfectly fine)
scilab blacklists your driver anyway if it's not ati or nvidia (and set usecanvas(%T)), so I don't think it deserves a warning at the ebuild level.

(In reply to comment #199)
> One suggestion for the ebuild. If USE=gui, a warning should be issued if the
> user uses neither of x11-drivers/nvidia-drivers or x11-drivers/ati-drivers.
> There is a known issue with the 5.x branch: the graphics are ok only with
> proprietary ati and nvidia drivers (not good with intel and not good with any
> open-source drivers available). See
> http://wiki.scilab.org/Graphical_issues_with_Scilab_5.0 for the details.
> 

Comment 201 Jérôme Borme 2011-02-13 21:30:01 UTC
As an ATI customer on all my gentoo boxes, I have serious corruption issues with scilab 5 and the radeon opensource stack. A search including radeon and scilab on google or the scilab bugzilla will show you I'm far from alone. No offense to the scilab team, this is not "their fault," I just think it deserves a friendly advice to the user, that in case of display problems s/he might want to try other drivers before filing a bug.
Comment 202 Sylvestre Ledru 2011-02-13 21:48:29 UTC
pbuffer support just sucks...
This issue should be tackle in the version 5.4 of Scilab.

Comment 203 Sylvestre Ledru 2011-02-23 09:09:55 UTC
(In reply to comment #191)

> gfortran: /usr/lib64/scilab: No such file or directory
> gfortran: libsciarnoldi.so.5: No such file or directory
> gfortran: unrecognized option '-soname'
> make[2]: *** [libsciarnoldi.la] Error 1
OK,  Juergen, I have been able to reproduce this issue. I reported it here:
http://bugzilla.scilab.org/show_bug.cgi?id=8053

and fixed into the Scilab code review:
http://codereview.scilab.org/#change,3224

(not yet accepted into the git)

it is kind of a libtool bug.
Comment 204 Juergen Rose 2011-02-25 13:19:47 UTC
Thanks, Sylvestre,

I hope the patch will come soon into the portage tree or at least into the science overlay.

Regards Juergen
Comment 205 Maciej S. Szmigiero 2011-06-05 11:38:06 UTC
Thanks for this ebuild, but I ran into the same problem as lalebarde, configure failed on missing package org.apache.fop.pdf.PDFInfo.
Emerging fop manually fixed the problem, so this should to be added as dependency for scilab.

Next issue that I had is with enabled xcos. On the current jgraphx (1.4.1.2) this results in some symbols being missing (drawShape, drawVertex).
After downgrading jgraphx with '<=dev-java/jgraphx-1.3.0.2' (1.3.0.2 is the next lower version in overlay) the problem was fixed for me.
This too should be added, maybe as conditional on xcos USE flag.
Comment 206 Guillaume Horel 2011-06-07 02:29:13 UTC
Created attachment 276083 [details]
scilab-5.3.2.ebuild

Version bump upstream.
Note that this version depends on new versions of jlatexmath/jlatexmath-fop that have been added to the respective bug 301048.
Comment 207 Guillaume Horel 2011-06-07 02:31:37 UTC
Created attachment 276087 [details, diff]
patch for bug 9268 from upstream
Comment 208 Guillaume Horel 2011-06-10 17:13:05 UTC
Version 5.3.2 was pushed to the science overlay. Let me know if anything doesn't work for you.
Comment 209 Juergen Rose 2011-06-10 18:31:37 UTC
'emerge scilab' fails because 'emerge flexdock' fails:

>>> Emerging (11 of 15) dev-java/flexdock-0.5.2 from science
>>> Downloading 'http://distfiles.gentoo.org/distfiles/flexdock-0.5.2-src.zip'
--2011-06-10 20:27:09--  http://distfiles.gentoo.org/distfiles/flexdock-0.5.2-src.zip
Connecting to 10.101.10.254:3128... connected.
Proxy request sent, awaiting response... 302 Moved Temporarily
Location: http://mirrors.kernel.org/gentoo/distfiles/flexdock-0.5.2-src.zip [following]
--2011-06-10 20:27:09--  http://mirrors.kernel.org/gentoo/distfiles/flexdock-0.5.2-src.zip
Connecting to 10.101.10.254:3128... connected.
Proxy request sent, awaiting response... 404 Not Found
2011-06-10 20:27:09 ERROR 404: Not Found.

>>> Downloading 'https://flexdock.dev.java.net/files/documents/2037/152436/flexdock-0.5.2-src.zip'
--2011-06-10 20:27:09--  https://flexdock.dev.java.net/files/documents/2037/152436/flexdock-0.5.2-src.zip
Connecting to 10.101.10.254:3128... connected.
ERROR: no certificate subject alternative name matches
        requested host name `flexdock.dev.java.net'.
To connect to flexdock.dev.java.net insecurely, use `--no-check-certificate'.
!!! Couldn't download 'flexdock-0.5.2-src.zip'. Aborting.
 * Fetch failed for 'dev-java/flexdock-0.5.2', Log file:
 *  '/var/tmp/portage/dev-java/flexdock-0.5.2/temp/build.log'

>>> Failed to emerge dev-java/flexdock-0.5.2, Log file:



'wget --no-check-certificate https://flexdock.dev.java.net/files/documents/2037/152436/flexdock-0.5.2-src.zip' fails either with:

rose@moose:/home/rose(3)$ wget --no-check-certificate https://flexdock.dev.java.net/files/documents/2037/152436/flexdock-0.5.2-src.zip
--2011-06-10 20:28:37--  https://flexdock.dev.java.net/files/documents/2037/152436/flexdock-0.5.2-src.zip
Verbindungsaufbau zu 10.101.10.254:3128... verbunden.
WARNUNG: no certificate subject alternative name matches
	requested host name »flexdock.dev.java.net«.
Proxy Anforderung gesendet, warte auf Antwort... 302 Found
Platz: http://flexdock.java.net/files/documents/2037/152436/flexdock-0.5.2-src.zip[folge]
--2011-06-10 20:28:37--  http://flexdock.java.net/files/documents/2037/152436/flexdock-0.5.2-src.zip
Verbindungsaufbau zu 10.101.10.254:3128... verbunden.
Proxy Anforderung gesendet, warte auf Antwort... 302 Moved Temporarily
Platz: http://java.net/projects/flexdock/files/documents/2037/152436/flexdock-0.5.2-src.zip[folge]
--2011-06-10 20:28:38--  http://java.net/projects/flexdock/files/documents/2037/152436/flexdock-0.5.2-src.zip
Verbindungsaufbau zu 10.101.10.254:3128... verbunden.
Proxy Anforderung gesendet, warte auf Antwort... 404 Not Found
2011-06-10 20:28:39 FEHLER 404: Not Found.
Comment 210 Juergen Rose 2011-06-10 18:34:48 UTC
With respect to Comment 208 see also Bug 357219 !
Comment 211 Juergen Rose 2011-06-10 19:16:22 UTC
Using the patch in Bug 357219 I could emerge flexdock. But the linking of scilab fails as before with:

libtool: link: mpif77 -shared   .libs/libscicore_la-inffic.o .libs/libscicore_la-cs2st.o .libs/libscicore_la-tmpdir.o .libs/libscicore_la-intmacr2tree.o .libs/libscicore_la-run.o .libs/libscicore_la-InitScilab.o .libs/libscicore_la-getval.o .libs/libscicore_la-md5.o .libs/libscicore_la-inisci-c.o .libs/libscicore_la-IsAScalar.o .libs/libscicore_la-texmacs.o .libs/libscicore_la-sciquit.o .libs/libscicore_la-stack1.o .libs/libscicore_la-realmain.o .libs/libscicore_la-stack3.o .libs/libscicore_la-str2sci.o .libs/libscicore_la-getmodules.o .libs/libscicore_la-setgetSCIpath.o .libs/libscicore_la-getmemory.o .libs/libscicore_la-Funtab.o .libs/libscicore_la-csignal.o .libs/libscicore_la-callinterf.o .libs/libscicore_la-scimem.o .libs/libscicore_la-banier.o .libs/libscicore_la-isanan.o .libs/libscicore_la-parse.o .libs/libscicore_la-timer.o .libs/libscicore_la-stack2.o .libs/libscicore_la-xscion.o .libs/libscicore_la-SetScilabEnvironment.o .libs/libscicore_la-hashtable_core.o .libs/libscicore_la-returnanan.o .libs/libscicore_la-LoadFunctionsTab.o .libs/libscicore_la-with_module.o .libs/libscicore_la-loadversion.o .libs/libscicore_la-version.o .libs/libscicore_la-stackinfo.o .libs/libscicore_la-scirun.o .libs/libscicore_la-SCIHOME.o .libs/libscicore_la-warningmode.o .libs/libscicore_la-InitializeCore.o .libs/libscicore_la-TerminateCore.o .libs/libscicore_la-coretable.o .libs/libscicore_la-returnProperty.o .libs/libscicore_la-returnPropertyList.o .libs/libscicore_la-scilabmode.o .libs/libscicore_la-GetXmlFileEncoding.o .libs/libscicore_la-islittleendian.o .libs/libscicore_la-terme.o .libs/libscicore_la-ifexpr.o .libs/libscicore_la-expr.o .libs/libscicore_la-getcommandlineargs.o .libs/libscicore_la-syncexec.o .libs/libscicore_la-callFunctionFromGateway.o .libs/libscicore_la-getvariablesname.o .libs/libscicore_la-commandwords.o .libs/libscicore_la-freeArrayOfString.o .libs/libscicore_la-getstaticdebuginfo.o .libs/libscicore_la-getdynamicdebuginfo.o .libs/libscicore_la-callDynamicGateway.o .libs/libscicore_la-gw_dynamic_generic.o .libs/libscicore_la-dynamic_gateways.o .libs/libscicore_la-readGateway.o .libs/libscicore_la-comparehandles.o .libs/libscicore_la-setPrecisionFPU.o .libs/libscicore_la-LaunchScilabSignal.o .libs/libscicore_la-getos.o .libs/libscicore_la-mode_exec.o .libs/libscicore_la-predef.o .libs/libscicore_la-transposeMatrix.o .libs/libscicore_la-recursionFunction.o .libs/libscicore_la-typename.o .libs/libscicore_la-inittypenames.o .libs/libscicore_la-funcprot.o .libs/libscicore_la-scimem64.o .libs/clunit.o .libs/getlin.o .libs/allowptr.o .libs/isany.o .libs/hmcreate.o .libs/nextj.o .libs/setgetmode.o .libs/showstack.o .libs/misops.o .libs/iseye.o .libs/chkvar.o .libs/setippty.o .libs/compil.o .libs/funnam.o .libs/isnum.o .libs/cmdstr.o .libs/logops.o .libs/atome.o .libs/hndlops.o .libs/cmplxt.o .libs/skpins.o .libs/folhp.o .libs/cvname.o .libs/funs.o .libs/fact.o .libs/inibrk.o .libs/typ2cod.o .libs/prompt.o .libs/intstr.o .libs/createref.o .libs/btof.o .libs/matzs.o .libs/getnum.o .libs/btofm.o .libs/getsym.o .libs/findequal.o .libs/stackg.o .libs/find.o .libs/israt.o .libs/setlnb.o .libs/mrknmd.o .libs/stackgl.o .libs/allops.o .libs/mname.o .libs/command.o .libs/ref2val.o .libs/namstr.o .libs/stack.o .libs/isbrk.o .libs/majmin.o .libs/xerbla.o .libs/dtosci.o .libs/bexec.o .libs/varfunptr.o .libs/getfun.o .libs/savlod.o .libs/error.o .libs/cvdm.o .libs/tradsl.o .libs/mkindx.o .libs/whatln.o .libs/errmgr.o .libs/defmat.o .libs/mklist.o .libs/sigbas.o .libs/indxg.o .libs/matz.o .libs/istrue.o .libs/inisci.o .libs/ptover.o .libs/getfunction.o .libs/stackp.o .libs/dbasin.o .libs/macro.o .libs/extlarg.o .libs/getstr.o .libs/cvwm.o .libs/storeglobal.o .libs/lst2vars.o .libs/basnms.o .libs/matc.o .libs/ptrback.o .libs/getch.o .libs/ftob.o .libs/seteol.o .libs/basin.o .libs/clause.o .libs/compcl.o .libs/termf.o .libs/expsum.o .libs/eqid.o .libs/copyvar.o .libs/putid.o .libs/itosci.o .libs/stackr2d.o .libs/stacki2d.o .libs/stackc2i.o .libs/isinstring.o .libs/relocstack.o .libs/libscicore_la-sci_stacksize.o .libs/libscicore_la-sci_resume.o .libs/libscicore_la-sci_mtlb_mode.o .libs/libscicore_la-sci_banner.o .libs/libscicore_la-sci_where.o .libs/libscicore_la-sci_errcatch.o .libs/libscicore_la-sci_getos.o .libs/libscicore_la-sci_format.o .libs/libscicore_la-sci_getmemory.o .libs/libscicore_la-sci_havewindow.o .libs/libscicore_la-sci_delbpt.o .libs/libscicore_la-sci_macr2lst.o .libs/libscicore_la-sci_isdef.o .libs/libscicore_la-sci_isglobal.o .libs/libscicore_la-sci_who.o .libs/libscicore_la-sci_errclear.o .libs/libscicore_la-sci_global.o .libs/libscicore_la-sci_funcprot.o .libs/libscicore_la-sci_newfun.o .libs/libscicore_la-sci_warning.o .libs/libscicore_la-sci_dispbpt.o .libs/libscicore_la-sci_intppty.o .libs/libscicore_la-sci_ieee.o .libs/libscicore_la-sci_gstacksize.o .libs/libscicore_la-sci_lasterror.o .libs/libscicore_la-sci_funptr.o .libs/libscicore_la-sci_return.o .libs/libscicore_la-sci_exists.o .libs/libscicore_la-sci_getmd5.o .libs/libscicore_la-sci_clear.o .libs/libscicore_la-sci_clearfun.o .libs/libscicore_la-sci_setbpt.o .libs/libscicore_la-sci_getmodules.o .libs/libscicore_la-sci_what.o .libs/libscicore_la-sci_predef.o .libs/libscicore_la-sci_clearglobal.o .libs/libscicore_la-sci_arg.o .libs/libscicore_la-sci_type.o .libs/libscicore_la-sci_typename.o .libs/libscicore_la-sci_mode.o .libs/libscicore_la-sci_macr2tree.o .libs/libscicore_la-sci_iserror.o .libs/libscicore_la-sci_getversion.o .libs/libscicore_la-sci_getdebuginfo.o .libs/libscicore_la-sci_debug.o .libs/libscicore_la-gw_core.o .libs/libscicore_la-gw_user.o .libs/libscicore_la-gw_user2.o .libs/libscicore_la-sci_error.o .libs/libscicore_la-sci_sciargs.o .libs/libscicore_la-sci_with_module.o .libs/libscicore_la-sci_islittleendian.o .libs/libscicore_la-sci_getscilabmode.o .libs/libscicore_la-sci_getvariablesonstack.o .libs/libscicore_la-sci_readgateway.o .libs/libscicore_la-sci_comp.o .libs/libscicore_la-sci_exit.o .libs/sci_errclear.o .libs/sci_global.o .libs/sci_mtlb_mode.o .libs/sci_resume.o .libs/sci_dispbpt.o .libs/sci_useascommand.o .libs/sci_intppty.o .libs/sci_ieee.o .libs/sci_macrovar.o .libs/sci_exists.o .libs/sci_errcatch.o .libs/sci_clear.o .libs/sci_argn.o .libs/sci_setbpt.o .libs/sci_clearglobal.o .libs/sci_delbpt.o .libs/where.o .libs/sci_iserror.o .libs/sci_debug.o .libs/sci_comp.o .libs/sci_isglobal.o    /usr/lib64/libxml2.so -L/usr/lib64 -licui18n -licuuc -licudata -lpthread -lz -Wl,--as-needed -ldl -lcurses -lm  -march=nocona -O2 -m64 -O1   -soname libscicore.so.5 -o .libs/libscicore.so.5.0.2
x86_64-pc-linux-gnu-gfortran: libscicore.so.5: No such file or directory
x86_64-pc-linux-gnu-gfortran: unrecognized option '-soname'
make[2]: *** [libscicore.la] Error 1
Comment 212 Juergen Rose 2011-06-10 19:36:10 UTC
If I set in /etc/portage/package.use:

sci-mathematics/scilab -hdf5 ,

'emerge scilab' fails with:

libtool: link: x86_64-pc-linux-gnu-gcc -march=nocona -O2 -pipe -fomit-frame-pointer -DNDEBUG -I./modules/core/includes/ -I./libs/MALLOC/includes/ -I./modules/localization/includes/ -Wl,-O1 -o .libs/scilab-bin scilab_bin-mainscic.o  -Wl,--as-needed ./modules/shell/.libs/libscishell.so -L/usr/lib64 ./modules/core/.libs/libscicore.so ./modules/completion/.libs/libscicompletion.so ./modules/localization/.libs/libscilocalization.so ./modules/io/.libs/libsciio.so -L/usr/lib ./modules/.libs/libscilab.so -L/usr/lib64/lapack/atlas -L/usr/lib64/blas/atlas -L/usr/lib64/blas/threaded-atlas //usr/lib64/lapack/atlas/liblapack.so -L//usr/lib64/blas/atlas -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2 //usr/lib64/blas/atlas/libcblas.so //usr/lib64/blas/atlas/libblas.so /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/libgfortran.so /usr/lib64/libatlas.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/call_scilab/.libs/libscicall_scilab.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/double/.libs/libscidouble.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/boolean/.libs/libsciboolean.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/intersci/.libs/libsciintersci.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/localization/.libs/libscilocalization.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/special_functions/.libs/libscispecial_functions.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/statistics/.libs/libscistatistics.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/time/.libs/libscitime.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/windows_tools/.libs/libsciwindows_tools.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/pvm/.libs/libscipvm.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/sparse/.libs/libscisparse.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/io/.libs/libsciio.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/polynomials/.libs/libscipolynomials.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/cacsd/.libs/libscicacsd.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/mexlib/.libs/libmx.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/mexlib/.libs/libmat.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/differential_equations/.libs/libscidifferential_equations.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/mexlib/.libs/libmex.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/data_structures/.libs/libscidata_structures.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/integer/.libs/libsciinteger.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/linear_algebra/.libs/libscilinear_algebra.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/dynamic_link/.libs/libscidynamic_link.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/completion/.libs/libscicompletion.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/fftw/.libs/libscifftw.so /usr/lib64/libfftw3.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/hdf5/.libs/libscihdf5.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/functions/.libs/libscifunctions.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/graphics/.libs/libscigraphics.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/libs/hashtable/.libs/libscihashtable.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/tclsci/.libs/libscitclsci.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/gui/.libs/libscigui.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/renderer/.libs/libscirenderer.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/libs/doublylinkedlist/.libs/libscidoublylinkedlist.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/graphic_export/.libs/libscigraphic_export.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/console/.libs/libsciconsole.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/shell/.libs/libscishell.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/action_binding/.libs/libsciaction_binding.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/history_manager/.libs/libscihistory_manager.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/jvm/.libs/libscijvm.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/fileio/.libs/libscifileio.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/string/.libs/libscistring.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/elementary_functions/.libs/libscielementary_functions.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/arnoldi/.libs/libsciarnoldi.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/api_scilab/.libs/libsciapi_scilab.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/libs/libst/.libs/libscilibst.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/libs/dynamiclibrary/.libs/libscidynamiclibrary.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/xcos/.libs/libscixcos.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/xpad/.libs/libscixpad.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/core/.libs/libscicore.so /usr/lib64/libxml2.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/libs/MALLOC/.libs/libscimalloc.so /var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/output_stream/.libs/libscioutput_stream.so -lblas -lcblas -ltk8.5 -ltcl8.5 -lpcreposix -lpcre -licui18n -licuuc -licudata -lz -lm -lpthread -ldl -lcurses -Wl,-rpath -Wl,/usr/lib64/scilab -Wl,-rpath -Wl,//usr/lib64/lapack/atlas -Wl,-rpath -Wl,//usr/lib64/blas/atlas
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/cacsd/.libs/libscicacsd.so: undefined reference to `dsyr2k_'
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/arnoldi/.libs/libsciarnoldi.so: undefined reference to `zunm2r_'
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/linear_algebra/.libs/libscilinear_algebra.so: undefined reference to `dgeqpf_'
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/arnoldi/.libs/libsciarnoldi.so: undefined reference to `dsteqr_'
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/arnoldi/.libs/libsciarnoldi.so: undefined reference to `zlartg_'
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/cacsd/.libs/libscicacsd.so: undefined reference to `dbdsqr_'
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/cacsd/.libs/libscicacsd.so: undefined reference to `dgesvx_'
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/cacsd/.libs/libscicacsd.so: undefined reference to `dorgrq_'
...
...
/var/tmp/portage/sci-mathematics/scilab-5.2.1/work/scilab-5.2.1/modules/cacsd/.libs/libscicacsd.so: undefined reference to `dgeqlf_'
collect2: ld returned 1 exit status
make[1]: *** [scilab-bin] Error 1
Comment 213 Guillaume Horel 2011-06-10 19:52:12 UTC
Juergen, looks like you're still merging scilab-5.2.1... Can you try with scilab-5.3.2? Also can you make sure hdf5 is built without the mpi? Lets try to fix the simple cases first.
Comment 214 Juergen Rose 2011-06-15 16:46:58 UTC
Hi Guillaume,

thanks for your hint. I don't understand why 'emerge -uvDN scilab' wants to install scilab-5.2.1 on two of three systems.

I have science in my overlays:

root@moose:/var/lib/layman/science/sci-mathematics/scilab(80)# layman -l
* arcon          [Mercurial ] (https://arcon.googlecode.com/hg/                  )
* java-overlay   [Subversion] (svn://overlays.gentoo.org/proj/java/java-overlay/ )
* qting-edge     [Git       ] (git://gitorious.org/gentoo-qt/qting-edge.git      )
* science        [Git       ] (git://git.overlays.gentoo.org/proj/sci.git        )
* sunrise        [Subversion] (svn://overlays.gentoo.org/proj/sunrise/reviewed/  )
* x11            [Git       ] (git://git.overlays.gentoo.org/proj/x11            )

I have the scilab-5.3.2.ebuild:
root@moose:/var/lib/layman/science/sci-mathematics/scilab(81)# ll /var/lib/layman/science/sci-mathematics/scilab/
total 28
-rw-r--r-- 1 root root 2326 Jun 14 19:27 ChangeLog
drwxr-xr-x 2 root root 4096 Jun 14 19:27 files/
-rw-r--r-- 1 root root 4336 Jun 15 18:06 Manifest
-rw-r--r-- 1 root root  872 Feb 13  2010 metadata.xml
-rw-r--r-- 1 root root 3626 Feb 26  2010 scilab-5.2.1.ebuild
-rw-r--r-- 1 root root 3571 Jun 14 19:27 scilab-5.3.2.ebuild

'emerge -uvND scilab' accesses the correct directory, but the wrong ebuild:

root@moose:/var/lib/layman/science/sci-mathematics/scilab(82)# emerge -pvuND scilab

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] sci-mathematics/scilab-5.2.1  USE="doc fftw gui hdf5 matio nls tk umfpack -xcos" 0 kB [1]

Total: 1 package (1 new), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/science

!!! The following update has been skipped due to unsatisfied dependencies:

sci-mathematics/scilab:0

emerge: there are no ebuilds to satisfy "~dev-java/jgraphx-1.4.1.0".
(dependency required by "sci-mathematics/scilab-5.3.2[gui]" [ebuild])



At the third system 'emerge scilab' wants to emerge scilab-5.3.2, but it fails with:
root@orca:/usr/local/portage/dev-java/flexdock(54)# emerge -vuND scilab

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] sci-mathematics/scilab-5.3.2  USE="doc fftw gui hdf5 matio nls tk umfpack -xcos" 0 kB [1]

Total: 1 package (1 new), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/science


>>> Verifying ebuild manifests

>>> Emerging (1 of 1) sci-mathematics/scilab-5.3.2 from science
 * scilab-5.3.2-src.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                                         [ ok ]
 * Package:    sci-mathematics/scilab-5.3.2
 * Repository: science
 * Maintainer: sci-mathematics@gentoo.org
 * USE:        amd64 doc elibc_glibc fftw gui hdf5 kernel_linux matio multilib nls tk umfpack userland_GNU
 * FEATURES:   sandbox splitdebug
>>> Unpacking source...
>>> Unpacking scilab-5.3.2-src.tar.gz to /var/tmp/portage/sci-mathematics/scilab-5.3.2/work
>>> Source unpacked in /var/tmp/portage/sci-mathematics/scilab-5.3.2/work
>>> Preparing source in /var/tmp/portage/sci-mathematics/scilab-5.3.2/work/scilab-5.3.2 ...
 * Checking for at least 512MBytes RAM ...                                                                                                                                         [ ok ]
 * Applying java-heap-5.3.2.patch ...                                                                                                                                              [ ok ]

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 * 
 *   /var/lib/layman/science/sci-mathematics/scilab/files/scilib-fix.patch
 *   ( scilib-fix.patch )


I have only /var/lib/layman/science/sci-mathematics/scilab/files/scilab-5.2.1-scilib-fix.patch.

root@orca:/var/lib/layman/science/sci-mathematics/scilab(59)# grep scilib-fix scilab-5.3.2.ebuild 
        epatch "${FILESDIR}"/scilib-fix.patch
Comment 215 Juergen Rose 2011-06-15 16:53:38 UTC
Btw., nothings seems to masked /etc/portage/packages.mask:

root@moose:/var/lib/layman/science/sci-mathematics/scilab(89)# grep scilab /etc/portage/*
/etc/portage/package.use:#sci-mathematics/scilab -hdf5
Comment 216 Juergen Rose 2011-06-15 17:50:00 UTC
If I generate a local overlay for jgraphx-1.4.1.0, 'emerge -uvND scilab' wants to emerge scilab-5.3.2 and fails then after an additional 'ebuild scilab-5.3.2.ebuild digest' with the scilib-fix.patch. If I copy scilab-5.2.1-scilib-fix.patch to scilib-fix.patch and set "sci-mathematics/scilab -hdf5" in /etc/portage/package.use", then I can emerge scilab-5.3.2.
Comment 217 Guillaume Horel 2011-06-16 03:36:41 UTC
Juergen, thanks for the detailed reports. The dependency version for jgraphx was incorrect. I think this should be fixed in the overlay now. Let me know if you still have issues with it.
Comment 218 Juergen Rose 2011-06-29 09:23:05 UTC
I tried a new clean installation of scilab-5.3.2. Therefore I first deleled the science overlay and then add it again. After that 'emerge scilab' fails with:
...
  * Applying java-heap-5.3.2.patch ...                                                                                                            [ ok ]

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 * 
 *   /var/lib/layman/science/sci-mathematics/scilab/files/scilab-5.3.2-scilib-fix.patch
 *   ( scilab-5.3.2-scilib-fix.patch )

 * ERROR: sci-mathematics/scilab-5.3.2 failed (prepare phase):
 *   Cannot find $EPATCH_SOURCE!


There is no /var/lib/layman/science/sci-mathematics/scilab/files/scilab-5.3.2-scilib-fix.patch file. There is only a /var/lib/layman/science/sci-mathematics/scilab/files/scilib-5.3.2-scilib-fix.patch file. I assume the /var/lib/layman/science/sci-mathematics/scilab/files/scilib-5.3.2-scilib-fix.patch should be rename to /var/lib/layman/science/sci-mathematics/scilab/files/scilab-5.3.2-scilib-fix.patch.

Regards Juergen
Comment 219 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-06-29 09:29:35 UTC
commit dbc5199a0f864cf13865fe7f18655e201a642b88  Wed Jun 29 11:27:30 2011 +0200
[sci-mathematics/scilab] fix patch name wrt bug 237572#c218
Comment 220 Juergen Rose 2011-06-29 09:33:26 UTC
If I rename
/var/lib/layman/science/sci-mathematics/scilab/files/scilib-5.3.2-scilib-fix.patch
to
/var/lib/layman/science/sci-mathematics/scilab/files/scilab-5.3.2-scilib-fix.patch.

'emerge scilab' complains about:

>>> Emerging (1 of 1) sci-mathematics/scilab-5.3.2 from x-portage
 * scilab-5.3.2-src.tar.gz RMD160 SHA1 SHA256 size ;-) ...                     
                                                                      [ ok ]
 * Package:    sci-mathematics/scilab-5.3.2
 * Repository: x-portage
 * Maintainer: sci-mathematics@gentoo.org
 * USE:        amd64 doc elibc_glibc fftw gui kernel_linux matio multilib nls
tk umfpack userland_GNU
 * FEATURES:   sandbox
>>> Unpacking source...
>>> Unpacking scilab-5.3.2-src.tar.gz to /var/tmp/portage/sci-mathematics/scilab-5.3.2/work
>>> Source unpacked in /var/tmp/portage/sci-mathematics/scilab-5.3.2/work
>>> Preparing source in /var/tmp/portage/sci-mathematics/scilab-5.3.2/work/scilab-5.3.2 ...
 * Checking for at least 512MBytes RAM ...                                     
                                                                      [ ok ]
 * Applying java-heap-5.3.2.patch ...                                          
                                                                      [ ok ]
 * Applying scilab-5.3.2-scilib-fix.patch ...                                  
                                                                      [ ok ]
 * Applying bug_9268.diff ...                                                  
                                                                      [ ok ]
!!! ERROR: Package hdf-java was not found!
 * Running eautoreconf in
'/var/tmp/portage/sci-mathematics/scilab-5.3.2/work/scilab-5.3.2' ...


hdf-java was not installed. Should hdf-java add to the DEPEND list?
Comment 221 Sylvestre Ledru 2011-06-29 12:11:24 UTC
hdf-java is indeed required for Xcos. It should be a strong dependency.
Comment 222 Guillaume Horel 2011-06-30 13:49:47 UTC
hdf-java hard dependency for xcos added to the science overlay.
Comment 223 Sébastien Fabbro (RETIRED) gentoo-dev 2012-05-25 22:04:58 UTC
i just pushed scilab-5.3.3-r1 in the science overlay. this is a complete revamp of the previous ebuild, hopefully fixing a number of problems, see the ChangeLog. also all java packages required for the gui are now in the science overlay. there are still a few things to do (see TODO in the ebuild) before merging into the main tree, volunteers needed.
Comment 224 Thomas Capricelli 2012-05-29 09:48:27 UTC
hello.
It doesn't work here. A whole bunch of java stuff is pulled as dependancies, and are installed well. Then the scilab ebuild itself fails. Relevant part of
/var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/temp/build.log
are:

beginning:
--------------------------------------------------------------------------
 * Package:    sci-mathematics/scilab-5.3.3-r1
 * Repository: science
 * Maintainer: sci-mathematics@gentoo.org
 * USE:        amd64 elibc_glibc fftw gui kernel_linux linguas_it matio multilib nls openmp static-libs umfpack userland_GNU
 * FEATURES:   userpriv
 * Using: sun-jdk-1.6
 * Applying scilab-5.3.3-fortran-link.patch ...
 [ ok ]
 * Applying scilab-5.3.3-jvm-detection.patch ...
 [ ok ]
 * Applying scilab-5.3.3-disable-build-help.patch ...
 [ ok ]
 * Applying scilab-5.3.3-hdf18.patch ...
 [ ok ]
 * Applying scilab-5.3.3-no-lhpi.patch ...
 [ ok ]
 * Applying scilab-5.3.3-blas-libs.patch ...
 [ ok ]
 * Applying scilab-5.3.3-no-xcos-deps.patch ...
 [ ok ]
 * Applying scilab-5.3.3-javadoc-utf8.patch ...
 [ ok ]
 * Applying scilab-5.3.3-fix-random-runtime-failures.patch ...
 [ ok ]
^[[01m^[[31;06m!!! ERROR: Package hdf-java was not found!^[[0m
^[[01m^[[31;06m!!! ERROR: Package hdf-java was not found!^[[0m
 * Running eautoreconf in '/var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3' ...
 * Running autopoint --force ...
 [ ok ]

--------------------------------------------------------------------------

configure summary:
--------------------------------------------------------------------------
Java Configuration:
  JAVA_HOME ........... = /opt/sun-jdk-1.6.0.30
  JAVAC ............... = /opt/sun-jdk-1.6.0.30/bin/javac
  JAVA_CLASSPATH ...... =
  JAVA_VERSION ........ = 1.6
  JAVAC_FLAGS ......... = -g
  JAVA_JNI_INCLUDE .... = -I/opt/sun-jdk-1.6.0.30/include -I/opt/sun-jdk-1.6.0.30/include/linux
  JAVA_JNI_LIBS ....... = -L/opt/sun-jdk-1.6.0.30/jre/lib/amd64 -ljava -lverify -L/opt/sun-jdk-1.6.0.30/jre/lib/amd64/server -ljvm
  JAVA_JNI_LIBS_PRELOAD =
  JAVA ................ = /opt/sun-jdk-1.6.0.30/bin/java
  JAVADOC ............. = /opt/sun-jdk-1.6.0.30/bin/javadoc
  JAR ................. = /opt/sun-jdk-1.6.0.30/bin/jar
  ANT ................. = /usr/bin/ant

Java dependencies:
  Flexdock ............ = /usr/share/flexdock/lib//flexdock.jar
  JOGL ................ = /usr/share/jogl/lib//jogl.jar
  JOGL LIBS (JNI) ..... = -ljogl
  Gluegen ............. = /usr/share/gluegen/lib//gluegen-rt.jar
  Gluegen LIBS (JNI) .. = -lgluegen-rt
  Jeuclid (MathML) .... = /usr/share/jeuclid-core/lib//jeuclid-core.jar
  Jhall  .............. = /usr/share/javahelp/lib//jhall.jar
  Jrosetta (API) ...... = /usr/share/jrosetta/lib//jrosetta-API.jar
  Jrosetta (Engine) ... = /usr/share/jrosetta/lib//jrosetta-engine.jar
  Commons Logging ..... = /usr/share/commons-logging/lib//commons-logging.jar
  JGraph X ............ =
  JLaTeXMath .......... = /usr/share/jlatexmath/lib//jlatexmath.jar

Documentation, graphic export:
  FOP (XML => PDF) .... = /usr/share/fop/lib//fop.jar
  JLaTeXMath Fop ...... =
  Batik (SVG) ......... = /usr/share/batik-1.7/lib//batik-all.jar
  Avalon Framework .... = /usr/share/avalon-framework-4.2/lib//avalon-framework.jar
  Commons I/O ......... = /usr/share/commons-io-1/lib//commons-io.jar
  XML graphics commons  = /usr/share/xmlgraphics-commons-1.3/lib//xmlgraphics-commons.jar
--------------------------------------------------------------------------

During compilation:
--------------------------------------------------------------------------
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/utils/ScilabGraphUtils.java
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/utils/StyleMap.java
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/view/ScilabGraphView.java
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/view/SupportedLabelType.java
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:33: package com.mxgraph.canvas does not exist
    [javac] import com.mxgraph.canvas.mxGraphics2DCanvas;
    [javac]                          ^
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:34: package com.mxgraph.shape does not exist
    [javac] import com.mxgraph.shape.mxITextShape;
    [javac]                         ^
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:35: package com.mxgraph.swing.view does not exist
    [javac] import com.mxgraph.swing.view.mxInteractiveCanvas;
    [javac]                              ^
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:36: package com.mxgraph.util does not exist
    [javac] import com.mxgraph.util.mxConstants;
    [javac]                        ^
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:37: package com.mxgraph.util does not exist
    [javac] import com.mxgraph.util.mxRectangle;
    [javac]                        ^
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:38: package com.mxgraph.util does not exist
    [javac] import com.mxgraph.util.mxUtils;
    [javac]                        ^
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:39: package com.mxgraph.view does not exist
    [javac] import com.mxgraph.view.mxCellState;
    [javac]                        ^
    [javac] /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/modules/graph/src/java/org/scilab/modules/graph/ScilabCanvas.java:46: cannot find symbol
    [javac] symbol: class mxInteractiveCanvas
    [javac] public class ScilabCanvas extends mxInteractiveCanvas {
    [javac]  
--------------------------------------------------------------------------
Comment 225 Sylvestre Ledru 2012-05-29 09:54:13 UTC
(In reply to comment #224)
> It doesn't work here. 
jgraphx upstream is regularly changing the API, breaking Scilab.

Scilab 5.3.3 expects jgraphx version 1.4.1.0
Comment 226 Thomas Capricelli 2012-05-29 10:26:48 UTC
jgraphx is not installed on my system. I've checked the ebuild to find out why it was not pulled by dependancies. The reason is that the 'xcos' USEFLAG is not set here.
I dont know what it is and I haven't changed anything regarding this USEFLAG (nothing in /etc/make.conf or /etc/portage/)
Comment 227 Sylvestre Ledru 2012-05-29 10:29:59 UTC
xcos should be enabled by default.
Comment 228 Thomas Capricelli 2012-05-29 11:29:35 UTC
well, as said, i did not change 'xcos'. That means that on my system, the default for xcos is to be disabled. Some hints about my sytem:
* Ufed confirms both that xcos is not set and that the default value is unchanged
* My profile is default/linux/amd64/10.0/desktop
* "grep -R xcos /usr/portage/profiles/ /etc/portage /etc/make.conf" returns nothing

Anyway, this is not the point. The two points are:
* it currently doesn't emerge on my system (default use, uber-standard ~amd64 platform)
* it seems that dependancies are wrong, at least wrt 'xcos'.

I'm really not complaining, just reporting results of tests. I need scilab, but i know that scilab always has been a messy project to deal with, and that it became a complete nonsense with their move to java GUI in 5.0...
Comment 229 Juergen Rose 2012-05-29 14:37:09 UTC
If I delete jgraphx, the next 'emerge -uNDt --with-bdeps=y @world' installs jgraphx-1.4.1.2 as dependency of scilab:

root@moose:/usr/local/portage/sci-libs(48)#  emerge -uNDt --with-bdeps=y  @world

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U  ] sci-mathematics/scilab-5.3.3-r1 [5.3.3] USE="bash-completion%* hdf5* openmp%* -debug% -static-libs% -test%" LINGUAS="de%* -ca_ES% -es_ES% -fr_FR% -it% -ja% -pl% -pt_BR% -ru% -uk% -zh_CN% -zh_TW%" 
[ebuild  N     ]  dev-java/jgraphx-1.4.1.2  USE="doc examples -source" 
...
>>> Installing (1 of 2) dev-java/jgraphx-1.4.1.2

>>> Emerging (2 of 2) sci-mathematics/scilab-5.3.3-r1 from science
...
 * Applying scilab-5.3.3-java-heap.patch ...                            [ ok ]
!!! ERROR: Package gluegen was not found!
!!! ERROR: Package jogl was not found!
!!! ERROR: Package gluegen was not found!
!!! ERROR: Package jogl was not found!
 * Running eautoreconf in '/var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3' ...
...
configure: error: "libjogl: Library
missing (Cannot find symbol glTexParameterf). Check if libjogl - C/Java (JNI)
interface for JOGL - or libGL are installed and if the version is correct. Note
that you might have to update etc/librarypath.xml to provide the actual path
the the JNI libraries."

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/config.log
 * ERROR: sci-mathematics/scilab-5.3.3-r1 failed (configure phase):


The next 'emerge -p --depclean' complains about wrong version of jgraphx:

root@moose:/usr/local/portage/sci-libs(49)# emerge -p --depclean
 * Depclean may break link level dependencies. Thus, it is
...
Calculating dependencies... done!
 * Dependencies could not be completely resolved due to
 * the following required packages not being installed:
 * 
 *   =dev-java/jgraphx-1.4.1.0 pulled in by:
 *     sci-mathematics/scilab-5.3.3
 * 
 * Have you forgotten to do a complete update prior to depclean? The


Why jgraphx-1.4.1.2 is installed as dependency of scilab and not jgraphx-1.4.1.0? 
If I mask >=dev-java/jgraphx-1.4.1.1, jgraphx is downgraded to jgraphx-1.4.1.0
by the next 'emerge -uvND world' but 'emerge scilab-5.3.3-r1' fails nevertheless to configure:

root@moose:/usr/local/portage/sci-libs(51)# emerge -uvDN world
These are the packages that would be merged, in order:
...
... done!
[ebuild     UD ] dev-java/jgraphx-1.4.1.0::science [1.4.1.2::science] USE="doc examples -source" 0 kB
[ebuild     U  ] sci-mathematics/scilab-5.3.3-r1::science [5.3.3::science] USE="bash-completion%* doc fftw gui hdf5* matio nls openmp%* tk umfpack xcos -debug% -static-libs% -test%" LINGUAS="de%* -ca_ES% -es_ES% -fr_FR% -it% -ja% -pl% -pt_BR% -ru% -uk% -zh_CN% -zh_TW%" 0 kB
...
>>> Emerging (1 of 2) dev-java/jgraphx-1.4.1.0 from science
...
>>> dev-java/jgraphx-1.4.1.0 merged.

>>> Emerging (2 of 2) sci-mathematics/scilab-5.3.3-r1 from science
 * Applying scilab-5.3.3-java-heap.patch ...                            [ ok ]
!!! ERROR: Package gluegen was not found!
!!! ERROR: Package jogl was not found!
!!! ERROR: Package gluegen was not found!
!!! ERROR: Package jogl was not found!
 * Running eautoreconf in '/var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3' ...
...
checking jogl... /usr/share/jogl-2/lib//jogl.all-mobile.jar
checking for glTexParameterf in -ljogl... no
configure: WARNING: Could not link against -ljogl. Will try against -ljogl -lGL
checking for glTexParameterf in -ljogl ... no
configure: error: "libjogl: Library
missing (Cannot find symbol glTexParameterf). Check if libjogl - C/Java (JNI)
interface for JOGL - or libGL are installed and if the version is correct. Note
that you might have to update etc/librarypath.xml to provide the actual path
the the JNI libraries."
Comment 230 Juergen Rose 2012-05-29 14:38:59 UTC
Created attachment 313535 [details]
/var/tmp/portage/sci-mathematics/scilab-5.3.3-r1/work/scilab-5.3.3/
Comment 231 Juergen Rose 2012-05-29 14:39:33 UTC
root@moose:/usr/local/portage/sci-libs(54)# emerge --info '=sci-mathematics/scilab-5.3.3-r1'
Portage 2.1.10.63 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.15-r2, 3.4.0-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.0-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9650_@_3.00GHz-with-gentoo-2.1
Timestamp of tree: Tue, 29 May 2012 06:30:01 +0000
app-shells/bash:          4.2_p28
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.2
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.7.1
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo x11 arcon bicatali sage-on-gentoo science lisp sunrise java-overlay ibormuth x-portage x-cpan g-octave
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 skype-eula googleearth AdobeFlash-10.3 cadsoft Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de fr"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/arcon /var/lib/layman/bicatali /var/lib/layman/sage-on-gentoo /var/lib/layman/science /var/lib/layman/lisp /var/lib/layman/sunrise /var/lib/layman/java-overlay /var/lib/layman/ibormuth /usr/local/portage /var/lib/cpan /var/lib/g-octave"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 ao apache2 applet archive arpack asf aspell assistant atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boo boost branding bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli consolekit corba cracklib crypt css cuda cups curl cxx daap db dbase dbi dbm dbus declarative designer devhelp device-mapper dga dia dirac djvu doc dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples exif expat extensions extra extras faac faad fam ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpx fts3 fuse g3dvl galago garmin gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp ginac git glade glib glpk gml gmp gmtsuppl gnome gnome-keyring gnome-print gnuplot gnutls gphoto2 gpm grammar graphics graphtft graphviz grass gs gsl gsm gstreamer gtk gtk3 gudev guile harness hddtemp hdf hdf5 hdri http httpd hvm hwdb iconv icq icu id3 ide imagemagick imap innodb inotify ipod ipv6 irda ithreads jabber jadetex java java6 jbig john jpeg jpeg2k kate kdrive kerberos kpathsea kqemu kvm ladspa lame lapack latex latex3 lcms ldap lensfun libffi libgda libnotify libsamplerate lirc live lm_sensors lua lzo mad mail maildir mapnik math matroska media-library mkl mmx mmxext mng modules mono motif mozilla mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musepack musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking networkmanager nfs nls nntp nptl nsplugin ntfs ntp numpy nvidia obex objc ocaml ocr octave odbc ogdi ogg ole openexr opengl openmp overview pae pam pango pcre pda pdf perl plotutils plugins png podcast policykit portaudio posix postgres postscript ppds pppd preview-latex proj projectm projectx pstricks pulseaudio python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime readline reiserfs reports rle romio rpc rrdcgi rrdtool sage samba sasl schroedinger science sdk sdl secure-delete semantic-desktop server session shout sip slang slp smbclient smp sms sndfile snmp soup sox speex spell sql sqlite sse sse2 sse4 ssl ssse3 startup-notification stlport subtitles subversion suexec svg svm swig sysfs szip t1lib tcl tcpd tex tex4ht texmacs tgif theora threads thunderbird tidy tiff tk tools truetype udev udisks unicode upower usb userlocales utempter vaapi video virtualbox visio vorbis wav webdav webdav-serf webkit wifi wmf wxwidgets x264 xa xattr xcb xemacs xetex xext xft xine xml xmlreader xmlrpc xorg xpm xulrunner xv xvid xvmc yaml zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon fuji" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="caps lvm mdraid syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de fr" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nv nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 232 Artemii 2012-05-29 16:55:38 UTC
> checking jogl... /usr/share/jogl-2/lib//jogl.all-mobile.jar
> checking for glTexParameterf in -ljogl... no
> configure: WARNING: Could not link against -ljogl. Will try against -ljogl

Scilab compiles only with jogl-1.1.1 and gluegene-20080421 (but in java-overlay current ~arch versions are 2.0_rc8)
Comment 233 Sébastien Fabbro (RETIRED) gentoo-dev 2012-05-29 18:17:33 UTC
i just fixed a few deps. please try again.

please file a bug for each issue, this bug is more general and getting way too crowded. and make sure you put your emerge --info, attach your build log and/or config.log.

is xcos really needed? should it be set by default jointly with gui?
Comment 234 Artemii 2012-05-29 18:44:22 UTC
> is xcos really needed? should it be set by default jointly with gui?

xcos is very useful for newbies. One can found many tutorials and docs for scilab where xcos is the first or main feature. I think xcos is needed and should be set by default.
Comment 235 Thomas Capricelli 2012-05-29 18:58:32 UTC
i've solved my problem by setting -gtk -gui : this way it works. But you definitely have a problem with dependancies otherwise, see my previous comment.
Comment 236 Guillaume Horel 2012-05-30 01:33:42 UTC
Thomas, the last commit by bicatali should fix your issue (i.e. build without xcos, but with gui) At least it compiles and run fine on my computer.

Juergen, the ebuild now forces jgraphx-1.4.1.0, so if you reemerge, it should pull the right dependency.
Comment 237 Juergen Rose 2012-06-15 15:30:54 UTC
Works now for me with scilab-5.3.3-r1.
Comment 238 Norbert 2012-07-10 14:34:14 UTC
I got Scilab working with all USE flags (doc gui xcos hdf5).
After many trial-and-error attempts I suggest to use 7 patches, not all 10. The ebuild is in attachment.
Scilab works in GUI and console mode, XCos works, Scilab normally build help files for toolboxes, so it works normally. So it's completely compiles and works!!!

I have read Scilab Wiki and looked at 'thirdparty' folder. I think we also need the following dependencies:
* dev-java/scirenderer (from science overlay), 
* dev-java/bsh (from portage)
* app-text/jing (from portage)
* dev-util/checkstyle (from portage)
* dev-java/qdox  (from portage)
* dev-java/testng (from java-overlay)
* dev-java/fop (from portage, needs +hyphenation)
* dev-java/jlatexmath-fop (from science)
These ebuilds will cover all files in thirdparty folder of Scilab Prerequirements.

My emerge --info is below:
Portage 2.1.10.65 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.14.1-r3, 3.4.0-gentoo x86_64)
=================================================================
System uname: Linux-3.4.0-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.1
Timestamp of tree: Tue, 10 Jul 2012 07:15:01 +0000
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2, 4.6.3
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo science java-overlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-march=corei7 -O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg buildsyspkg ccache config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-march=corei7 -O2 -pipe"
GENTOO_MIRRORS="ftp://gentoo.bloodhost.ru/ ftp://mirror2.corbina.ru/gentoo-distfiles/ ftp://xeon.gentoo.ru/mirrors/gentoo/distfiles/ ftp://mirror.yandex.ru/gentoo-distfiles/ ftp://mirror.switch.ch/mirror/gentoo/ ftp://gentoo.kiev.ua/ ftp://portage.org.ua/"
LANG="en_US"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en ru"
MAKEOPTS="-s -j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /var/lib/layman/java-overlay"
SYNC="rsync://rsync2.ru.gentoo.org/gentoo-portage"
USE="X \ a52 aac accessibility acl acpi alsa amd64 apm audiofile bash-completion berkdb bidi bluetooth branding bzip2 cairo cdda cddb cdparanoia cdr cgi chm cli cracklib crypt css cups cxx dbus djvu dri dts dv dvd dvdr examples exif fam fbcon ffmpeg fftw flac fltk fontconfig foomaticdb fortran ftp gcj gdbm gif gimp gimpprint ginac gmp gnome gnome-keyring gnutls gphoto2 gpm gsl gstreamer gtk gtkhtml gzip hddtemp iconv icu ieee1394 imagemagick imap javascript jfs jpeg kde kerberos lame libnotify lm_sensors lzma lzo mad matroska mjpeg mmap mmx modules motif mozilla mp3 mp4 mudflap multilib musepack musicbrainz ncurses network nls nptl ogg openal opengl openmp pam pcre pdf png policykit ppds pppd pulseaudio python qt3support quicktime rdesktop readline rss ruby scanner sdl seamonkey session slp smp sms spell sse sse2 sse4_1 sse4_2 ssl ssse3 startup-notification svg symlink tcl tcpd theora threads tiff timidity tk truetype udev unicode usb v4l vcd vnc wavpack wifi wmf wxwidgets x264 xattr xfs xine xinerama xml xorg xpm xulrunner xvid zlib" ALSA_CARDS="emu10k1x snd-hda-intel emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="efi-32 efi-64 pc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en ru" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="i915 i965 nouveau intel nv vesa nvidia fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 239 Norbert 2012-07-10 14:38:31 UTC
Created attachment 317800 [details]
Patched scilab-5.3.3-r1.ebuild, works with all USE flags (doc gui xcos hdf5)

Scilab 5.3.3-r1 now fully functional.
Comment 240 Guillaume Horel 2012-07-10 14:53:19 UTC
Most of the dependencies that you listed are either alredy in the ebuild, or only needed for scilab-5.4.0 (dev-java/scirenderer) which is in beta right now, or for tests (checkstyle, bsh, testng).

The patches that you removed are needed if you disable some use flags (help or xcos). These patches have already been ported upstream, so we won't need them for 5.4.0. I think the revised ebuild that sfabrro posted is fine as it is.

I will push a new ebuild for scilab-5.4 on the science overlay. I would appreciate if people could test it, cause they are quite a few changes.
Comment 241 Norbert 2012-07-10 16:03:18 UTC
(In reply to comment #240)
> Most of the dependencies that you listed are either alredy in the ebuild, or
> only needed for scilab-5.4.0 (dev-java/scirenderer) which is in beta right
> now, or for tests (checkstyle, bsh, testng).
> 
> The patches that you removed are needed if you disable some use flags (help
> or xcos). These patches have already been ported upstream, so we won't need
> them for 5.4.0. I think the revised ebuild that sfabrro posted is fine as it
> is.
> 
> I will push a new ebuild for scilab-5.4 on the science overlay. I would
> appreciate if people could test it, cause they are quite a few changes.

Thank you for reply, Horel. Original ebuild did not work for me, so I patched it. May be it can be useful for somebody else.
I'm ready to test scilab-5.4.
Comment 242 Sylvestre Ledru 2012-07-10 16:23:07 UTC
A suggestion. What about closing this bug report and opening a new one ?
(we have more than 240 comments in this bug report)
Comment 243 Guillaume Horel 2012-07-10 16:49:58 UTC
Norbert, in that case please fill out a new bug with the error messages that you got. The patches that you removed were there to fix some older bugs, so if you remove them, we're not really making progress.
Comment 244 Patrice Clement gentoo-dev 2016-02-03 15:16:35 UTC
Hi there

Is someone actively working on scilab? or has a working ebuild we could consider for inclusion in Portage? Thanks!
Comment 245 Guillaume Horel 2016-02-03 15:31:29 UTC
The science overlay has a working ebuild that I try to keep updated.
Comment 246 Patrice Clement gentoo-dev 2016-02-03 15:39:32 UTC
Fair enough. You should consider working on getting it merged in the tree and close this bug.

I'm removing @java from CC (not sure how we ended up CC'ed in). Feel free to CC us back in if needed.